#!/bin/bash

PRG_SELF=$0
TMP=/tmp/phplist$1
rm -f $TMP

print_var ()
{
  for line in `cat $1`;
  do
    for word in `echo "${line}" | \
                   sed 's/=/ /g' | \
                   sed 's/\\\t/ /g' | \
                   sed 's/\\\n/ /g' | \
                   sed 's/\./ /g' | \
                   sed 's/"/ /g' | \
                   sed 's/,/ /g' | \
                   sed 's/;/ /g' | \
                   sed 's/\[/ /g' | \
                   sed 's/]/ /g' | \
                   sed 's/(/ /g' | \
                   sed 's/)/ /g' | \
                   sed 's/-/ /g' | \
                   sed 's/+/ /g' | \
                   sed 's/>/ /g' | \
		   sed 's/</ /g'`;
    do
      T_est=`echo "$word" | grep -e [$]`
      if [ -n $T_est ]; then
        echo $T_est >> ${TMP}
      fi
    done
  done
  cat ${TMP} | sort | uniq > $TMP
}

ausdrucken ()
{
  printf "ausdrucken ? (j/N) ";
  read JN
  if [ "$JN" = "j" ]; then
    a2ps -1Rf10 $TMP
  else
    if [ "$JN" = "J" ]; then
      a2ps -1Rf10 $TMP
    fi
  fi
}

case "$1" in
  -var) shift
       if [ -z "$1" ]; then
         ${PRG_SELF}
       else
         print_var $1
	 mv $TMP $TMP.orig
	 echo "----------------------------------------------------------------------" > $TMP
	 echo "File: $1"  >> $TMP
	 echo "----------------------------------------------------------------------" >> $TMP
         cat $TMP.orig >> $TMP
	 rm -f $TMP.orig
 	 less $TMP
	 ausdrucken
       fi
       ;;
  *) echo "Aufruf COMMAND Datei"
     echo "COMMAND: "
     echo "    -var    Suche Variablen in der Datei und erstelle eine sortierte Liste"
     ;;
esac
