#! /bin/bash

ZIEL=de/changelog.tex

#
# Beginn des Changelog-Kapitels
#
printf "\\chapter{Änderungshistorie} \n"  >${ZIEL}
printf "\\section*{CVS-Version} \n"       >>${ZIEL}
printf "\\\begin{itemize} \n"             >>${ZIEL}
printf "  \\item  \n"                     >>${ZIEL}

OLDIFS=${IFS}
IFS="
"
for X in $(cat ../ChangeLog | sed "s/#//g" | sed "s/_/\\\_/g" | sed "s/\"//g")
do
  V=$(echo ${X} |grep "^Version uverein")
  if [ -z "${V}" ]; then
    V=$(echo ${X} |fgrep "* ")
    if [ ! -z "${V}" ]; then
      V=$(echo ${X} | cut -f2- -d*)
      printf "  \\item ${V} \n"          >>${ZIEL}
    fi
  else
    V=$(echo ${X} | sed "s/Version uverein\\\_//1")
    printf "\\\end{itemize} \n"          >>${ZIEL}
    printf "\\section*{Version ${V}} \n" >>${ZIEL}
    printf "\\\begin{itemize} \n"        >>${ZIEL}
  fi
done
IFS=${OLDIFS}
printf "\\\end{itemize} \n"              >>${ZIEL}
