<?php

// Die Formatierung erfolgt durch ein Zeichen an Position 1 der jeweilgen Zeile
// :    Überschrift
// +    Beginn oder Ende einer Liste
// *    Listenpunkt
// -    Eine horizontale Linie
// #    Kommentarzeichen - die Zeile wird nicht gelesen

class cl_text2liste
{
  var $PTAG;
  var $datei;
  var $F_ile;
  var $S_TYLE;

  function test2liste_caseconvert ($S_OLD)
  {
    return (str_replace ("ä","&auml;",
            str_replace ("Ä","&Auml;",
            str_replace ("ö","&ouml;",
            str_replace ("Ö","&Ouml;",
            str_replace ("ü","&uuml;",
            str_replace ("","&uuml;",
            str_replace ("Ü","&Uuml;",
            str_replace ("ß","&szlig;",
            str_replace ("","&Auml;",
            str_replace ("","&auml;",
            str_replace ("","&Ouml;",
            str_replace ("","&ouml;",
            str_replace ("","&Uuml;",
            str_replace ("","&szlig;",
     $S_OLD)))))))))))))));
  }

  function cl_text2liste ($name)
  {
    $this->datei = $name;
    $this->PTAG = 0;
    $this->S_TYLE = "\"font-family: courier, fixed, monospace; font-size: 4mm; \"";
  }

  function oeffnen ()
  {
    $this->F_ile = fopen ($this->datei,"r");
  }

  function auswerten ($line)
  {
    $this->PTAG = (empty ($this->PTAG)) ? 0 : $this->PTAG;
    $line = $this->test2liste_caseconvert(trim($line));
    switch (substr($line,0,1))
    {
      case ':' : // Ueberschrift
                 $line = trim(substr($line,1));
                 $line = "<H2 class=\"rahmen\">". $line. "</H2>";
                 $line = ($this-PTAG > 0) ? "</UL>" . $line : $line;
                 $this->PTAG = 0;
                 break;

      case '+' : // Listenanfang oder Ende
                 $line = trim(substr($line,1));
                 $line = ($this->PTAG > 0) ? "</UL>" . $line : "<UL style=$this->S_TYLE>" . $line;
                 $this->PTAG = ($this->PTAG > 0) ? 0 : 1;
                 break;

      case '*' : // Listenpunkt
                 $line = trim(substr($line,1));
                 $line = "<LI style=$this->S_TYLE>".$line."</LI>";
                 break;

      case '-' : // Horizontale Line
                 $line = "<HR>".trim(substr($line,1));
                 break;
                 
      case '#' : // Kommentarzeile
                 $line = "";
                 break;
                 
      default  : // Normaler neuer Absatz
                 $line = "<BR>".trim($line);
                 break;
    }
    return ($line . " ");
  }

  function ausgabe ()
  {
    $this->oeffnen ();
    $AUS = "<SPAN style=$this->S_TYLE>";
    while ($line = fgets ($this->F_ile,1024))
    {
      $AUS .= $this->auswerten($line)."\n";
    }
    fclose ($this->F_ile);
    if ($this->PTAG > 0) $AUS .= "</UL>";
    $AUS .= "</SPAN>";
    return ($AUS);
  }
}

?>

