<?php
include_once "_html-header.php";
include_once "cvs-version.inc";

_start ("Informationen zur Installation","uverein-de.php","Inhalt","uverein-bugs.php","Bekannte Probleme");

_punkt ("","","Unterst&uuml;tzte Betriebssysteme",
    "<ul>".
    "   <li>Linux</li>".
    "</ul>");

_punkt ("","","Wie erfolgt die Installation",
    "<b><u>Linux - Installation aus den Sourcen</u></b>".
    "<ol> <li>Entpacken des Archivs:<BR><em>tar -C/tmp -xzf $FILE_CVS_VERSION.tar.gz</em></li><br>".
    "   <li>Wechseln zum ausgepackten Verzeichnis:<BR><em>cd /tmp/$FILE_CVS_VERSION</em></li><br>".
    "   <li>Installieren (Linux-Dreisatz):<BR><em>make config<BR>make<BR>make install</em> oder falls vorhanden <em>checkinstall</em></li><br>".
    "   oder alternativ installieren (Kurzform): <BR><em>./install.sh</em>".
    "</ol>".
    
    "<b><u>Debian</u></b>".
    "<ol> <li>/etc/apt/sources.list editieren und folgende Zeile eintragen: <br>".
    "&nbsp;deb http://uverein.sourceforge.net/debian/ stable main <BR>" .
    "&nbsp;&nbsp;oder f&uuml;er die CVS-Version <BR>".
    "&nbsp;deb http://uverein.sourceforge.net/debian/ unstable main</li><br>".
    "<li>Mit dem Paketmanager installieren. Z.B: mit apt <br>".
    "&rarr; aptitude update<br>".
    "&rarr; aptitude install uverein</li>".
    "</ol>".
    
    "<a name=\"HOMEPAGE_CVSVERSION\"><b><u>Entwickler-Version</u></b></a>".
    "<ul><li>".
    "<a href=\"$HOMEPAGE_CVS_VERSION\">CVS-Version als TAR-Archiv</a></li><br>".
    "<li>CVS-Version liegt im CVS-Archiv bei Sourceforge</li>".
    "</ul>"
    );

_punkt ("","","Welche Programme m&uuml;ssen installiert sein ?",
    "<b><u>Betriebssystem: Linux</u></b><ol>".
    "   <li><u>Zwingend erforderlich</u><ul></li>".
    "       <li>PostgreSQL, Version 7.1.3 oder h&ouml;her</li>".
    "       <li>PHP 5 mit folgenden Modulen<ul>".
    "         <li>php5-pgsql</li>".
    "         <li>php5-cgi</li>".   
    "       </ul></li>".
    "       <li>Apache, Version 1.3.20 oder h&ouml;her</li>".
    "       <li>ident-Server (z.B. pidentd) f&uuml;r die Authentifizierung an der Datenbank</li>".
    "   </ul>".
    "   <li><u>Zum ausdrucken der Seiten erforderlich</u><ul></li>".
    "       <li>a2ps, Version 4.13 oder h&ouml;her</li>".
    "       <li>html2ps, Version 1.0 oder h&ouml;her</li>".
    "   </ul>".
    "   <li><u>Optional f&uuml;r die Installation</u><ul></li>".
    "       <li>Checkinstall, Version 1.5.1 oder h&ouml;her</li>".
    "   </ul>".
    "</ol>");

_punkt ("","","Wie wird die Anwendung aufgerufen",
    "Die Anwendung steht im Web-Browser durch Aufruf von <strong>http://localhost/uverein</strong> zur Verf&uuml;gung. Beim ersten Aufruf wird die Datenbank angelegt und kann anschlie&szlig;end benutzt werden.");

_punkt ("","","Authentifizierung an der Datenbank",
    "Um die Authentifizierung zu erm&ouml;glichen muss inetd gestartet und ein ident-Server installiert sein. Das voreingestellt Passwort lautet <em>pw</em>, der Username wird noch nicht gepr&uuml;ft.");

_ende ();
?>
