#!/bin/sh

UPDATE_TMP=/tmp/sed.tmpfile

change_original ()
{
  diff $UPDATE_TMP $DATEI > /tmp/sed.diff
  if [ -s /tmp/sed.diff ]; then
    printf "|"
    x=2
    while  [ $x -le $UWE_UPDATE_PHP ];
    do
      printf "   |"
      x=$((x+1))
    done
    printf "    * $DATEI wurde geaendert \n"
    cat $UPDATE_TMP > $DATEI
  fi
  rm -f /tmp/sed.*
}

put_line ()
{
  printf "|"
  x=2
  while  [ $x -le $UWE_UPDATE_PHP ];
  do
    printf "   |"
    x=$((x+1))
  done
  printf "-"
  printf "-"
  printf "[ $DATEI ] \n"
}

check_file ()
{
  sed "s/$NEW/$OLD/g"	$F2TEST	> /tmp/sed.tmp	; mv /tmp/sed.tmp $UPDATE_TMP
}


if [ "$UWE_UPDATE_PHP" = "" ]; then
  export UWE_UPDATE_PHP=0
fi

if [ "$1" == "" ]; then
  $0 *
else
  for DATEI in $@;
    do
      if [ -d $DATEI ]; then
        if [ "$DATEI" != "CVS" ]; then
        if [ "$DATEI" != "archiv" ]; then
          export UWE_UPDATE_PHP=$((UWE_UPDATE_PHP+1))
	  put_line
          cd $DATEI
          $0 *
          export UWE_UPDATE_PHP=$((UWE_UPDATE_PHP-1))
          cd ..
        fi
        fi
      else
        if [ -w $DATEI ]; then
	  F2TEST=$DATEI
	  OLD=pg_exec;		NEW=pg_query;		check_file
	  F2TEST=$UPDATE_TMP
	  OLD=pg_getlastoid;	NEW=pg_last_oid;	check_file
	  OLD=pg_cmdtuples;	NEW=pg_affected_rows;	check_file
	  OLD=pg_numrows;	NEW=pg_num_rows;	check_file
	  OLD=pg_numfields;	NEW=pg_num_fields;	check_file
	  OLD=pg_fieldname;	NEW=pg_field_name;	check_file
	  OLD=pg_fieldsize;	NEW=pg_field_size;	check_file
	  OLD=pg_fieldnum;	NEW=pg_field_num;	check_file
	  OLD=pg_fieldprtlen;	NEW=pg_field_prtlen;	check_file
	  OLD=pg_fieldisnull;	NEW=pg_field_is_null;	check_file
	  OLD=pg_freeresult;	NEW=pg_free_result;	check_file
	  OLD=pg_result;	NEW=pg_fetch_result;	check_file
	  OLD=pg_loreadall;	NEW=pg_lo_read_all;	check_file
	  OLD=pg_locreate;	NEW=pg_lo_create;	check_file
	  OLD=pg_lounlink;	NEW=pg_lo_unlink;	check_file
	  OLD=pg_loopen;	NEW=pg_lo_openk;	check_file
	  OLD=pg_loclose;	NEW=pg_lo_close;	check_file
	  OLD=pg_loread;	NEW=pg_lo_read;		check_file
	  OLD=pg_lowrite;	NEW=pg_lo_write;	check_file
	  OLD=pg_loimport;	NEW=pg_lo_import;	check_file
	  OLD=pg_loexport;	NEW=pg_lo_export;	check_file
          change_original
        fi
      fi
  done
fi
