<?php
include_once "base.inc";
include_once "header.inc";
include_once "klassen/formular.inc";
include_once "klassen/uverein-database.inc";
include_once "klassen/sepa-xml.inc";

switch ($FORM->sende_ergebnis())
{
//
// Datei erstellen
//
  case 'SAVE' :
    $ERSTLEV  = new cl_sepa ("BASIS","FRST");   // Erste Abbuchung
    $FOLGELEV = new cl_sepa ("BASIS","RCUR");   // Folge-Abbuchung
    $AUSWAHL  = $FORM->returnwert ("AUSWAHL");
//
// Buchungsanzahl merken für Test-Aufruf
//
    $ERST_ANZAHL = 0;  $ERST_BETRAG = 0.00;
    $FOLGE_ANZAHL = 0; $FOLGE_BETRAG = 0.00;
//
// Eigene Daten
//
    $ERSTLEV->absender(
      $UVEREIN_DB->get_vereinsname(),
      $UVEREIN_DB->sql_1_value("vereine","iban","kurzname='$VEREIN_NAME'"),
      $UVEREIN_DB->sql_1_value("vereine","bic","kurzname='$VEREIN_NAME'"),
      $UVEREIN_DB->sql_1_value("vereine","identnr","kurzname='$VEREIN_NAME'")
    );
    $FOLGELEV->absender(
      $UVEREIN_DB->get_vereinsname(),
      $UVEREIN_DB->sql_1_value("vereine","iban","kurzname='$VEREIN_NAME'"),
      $UVEREIN_DB->sql_1_value("vereine","bic","kurzname='$VEREIN_NAME'"),
      $UVEREIN_DB->sql_1_value("vereine","identnr","kurzname='$VEREIN_NAME'")
    );
//
// Mitglieder selektieren
//
    $qu = $UVEREIN_DB->sql_befehl ("SELECT nr FROM mitglied".
                             " WHERE zahlungsart='".$FORM->returnzahl("zahlungsart")."' AND verein='$VEREIN_NAME'");
    $i = 0; while ($i < $UVEREIN_DB->sql_lines($qu))
    {
      $data = $UVEREIN_DB->sql_line($i,$qu); $i++;
//
// Nur Mitglieder mit einem Beitrags-Soll auswaehlen
//
      $SOLL  = $UVEREIN_DB->sql_1_value("beitrag","sum(soll)",
                                        "v_name='$VEREIN_NAME' AND m_nr='$data->nr'");
      $HABEN = $UVEREIN_DB->sql_1_value("beitrag","sum(haben)",
                                        "v_name='$VEREIN_NAME' AND m_nr='$data->nr'");
      if ($SOLL > $HABEN)
      {
        $ZWECK  = i4l("TXT_BEITRAGSEINZUG");
        $BETRAG = $SOLL - $HABEN;
        $LEV_NR = $UVEREIN_DB->sql_1_value("mitglied","lastschrift","nr='$data->nr' AND verein='$VEREIN_NAME'");
        if ($LEV_NR > 0)
        { // Folge-Abbuchung
           $FOLGELEV->lastschrift (
              array("ID"        => $data->nr,
                    "DATE"      => $UVEREIN_DB->sql_1_value("mitglied","unterschrift","nr='$data->nr' AND verein='$VEREIN_NAME'"),
                   )
              ,$BETRAG
              ,$UVEREIN_DB->sql_1_value("mitglied","bic","nr='$data->nr' AND verein='$VEREIN_NAME'")
              ,$UVEREIN_DB->sql_1_value("mitglied","iban","nr='$data->nr' AND verein='$VEREIN_NAME'")
              ,$UVEREIN_DB->sql_1_value("personen","name","nr='$data->nr'").",".$UVEREIN_DB->sql_1_value("personen","vorname","nr='$data->nr'")
              ,$ZWECK);
           $FOLGE_ANZAHL ++; $FOLGE_BETRAG += $BETRAG;
        }
        else
        { // Erste Abbuchung
           $ERSTLEV->lastschrift (
              array("ID"        => $data->nr,
                    "DATE"      => $UVEREIN_DB->sql_1_value("mitglied","unterschrift","nr='$data->nr' AND verein='$VEREIN_NAME'"),
                   )
              ,$BETRAG
              ,$UVEREIN_DB->sql_1_value("mitglied","bic","nr='$data->nr' AND verein='$VEREIN_NAME'")
              ,$UVEREIN_DB->sql_1_value("mitglied","iban","nr='$data->nr' AND verein='$VEREIN_NAME'")
              ,$UVEREIN_DB->sql_1_value("personen","name","nr='$data->nr'").",".$UVEREIN_DB->sql_1_value("personen","vorname","nr='$data->nr'")
              ,$ZWECK);
           $ERST_ANZAHL ++; $ERST_BETRAG += $BETRAG;
        }
        switch ($AUSWAHL)
        {
          case 'ERSTLEV'  :  // Kein Test - Buchungen durchführen
          case 'FOLGELEV' :
            $UVEREIN_DB->sql_befehl (
            "INSERT INTO beitrag (v_name,m_nr,jahr,f_konto,haben,bu_text)".
            " VALUES ('$VEREIN_NAME'".
            "        ,'$data->nr'".
            "        ,'$AKT_YEAR'".
            "        ,'".$FORM->returnzahl("finanzkonto")."'".
            "        ,'$BETRAG'".
            "        ,'".i4l("TXT_BEITRAGSEINZUG")."'".
            ")");
            $LEV_NR ++;
            $UVEREIN_DB->sql_befehl ("UPDATE mitglied SET lastschrift='$LEV_NR' WHERE nr='$data->nr' AND verein='$VEREIN_NAME'");
            break;
        }
      }
    }
    switch ($AUSWAHL)
    {
       case 'ERSTLEV' :  $ERSTLEV->bereitstellen(); break;
       case 'FOLGELEV' : $FOLGELEV->bereitstellen(); break;
         break;
       default:
         $FORM->inhalt (page_head (i4l("TXT_LEV_DATAUS")));
         $FORM->inhalt ("<H1>".i4l("TXT_LEV_DATAUS")." - ".i4l("TEST")."</h1>");
         $FORM->inhalt ("<TABLE>");
         $FORM->inhalt ("<TR><TD rowspan=\"2\">".i4l("sepa_erstlev")."</TD>");
         $FORM->inhalt ("<TD>".i4l("data_buchungsbetrag")."</TD><TD id=\"schrift9ohne\">".sprintf ("%01.2f",$ERST_BETRAG)."</TD></TR>");
         $FORM->inhalt ("<TD>".i4l("bu_buchung")."</TD><TD id=\"schrift9ohne\">".$ERST_ANZAHL."</TD></TR>");
         $FORM->inhalt ("<TR><TD rowspan=\"2\">".i4l("sepa_folgelev")."</TD>");
         $FORM->inhalt ("<TD>".i4l("data_buchungsbetrag")."</TD><TD id=\"schrift9ohne\">".sprintf("%01.2f",$FOLGE_BETRAG)."</TD></TR>");
         $FORM->inhalt ("<TD>".i4l("bu_buchung")."</TD><TD id=\"schrift9ohne\">".$FOLGE_ANZAHL."</TD></TR>");
         $FORM->inhalt ("<TR><TD colsapn=\"3\" id=\"schrift5ohne\">".i4l("sepa_wert").": ".date("d.m.Y",strtotime('+10 day'))."</TD></TR>");
         $FORM->inhalt ("</TABLE>");
         $FORM->inhalt (page_ende());
         echo $FORM->schliessen();
         break;
    }
    break;

//
// Grunddaten abfragen
//
  default :
    $FORM->inhalt (page_head (i4l("TXT_LEV_DATAUS")));
    $FORM->inhalt ("<H1>".i4l("TXT_LEV_DATAUS")."</h1>");
    $FORM->inhalt ("<TABLE>");
//
// Finanzkonto auswaehlen
//
    $FORM->inhalt ("<TR><TD><B>".i4l("DATA_FINANZKONTO")."</b></td><TD>");
    $FORM->selection ("finanzkonto",
                      $UVEREIN_DB->konten_liste4selection($UVEREIN_DB->get_vfinanz()),
                      $UVEREIN_DB->get_vbeitrag("FINANZ"));
    $FORM->inhalt ("</TD></TR>");
//
// Zahlungsart auswaehlen
//
    $UVEREIN_DB->sql_befehl ("SELECT * FROM key_zahlungsarten ORDER BY bezeichnung");
    $FORM->inhalt ("<TR><TD><B>".i4l("DATA_ZAHLUNGSART")."</b></td><TD>");
    $i = 0; while ($i < $UVEREIN_DB->sql_lines())
    {
      $data = $UVEREIN_DB->sql_line($i);
      $SEL[$data->nr] = $data->bezeichnung;
      $i++;
    }
    $FORM->selection ("zahlungsart",$SEL,1);
    $FORM->inhalt ("</TD</tr>");
//
// Daten buchen oder nur Test-Datei erstellen
//
    $FORM->inhalt ("<TR><TD>".i4l("MSG_AUSWAEHLEN")."</td><TD>");
    $FORM->radio_button ("AUSWAHL","TEST",i4l("TEST"),"YES");
    $FORM->inhalt ("<BR>");
    $FORM->radio_button ("AUSWAHL","ERSTLEV",i4l("sepa_erstlev"));
    $FORM->radio_button ("AUSWAHL","FOLGELEV",i4l("sepa_folgelev"));
    $FORM->inhalt ("</td></tr>");
//
// Formular-Ende
//
    $FORM->inhalt ("</TABLE>");
    $FORM->grafikbutton ("SAVE","../icons/ok.png",false);
    $FORM->inhalt (page_ende());
    echo $FORM->schliessen();
    break;
}
?>