<?php

include_once "base.inc";
include_once "header.inc";
include_once "button.php";
include_once "buchung-base.inc";

$FORM->inhalt ("<H1>".i4l("beleg_find")."</H1>");

switch (strtoupper($AUSWAHL))
{
  case 'LIST':
// Ruecksprung-Code setzten
    cookie_setzen ("RETURN","beleg-find.php","");
// Ueberschrift
    $FORM->inhalt ("<P>");
    if ($FORM->returnwert("DATUM") != "") 
      $FORM->inhalt("<BR>".i4l("data_datum").": ".$FORM->returnwert("DATUM"));
    if ($FORM->returnzahl("BETRAG") <> 0)
      $FORM->inhalt("<BR>".i4l("DATA_BUCHUNGSBETRAG").": ".$FORM->returnzahl("BETRAG"));
    if ($FORM->returnwert("INHALT") != "")
      $FORM->inhalt("<BR>".i4l("DATA_BUCHUNGSTEXT").": ".$FORM->returnwert("INHALT"));
    $FORM->inhalt("</P>");
// Tabelle erstellen
    $FORM->inhalt ("<TABLE class=\"breite100\" border=1>");
    $FORM->inhalt ("<TR><TH>".i4l("aktion")."</TH>");
    $FORM->inhalt ("<TH>".i4l("data_nr")."</TH>");
    $FORM->inhalt ("<TH>".i4l("data_datum")."</TH>");
    $FORM->inhalt ("<TH>".i4l("data_konto")."</TH>");
    $FORM->inhalt ("<TH>".i4l("data_finanzkonto")."</TH>");
    $FORM->inhalt ("<TH>".i4l("data_buchungsbetrag")."</TH>");
    $FORM->inhalt ("<TH>".i4l("data_uststeuer")."</TH>");
    $FORM->inhalt ("<TH>".i4l("data_buchungstext")."</TH>");
    $FORM->inhalt ("<TH>".i4l("bu_kst")."</TH></TR>");
// Belege anzeigen
    $FARBE = "ID=\"grau\"";
    $FINANZKONTEN = $UVEREIN_DB->get_vfinanz();
    $UVEREIN_DB->find_beleg($FORM->returnwert("DATUM"),
                            $FORM->returnzahl("BETRAG"),
                            $FORM->returnwert("INHALT"));
    if ($UVEREIN_DB->sql_lines() > 0)
    {
      $i = 0; while ($i < $UVEREIN_DB->sql_lines())
      {
  	   $data = $UVEREIN_DB->sql_line($i); $i++;
	     $FARBE = ($FARBE == "") ? "ID=\"grau\"" : "";
	     $FORM->inhalt ("<TR $FARBE><TD>");
// Edit-Button mit Ziel verbinden
     	 $X = array ("AUSWAHL" => "BUCHUNG_UPDATE", "NR" => $data->idx);
	     $FORM->sub_grafikbutton("../icons/edit.png",$X,"buchung.php");
	     $FORM->inhalt("</TD>");
// Belegzeile
  	   $FORM->inhalt("<TD>($data->b_jahr) $data->b_nr</TD>");
	     $FORM->inhalt("<TD>$data->b_datum</TD>");
	     $FORM->inhalt("<TD>".$UVEREIN_DB->get_kontenname($data->b_konto)."</TD>");
  	   $FORM->inhalt("<TD>".$UVEREIN_DB->get_kontenname($data->f_konto)."</TD>");
	     $UMBUCHUNG = ($UVEREIN_DB->get_kontenklasse($data->b_konto) == $FINANZKONTEN) ? 1 : 0;
	     $UMBUCHUNG = ($UVEREIN_DB->get_kontenklasse($data->f_konto) == $FINANZKONTEN) ? $UMBUCHUNG : 0;
  	   $BUCHUNG = ($UMBUCHUNG == 1)
	              ? "+/- ". $FORM->numeingabe2anzeige($data->b_betrag * (($data->b_betrag < 0) ? -1 : 1),2) 
	              : $FORM->numeingabe2anzeige($data->b_betrag,2);
  	   $FORM->inhalt("<TD id=\"rechts\">$BUCHUNG</TD>");
  	   $FORM->inhalt("<TD id=\"rechts\">".$FORM->numeingabe2anzeige($data->b_steuer,2)."</TD>");
  	   $STEUER += $data->b_steuer;
  	   $FORM->inhalt("<TD>$data->b_text</TD>");
	     $FORM->inhalt("<TD>".
	       $UVEREIN_DB->sql_1_value("bu_kst","kst_name",
	                                "verein='$VEREIN_NAME' AND kst='$data->b_kst'").
	       "</TD></TR>");
	    }
    }
    else {$FORM->inhalt("<TR><TD colspan=\"9\"><H2>".i4l("EXIST_NO")."</H2></TD></TR>");}  
// Tabelle schliessen
    $FORM->inhalt("</TABLE>");
    break;
  default:
    $FORM->hide("AUSWAHL","LIST");
    $FORM->inhalt("<TABLE>");
    $FORM->inhalt("<TR><TD>".i4l("data_datum")."</TD><TD>");
    $FORM->eingabe ("DATUM",10);
    $FORM->inhalt("</TD></TR>");
    $FORM->inhalt("<TR><TD>".i4l("data_buchungsbetrag")."</TD><TD>");
    $FORM->eingabe ("BETRAG",30);
    $FORM->inhalt("</TD></TR>");
    $FORM->inhalt("<TR><TD>".i4l("data_buchungstext")."</TD><TD>");
    $FORM->eingabe ("INHALT");
    $FORM->inhalt("</TD></TR>");
    $FORM->inhalt("</TABLE>");
    $FORM->senden(i4l("msg_erfassen"));
    break;    
}

echo page_head ('u_verein &copy; GPL - ' . i4l("beleg_find"));
echo $FORM->schliessen();
//echo $FORM->test();
echo page_ende();
?>
