<?php

  include_once "base.inc";
  include_once "header.inc";
  include_once "button.php";

  function euro_number ($zahl, $nachkomma)
  {
    $neu = number_format ($zahl,$nachkomma);
    $neu = trim (str_replace(",","|",$neu));
    $neu = str_replace (".",",",$neu);
    $neu = str_replace ("|",".",$neu);
    return $neu;
  }

  $ZIEL_KONTO_BU_NR = -9999;
  function ziel_konto ($art)
  {
    global $qu, $sql_zeilen, $sql_zaehler, $ZIEL_KONTO_BU_NR, $AKT_YEAR,
	        $VIRTUALKONTO, $VEREIN_NAME, $UVEREIN_DB;
    
    $xqu = $qu;
    $xze = $sql_zeilen;
    $xza = $sql_zaehler;
    
    switch (strtoupper($art))
    {
      case 'INSERT':
        // *********************************************************************
	// Unterkonten auf Zielkonten abschliessen
	// *********************************************************************
        $qu = $UVEREIN_DB->sql_befehl 
              ("SELECT max(b_nr) AS nr FROM bu_belege".
               " WHERE b_verein='$VEREIN_NAME' AND b_jahr='$AKT_YEAR'");
        $data = $UVEREIN_DB->sql_line (0,$qu);
        $ZIEL_KONTO_BU_NR = $data->nr + 1000;
        $UVEREIN_DB->sql_befehl 
         ("INSERT INTO bu_belege (b_verein, b_nr, b_datum, b_konto, f_konto, b_betrag, ".
          "            b_steuer, b_text,b_kst,b_jahr) ".
	    	 "SELECT b_verein, '". $ZIEL_KONTO_BU_NR ."', max(b_datum), kto_ziel, f_konto, ".
		    "       sum(b_betrag), sum(b_steuer), kto_name, b_kst, b_jahr " .
		    "  FROM bu_belege, bu_konten ".
		    " WHERE (b_konto=kto_nr AND kto_nr!=kto_ziel AND bu_konten.jahr='$AKT_YEAR')".
		    "   AND bu_konten.verein='".$VEREIN_NAME."'".
		    "   AND bu_belege.b_jahr='$AKT_YEAR'".
		    " GROUP BY b_verein, kto_ziel, kto_name, f_konto, b_kst, b_jahr");
        $UVEREIN_DB->sql_befehl 
         ("INSERT INTO bu_belege (b_verein, b_nr, b_datum, b_konto, f_konto, b_betrag, ".
          "            b_steuer, b_text,b_kst,b_jahr) ".
	    	 "SELECT b_verein, '". $ZIEL_KONTO_BU_NR ."', max(b_datum), kto_nr, f_konto, ".
		    "       -sum(b_betrag), -sum(b_steuer), '*', b_kst, b_jahr FROM bu_belege, bu_konten ".
		    " WHERE (b_konto=kto_nr AND kto_nr!=kto_ziel AND bu_konten.jahr='$AKT_YEAR')".
		    "   AND bu_konten.verein='".$VEREIN_NAME."'".
		    "   AND bu_belege.b_jahr='$AKT_YEAR'".
		    " GROUP BY b_verein, kto_nr, f_konto, b_kst, b_jahr");
	// *********************************************************************
	// Beitragskonto aus Mitgliederverwaltung in Buchhaltung uebertragen
	// *********************************************************************
        $UVEREIN_DB->sql_abfrage ("virtual_konto","verein='".$VEREIN_NAME."' AND art=".
                     "'".$VIRTUALKONTO["BEITRAG"]."'","","");
        $qu = $UVEREIN_DB->qu; $sql_zeilen = $UVEREIN_DB->sql_lines($qu);
        if ($sql_zeilen > 0)
	{
	  $data = $UVEREIN_DB->sql_line (0,$qu);
	  $b_nr = $ZIEL_KONTO_BU_NR;
	  $b_konto = $data->konto;
	  $b_kst = $data->kst;
	  $qu = $UVEREIN_DB->sql_befehl 
	        ("SELECT f_konto, max(datum) AS d, sum(haben) AS haben".
		      " FROM beitrag".
		      " WHERE v_name='".$VEREIN_NAME."' AND jahr='$AKT_YEAR'".
		      " GROUP BY f_konto");
	  $sql_zeilen = $UVEREIN_DB->sql_lines ($qu); $i=0;
	  $b_text = i4l("menu_title_beitrag");
	  while ($i < $sql_zeilen)
	  {
	    $data = $UVEREIN_DB->sql_line ($i,$qu);
	    $b_datum = $data->d;
	    $b_datum = ($b_datum == "") ? 'current_date' : $b_datum;
	    $b_betrag = 0 + $data->haben;
	    $f_konto = $data->f_konto;
	    $BELEG = array ("b_nr"     => $b_nr,     "b_datum"  => $b_datum,
	                    "b_konto"  => $b_konto,  "f_konto"  => $f_konto,
	                    "b_betrag" => $b_betrag, "b_steuer" => "0",
	                    "b_text"   => $b_text,   "b_kst"    => $b_kst);
            $UVEREIN_DB->beleg_insert ($BELEG);
	    $i++;
	  }
        }
	// *********************************************************************
        // Vorsteuer buchen
	// *********************************************************************
       $UVEREIN_DB->sql_abfrage ("virtual_konto","verein='".$VEREIN_NAME."' AND art=".
                    "'".$VIRTUALKONTO["UST"]."'","","");
       $qu = $UVEREIN_DB->qu; $sql_zeilen = $UVEREIN_DB->sql_lines($qu);
       if ($sql_zeilen > 0)
       {
         $data = $UVEREIN_DB->sql_line (0,$qu);
	 $b_nr = $ZIEL_KONTO_BU_NR;
	 $b_konto = $data->konto;
	 $f_konto = $data->fkonto;
	 $b_kst = $data->kst;
	 $qu = $UVEREIN_DB->sql_befehl 
	       ("SELECT max(b_datum) AS d, sum(b_steuer) AS steuer".
		     " FROM bu_belege".
		     " WHERE b_verein='".$VEREIN_NAME."' AND bu_belege.b_jahr='$AKT_YEAR'");
	 $sql_zeilen = $UVEREIN_DB->sql_lines ($qu);
	 $data = $UVEREIN_DB->sql_line (0,$qu);
	 $b_datum = $data->d;
	 $b_datum = ($b_datum == "") ? 'current_date' : $b_datum;
	 $b_betrag = 0 + $data->steuer;
	 $BELEG = array ("b_nr"     => $b_nr,     "b_datum" => $b_datum,
	                 "b_konto"  => $b_konto,  "f_konto" => $f_konto,
	                 "b_betrag" => $b_betrag, "b_text"  => i4l("data_uststeuer"),
	                 "b_kst"    => $b_kst); 
	 $UVEREIN_DB->beleg_insert ($BELEG);
	}
	break;
      case 'DELETE':
        $UVEREIN_DB->sql_befehl 
        ("DELETE FROM bu_belege".
	      " WHERE b_nr='$ZIEL_KONTO_BU_NR' AND bu_belege.b_jahr='$AKT_YEAR'");
	break;
    }
    $qu = $xqu;
    $sql_zeilen = $xze;
    $sql_zaehler= $xza;
  }
  
?>