<?php
//****h* Finanzbuchhaltung/fkonten.summe.inc
// BESCHREIBUNG
//   Finanzkonten innerhalb der Buchungen darstellen
// AUTOR
//   Uwe Schied
// COPYRIGHT
//   GPL
// BUGS
//   keine bekannt
//****    

function fkonten_summe ()
{
  global $UVEREIN_DB;

  $w = "";
  $KTO = $UVEREIN_DB->sum_finanz();
  // ---------------------------------------------------------------------------
  // Tabelle fuer die Ausgabe zusammenstellen
  // ---------------------------------------------------------------------------
  $w .= "<TABLE border=\"1\" rules=\"rows\" width=\"75%\">";
  $SUMME = 0; $FARBE = "lightgray";
  foreach ($KTO as $NR => $WERT) 
  {
    if ($WERT != 0)
    {
      $w .= "<TR bgcolor=\"$FARBE\"><TD id=\"rechts\" align=\"right\">";
      $w .= number2anzeige ($WERT,2);
      $w .= "</TD><TD>&nbsp;&nbsp;&nbsp; ".$UVEREIN_DB->get_kontenname($NR)."</TD></TR>";
      $SUMME += $WERT;
      $FARBE = ($FARBE == "lightgray") ? "lightblue" : "lightgray";
    }
  }
  // ---------------------------------------------------------------------------
  // ENDE 
  // ---------------------------------------------------------------------------
  $FARBE = "lightyellow";
  $w .= "<TR bgcolor=\"$FARBE\"><TD id=\"rechts\" align=\"right\"><B>";
  $w .= number2anzeige ($SUMME,2);
  $w .= "</B></TD><TD><B>&nbsp;&nbsp;&nbsp; " . i4l("GESAMT-SUMME") ."</B></TD></TR>";
  $w .= "</TABLE>";
  return ($w);  
}

?>
