<?php
//****h* Datenbank-Klasse/Basisdaten +001+
// NAME
//   php/klassen/001.Basisdaten
// KLASSE 
//   cl_uverein_database_001
//   Klasse fuer den Zugriff auf die Tabelle vereine
// ABHAENGIG VON
//   cl_database (database.inc)
//   PHP 5
// HISTORIE
//   06.01.2009 get_verein ergaenzt
//   03.01.2010 get_vereinsname ergaenzt
//   21.03.2009 get_jahr ergaenzt
//   16.03.2009 Klasse erstellt
// AUTOR
//   Uwe Schied
// BUGS
//   keine bekannt
//****

include_once (dirname (__FILE__) . "/database.inc");

class cl_uverein_database_001 extends cl_database { 
  protected $SET_VEREIN;         // Kurzname des aktuellen Vereins
  protected $SET_JAHR;           // aktuelles Jahr

function __construct($name, $schema = "public")
{
   parent::cl_database ($name,$schema);
}                      

//****f* Basisdaten +001+/set_verein (name)
// FUNCTION
//   set_verein ($name) Kurzname des Vereins setzen
//     $name            Vereinsname
//****
public function set_verein ($name)
{
   $this->SET_VEREIN = $name;
}

//****f* Basisdaten +001+/get_verein ()
// FUNCTION
//   get_verein Kurzname des Vereins holen
//****
public function get_verein ()
{
   return($this->SET_VEREIN);
}


//****f* Basisdaten +001+/get_vereinsname()
// FUNCTION
//   get_vereinsname() Name des Vereins ermitteln
// ERGEBNIS
//   Gibt den Langnamen des Vereins aus der Tabelle "vereine" zurueck
//****
public function get_vereinsname ()
{
  return ($this->sql_1_value("vereine","name","kurzname='$this->SET_VEREIN'"));
}

//****f* Basisdaten +001+/set_jahr (jahr)
// FUNCTION
//   set_jahr ($jahr)   aktuelles Jahr setzen
//     $jahr            Jahr
//****
public function set_jahr ($jahr)
{
   $this->SET_JAHR = $jahr;
}

//****f* Basisdaten +001+/get_jahr ()
// FUNCTION
//   get_jahr ()        aktuelles Jahr holen
//****
public function get_jahr ()
{
   return($this->SET_JAHR);
}

} // ENDE der Klasse

?>