<?php
//****h* Datenbank-Klasse/Konstruktor
// NAME
//   php/klassen/uverein-database.inc
// KLASSE 
//   cl_uverein_database
//   Klasse fuer den Zugriff auf die Datenbank des Projekts uverein
// ABHAENGIG VON
//   Klasse                   Datei                    Hinweis
//   ---------------------------------------------------------------------
//   cl_database              database.inc             Datenbank-Klasse
//   cl_uverein_database_001  uverein-database.001.inc Basis-Informationen
//   cl_uverein_database_002  uverein-database.002.inc bu_konten
//   cl_uverein_database_003  uverein-database.003.inc virtual_konto
//   cl_uverein_database_004  uverein-database.004.inc bu_belege
//   cl_uverein_database_005  uverein-database.005.inc Beitragskonto
//   PHP 5
// HISTORIE
//   16.03.2009 Klasse erstellt
//   10.04.2009 Basis ausgelagert
//   10.04.2009 Tabelle bu_konten eingebunden
//   10.04.2009 Tabelle virtual_konto eingebunden
//   12.12.2009 Tabelle bu_belege eingebunden
//   06.01.2010 Beitragsbuchungen eingebunden
// AUTOR
//   Uwe Schied
// BUGS
//   keine bekannt
//****

include_once (dirname (__FILE__) . "/uverein-database.005.inc");

class cl_uverein_database extends cl_uverein_database_005 { 
//****f* Konstruktor/Klassendefinition (Datenbank, Datenbank-Schema)
// FUNCTION
//   Klassen-Konstruktor
//   $name          Name der Datenbank
//   $schema        optionale Angabe des Datenbank-Schemas - Voreinstellung = public
//****
function __construct($name, $schema = "public")
{
   parent::__construct ($name,$schema);
}                      

} // ENDE der Klasse

?>