<?php
//****h* Allgemein/language.php
//  NAME
//    language.php
//    Diese Modul ist fuer die Uebersetzungen in andere Sprachen
//    erforderlich
//****
include_once "base.inc";
include_once "header.inc";

register_help_pos ("LANGUAGE");

$TRANSLATE = $FORM->returnwert("TRANSLATE");

function read_start_modul ()
{
  global $LANG_ARR, $LANG_MOD, $SPRACHE;
  $next = 0;
  $F = fopen ("i18n/language-modul.c.lang","r");
  while (!feof($F))
  {
    $S = fgets ($F,1024);
    $S_ARR = explode ("\t",$S);
    if (strlen(trim($S_ARR[0])) > 0)
    {
      $N_ame = $S_ARR[0];
      $LANG_MOD[$next] = $N_ame;
      $LANG_ARR[$N_ame] = trim($S_ARR[1]);
    }
    $next = count($LANG_MOD);
  }
  fclose ($F);
  $F = fopen ("i18n/language-modul." .strtolower($SPRACHE).".lang","r");
  while (!feof($F))
  {
    $S = fgets ($F,1024);
    $S_ARR = explode ("\t",$S);
    if (strlen(trim($S_ARR[0])) > 0)
    {
      $N_ame = $S_ARR[0];
      $LANG_ARR[$N_ame] = trim($S_ARR[1]);
    }
  }
  fclose ($F);
  sort ($LANG_MOD);
}

function read_new_modul ($LANG)
{
  global $LANG_ARR, $LANG_MOD, $LANG_NEW;
  $next = count($LANG_MOD) - 1;
  while ($next > 0)
  {
    $N_ame = $LANG_MOD[$next];
    $LANG_NEW [$N_ame] = $LANG_ARR [$N_ame];
    $next--;
  }
  $F = fopen ("i18n/language-modul.".strtolower($LANG).".lang","r");
  while (!feof($F))
  {
    $S = fgets ($F,1024);
    $S_ARR = explode ("\t",$S);
    if (strlen(trim($S_ARR[0])) > 0)
    {
      $N_ame = $S_ARR[0];
      $LANG_NEW[$N_ame] = trim($S_ARR[1]);
    }
  }
  fclose ($F);
}

$FORM->inhalt(page_head ("EDIT LANGUAGE"));
$FORM->inhalt("<H2>" . i4l("language_edit") ."</H2>");

// -----------------------------------------------------------------------------
// Anzeige des Textes in der eigenen Sprache - wenn diese neue angelegt werden 
// soll muesste C gewaehlt werden
// -----------------------------------------------------------------------------
$FORM->inhalt("<P><I>".i4l("language_aktiv").": <B>".i4l_viewlanguage($SPRACHE)."</B></I>");
$FORM->inhalt("<br clear=\"all\">");

// -----------------------------------------------------------------------------
// Auswahl der zu editierenden Sprache
// -----------------------------------------------------------------------------
$FORM->inhalt(i4l ("language_toedit") . ": ");
$EDIT_LANG = (! $EDIT_LANG) ? $SPRACHE : $EDIT_LANG;
$F = fopen ("i18n/language-modul._available","r");
while (!feof($F))
{
  $S = fgets ($F,1024);
  $S_ARR = explode ("\t",$S);
  if (strlen(trim($S_ARR[0])) > 0)
  {
    $SEL["$S_ARR[0]"] = $S_ARR[1];
  }
}
fclose ($F);
$FORM->setwert ("EDIT_LANG",$EDIT_LANG);
$FORM->selection ("EDIT_LANG",$SEL);
$FORM->grafikbutton ("__ok__","../icons/ok.png",false);
$FORM->inhalt("</P>");
read_start_modul ();

$SEND_OK = $FORM->sende_ergebnis();
$AKTION = (! $SEND_OK) ? "" : (($SEND_OK == "__ok__") ? "" : "CHANGE");

switch ($AKTION)
{
  case 'CHANGE' :
    $F = fopen ("i18n/language-modul.".strtolower($EDIT_LANG).".lang","w+");
    $i = 0; while ($i < count($LANG_MOD))
    {
      $N_ame   = $LANG_MOD[$i];
      $I_nhalt = $FORM->returnwert("TRANSLATE[$N_ame]");
      fwrite ($F,"$N_ame\t$I_nhalt\n");
      $i++;
    }
    fclose ($F);
    echo $SPECIAL_CALL->change_site("language.php?EDIT_LANG=$EDIT_LANG");
    break;
}

// -----------------------------------------------------------------------------
// Sprache editieren
// -----------------------------------------------------------------------------
$FORM->inhalt("<TABLE width=\"95%\" align=\"center\" border=\"1\"".
              "       style=\"background-image:url(../icons/papier2.png)\">");
$FORM->inhalt("<TR>");
$FORM->inhalt("<TH>" . i4l ("i4l_name") . "</TH>");
$FORM->inhalt("<TH>" . i4l_viewlanguage ($SPRACHE) ." </TH>");
$FORM->inhalt("<TH>" . i4l_viewlanguage ($EDIT_LANG) . "</TH>");
$FORM->inhalt("<TH>" . i4l("aktion") . "</TH>");
$FORM->inhalt("</TR>");

// -----------------------------------------------------------------------------
// Zu Uebersetzendes Modul einlesen
// -----------------------------------------------------------------------------
read_new_modul ($EDIT_LANG);
$i = 0; while ($i < count($LANG_MOD))
{
   $N_ame = $LANG_MOD[$i];
   $FORM->inhalt("<TR>");
   $FORM->inhalt("<TD>$N_ame</TD>");
   $FORM->inhalt("<TD>".$LANG_ARR [$N_ame]."</TD>");
   $FORM->inhalt("<TD>");
   $FORM->feld("TRANSLATE[$N_ame]",40,1,$LANG_NEW[$N_ame]);
   $FORM->inhalt("</TD>");
   $FORM->inhalt("<TD>");
//   $FORM->grafikbutton($N_ame,"../icons/ok.png");
   $FORM->grafikbutton("CHANGE","../icons/ok.png",false);
   $FORM->inhalt("</TD>");
   $FORM->inhalt("</TR>");
   $i++;
}
$FORM->inhalt("</TABLE>");

$FORM->inhalt(page_ende ());
echo $FORM->schliessen();
?>
