<?php
error_reporting (E_NOTICE);

include_once "base.inc";
include_once "klassen/uvereinpdf.inc"; 

//$UVEREIN_DB->TESTMODE = true;
$HEUTE = date ("Y-m-d");

//
// PDF-Klasse aktivieren
// 
$PDF = new cl_uvereinpdf ($UVEREIN_DB->get_vereinsname(),i4l("menu_verein_beitrag"));

function tabellen_kopf ($breite,$text,$ausrichtung)
{
  global $TAB_SPALTEN, $TAB_HEADER, $TAB_AUSRICHTUNG;
  $Nr = count ($TAB_SPALTEN);
  $TAB_SPALTEN     [$Nr] = $breite;
  $TAB_HEADER      [$Nr]  = $text;
  $TAB_AUSRICHTUNG [$Nr] = $ausrichtung;
}

// 
// Tabellenwerte einstellen
//
tabellen_kopf (2,i4l("data_name"),"L");
tabellen_kopf (4,"","L");
tabellen_kopf (1,i4l("data_geboren"),"L");
$PDF->table_init (count($TAB_SPALTEN),"Times",10,2,$TAB_SPALTEN,$TAB_AUSRICHTUNG);

//
// Beitragsarten auslesen
//
$BEFEHL = "SELECT * FROM beitrags_art WHERE verein='$VEREIN_NAME' ORDER BY art";
$ARTEN = $UVEREIN_DB->sql_befehl ($BEFEHL);
$i = 0; $ARTEN_MAX = $UVEREIN_DB->sql_lines();

//
// Zu jeder Beitragsart Mitglieder abfragen
//
while ($i < $ARTEN_MAX)
{
  $data = $UVEREIN_DB->sql_line($i,$ARTEN); $i++;
// 
// Selektion der Mitglieder
//  
  $PERSONEN = $UVEREIN_DB->sql_befehl (
               "SELECT * FROM beitrags_konto,personen,mitglied".
               " WHERE verein='$VEREIN_NAME'".
               "   AND beitrags_konto.art=$data->nr".
               "   AND personen.nr=beitrags_konto.m_nr".
               "   AND mitglied.nr=personen.nr".
               "   AND mitglied.aktiv=true".
               " ORDER BY name,vorname"
               );
  $PERSONEN_MAX = $UVEREIN_DB->sql_lines();
  if ($PERSONEN_MAX > 0)
  {
//
// Ausgabe der Beitragsart
//
// Ueberschrift
    if ($i > 1)
    {
      $PDF->textzeile (" ","Times",30);
    }
    $PDF->textzeile ($data->art,"Times",15);
// Anzahl der betroffenen Mitglieder angeben
    $PDF->textzeile ("(".$PERSONEN_MAX." ".i4l("menu_eintrag_mitglied").")","Times",8);
    $PDF->table_head ($TAB_HEADER);
    $e = 0; while ($e < $PERSONEN_MAX)
    {
      $data = $UVEREIN_DB->sql_line($e); $e++;
      $PERSON[0] = $data->name.", ".$data->vorname;
      $PERSON[1] = $data->strasse." ".$data->hausnr.", ".$data->plz." ".$data->ort;
      $PERSON[2] = ($data->geboren == "01.01.1800") ? "" : $data->geboren;
      $PDF->table_line ($PERSON);
    }
  }
}

$PDF->PDFName = cookie_lesen("PRINT").".pdf";
$PDF->anzeige ();

?> 