<?php

// -------------------------------------------------------------------
// Session-ID setzen falls noch nicht geschehen
// -------------------------------------------------------------------

if (session_name() != "UVEREIN")
{
  session_name("UVEREIN");
  session_start();
}

// ------------------------------------------------------------------
// Weitere Funktionen einbinden
// ------------------------------------------------------------------
include_once "klassen/tabdatei.inc";
include_once "funktionen.php";
include_once "header.inc";

// -------------------------------------------------------------------
// Wurde Logout gesendet ? - wenn ja, SESSION beenden
// -------------------------------------------------------------------
$CHECK_VAR = $FORM->returnglobal("SEND_OK");
if ($CHECK_VAR == "LOGOUT")
{
  $_SESSION['UVEREIN_LOGIN_OK'] = false;
  $LOGIN_NAME = "";
  $LOGIN_PW   = "";
}
else
// -------------------------------------------------------------------
// Angaben des Formulars auslesen
// -------------------------------------------------------------------
{
  $LOGIN_NAME = $FORM->returnwert("LOGIN_NAME");
  $LOGIN_PW   = $FORM->returnwert("LOGIN_PW");
}

// -------------------------------------------------------------------
// Passwort-Datei einbinden und Eingabe pruefen
// -------------------------------------------------------------------
$LOGIN_FEHLER = "";
// *** Passwort-File einlesen
$USER_DB = new cl_tabdatei ("../include/uverein.paswd");
// *** SESSION nur neu definieren, wenn Name und Passwort eingegeben wurden
if (! empty ($LOGIN_NAME) && ! empty ($LOGIN_PW))
{
  $_SESSION['UVEREIN_LOGIN_OK'] = false;
// *** Ist die Berechtigung vorhanden ?
  if ($USER_DB->tab_get (0, $LOGIN_NAME, 0) == $LOGIN_NAME)
  {
    if ($USER_DB->tab_get (0, $LOGIN_NAME, 1) == $LOGIN_PW)
    {
// *** Berechtigung ist vorhanden - Login erlaubt
      $_SESSION['UVEREIN_LOGIN_OK']     = true;
// *** Login-Name merken
      $_SESSION['UVEREIN_LOGIN_NAME']   = $LOGIN_NAME;
// *** Login-Rechte lesen und merken
      $_SESSION['UVEREIN_LOGIN_RECHTE'] = $USER_DB->tab_get (0,$LOGIN_NAME,2);
// *** Verein pruefen
      $RECHTE = $_SESSION['UVEREIN_LOGIN_RECHTE'];    // Berechtigungen des Users
      $RECHTEARR = explode (",", $RECHTE);            // in Array umwandeln
      $i = 0; while ($i < count ($RECHTEARR))
      {
         $RECHTEARR[$i] = trim($RECHTEARR[$i]);        // Leerzeichen entfernen
         $i++;
      }
      $VORHANDEN = (in_array($VEREIN_NAME, $RECHTEARR)) ? true : false;
      $VORHANDEN = ($RECHTE == "*") ? true : $VORHANDEN;
      if (! $VORHANDEN )
      {
        $FORM->inhalt($SPECIAL_CALL->reload("verein.change.php?SET_VEREIN=OHNE&VEREIN_CHANGED=YES"));
      }
    }
  }
// *** Keine Berechtigung -> Hinweis ausgeben
  if ( ! $_SESSION['UVEREIN_LOGIN_OK'] )
  {
    $LOGIN_FEHLER .= i4l("not_ok");
  }
}
else
{
  if (! empty ($LOGIN_NAME))
  {
    $LOGIN_FEHLER .= "<B>".i4l("password")."</B>: ".i4l("not_ok");
  }
  if (! empty ($LOGIN_PW))
  {
    $LOGIN_FEHLER .= "<B>".i4l("username")."</B>: ".i4l("not_ok");
  }
}

// -------------------------------------------------------------------
// Nicht eingelogt -> Formular anzeigen
// -------------------------------------------------------------------
if (empty($_SESSION['UVEREIN_LOGIN_OK']))
{
// *** Login-Header ausgeben, wenn nicht eingeloggt
  if (empty($_SESSION['UVEREIN_LOGIN_OK']))
  {
    $FORM->inhalt("<H1 id=\"schrift9zentriert\">uVerein " . i4l("login") . "</H1>");
    if(stristr($DB_NAME, '.test'))
    {
      $FORM->inhalt("<H2 id=\"schrift5zentriert\">T E S T I N G</H2>");
    }
// *** Wenn das Admin-Passwort noch nicht geaendert wurde - Hinweis ausgeben
    if ($USER_DB->tab_get (0, "admin", 1) == "pw")
    {
      $FORM->inhalt("<BR><HR><B>".i4l("TXT_ERSTANMELDUNG-HEAD").":</B><BR>");
      $FORM->inhalt("<DL><U>".i4l("username")."</U><DD><B>admin</B></DD></DL>");
      $FORM->inhalt("<DL><U>".i4l("password")."</U><DD><B>pw</B></DD></DL>");
      $FORM->inhalt("<HR>");
      $FORM->inhalt("<B>".i4l("TXT_ERSTANMELDUNG-ROOTINFO")."</B>");
      $FORM->inhalt("<HR>");
    }
    if (! empty ($LOGIN_FEHLER))
    {
      $FORM->inhalt("<SPAN style=\"color:red\">");
      $FORM->inhalt("<HR><CENTER> $LOGIN_FEHLER </CENTER><HR>");
      $FORM->inhalt("</SPAN>");
    }
  }
// *** Formular definieren
  $FORM->inhalt("<TABLE cellspacing=\"1\" cellpadding=\"3\" align=\"center\">");
  $FORM->inhalt("<TR>");
  $FORM->inhalt("<TD width=\"100\" id=\"schrift5ohne\">".i4l("username")."</TD>");
  $FORM->inhalt("<TD width=\"200\">");
  $FORM->eingabe("LOGIN_NAME",30,$LOGIN_NAME);
  $FORM->inhalt("</TD></TR>");
  $FORM->inhalt("<TR>");
  $FORM->inhalt("<TD width=\"100\" id=\"schrift5ohne\">".i4l("password")."</TD>");
  $FORM->inhalt("<TD width=\"200\">");
  $FORM->password ("LOGIN_PW",30);
  $FORM->inhalt("</TD></TR>");
  $FORM->inhalt("<TR><TD>&nbsp;</TD><TD>");
  $FORM->grafikbutton("LOGIN","../icons/ok.png",false);
  $FORM->inhalt("</TD></TR>");
  $FORM->inhalt("</TABLE>");
// *** Fokus auf den Usernamen setzen
  $FORM->fokus ("LOGIN_NAME");
  echo $FORM->schliessen();
}
?>
