<?php
//****h* Mitgliederverwaltung/print.beitrag-offen.php
// NAME
//   print.beitrag-offen.php
// BESCHREIBUNG
//   Erstellt eine Aufstellung der offenen Beitraege als PDF-Dokument
//
//***
include_once "base.inc";
include_once "klassen/uvereinpdf.inc";

$PDF = new cl_uvereinpdf ($ART, $UVEREIN_DB->get_vereinsname().$ERG);

$SEITENLAENGE = 250;
// --------------------------------------------------------
// Zahlendarstellung mit 2 Nachkommastellen
// --------------------------------------------------------
function zahl ($x)
{
  global $FORM;
  return ($FORM->numeingabe2anzeige($x,2));
}

// ---------------------------------------------------------
// Zwischensumme beim Seitenwechsel
// ---------------------------------------------------------
function neueseite ()
{
  global $ueberschrift, $PDF, $SEITENLAENGE;
  if ($PDF->GetY() > $SEITENLAENGE)
  {
    $PDF->table_line("");
    $PDF->AddPage();
    $PDF->table_head ($ueberschrift);
    $PDF->table_line("");
  }
}

// --------------------------------------------------------
// PDF-Tabelle erstellen
// --------------------------------------------------------
$PDF->table_init (4,"Times",9,0,array(4,2,1,1),array("L","L","R","R"));
$ueberschrift[0] = i4l("data_name");
$ueberschrift[1] = i4l("bu_buchung");
$ueberschrift[2] = " ";
$ueberschrift[3] = i4l("gesamt-summe");
$PDF->table_head ($ueberschrift);

// --------------------------------------------------------
// Stand des Beitragskonto's
// --------------------------------------------------------
$ABFRAGE_ERGEBNIS = $UVEREIN_DB->sql_befehl ("SELECT m_nr, sum(soll) - sum(haben) AS summe FROM beitrag  WHERE v_name='$VEREIN_NAME' GROUP BY m_nr");
// ---------------------------------------------------------
// In Tabelle eintragen
// ---------------------------------------------------------
$i = 0; while ($i < $UVEREIN_DB->sql_lines($ABFRAGE_ERGEBNIS))
{
  // Datensatz holen
  $data = $UVEREIN_DB->sql_line($i,$ABFRAGE_ERGEBNIS); $i++;
  // Nur eintragen, wenn ein Rckstand besteht
  if ($data->summe > 0.00)
  {
  	$SUMME = 0;
  	$UVEREIN_DB->sql_befehl("SELECT m_nr, datum, soll - haben AS summe, bu_text".
  	                        "  FROM beitrag".
  	                        " WHERE m_nr='$data->m_nr' AND v_name='$VEREIN_NAME'".
  	                        " ORDER BY datum DESC");
  	$e = 0; $min_line = 0; while ($e < $UVEREIN_DB->sql_lines())
  	{
  		 $data = $UVEREIN_DB->sql_line($e); $e++;
  		 $SUMME += $data->summe;
  		 switch ($min_line)
  		 {
  		 	 case 0: $inhalt[0] = $UVEREIN_DB->sql_1_value("personen","vorname || ' ' || name","nr=$data->m_nr");
  		 	         break;
  		 	 case 1: $inhalt[0] = $UVEREIN_DB->sql_1_value("personen","strasse || ' ' || hausnr","nr=$data->m_nr");
  		 	         break;
  		 	 case 2: $inhalt[0] = $UVEREIN_DB->sql_1_value("personen","plz || ' ' || ort","nr=$data->m_nr");
  		 	         break;
  		 	 default: $inhalt [0] = " "; break;
  		 }
  		 $min_line++;
  		 $inhalt[1] = $data->datum . " " . $data->bu_text;
  		 $inhalt[2] = zahl($data->summe);
  		 $inhalt[3] = " ";
// Daten in Tabellenzeile eintragen
       $PDF->table_line($inhalt);
// Neue Seite erforderlich ? Wenn ja, Uebertrag bilden
       neueseite();
// Beenden, sobald Beitragskonto ausgeglichen        
       if ($UVEREIN_DB->sql_1_value("beitrag","sum(soll) - sum(haben)","m_nr='$data->m_nr' AND datum<'$data->datum'") <= 0) 
         $e = $UVEREIN_DB->sql_lines() + 1;
  	}
    while ($min_line < 3)
    {
  		 switch ($min_line)
  		 {
  		 	 case 0: $inhalt[0] = $UVEREIN_DB->sql_1_value("personen","vorname || ' ' || name","nr=$data->m_nr");
  		 	         break;
  		 	 case 1: $inhalt[0] = $UVEREIN_DB->sql_1_value("personen","strasse || ' ' || hausnr","nr=$data->m_nr");
  		 	         break;
  		 	 case 2: $inhalt[0] = $UVEREIN_DB->sql_1_value("personen","plz || ' ' || ort","nr=$data->m_nr");
  		 	         break;
  		 	 default: $inhalt [0] = " "; break;
  		 }
  		 $min_line++;
  		 $inhalt[1] = " "; $inhalt[2] = " "; $inhalt[3] = " ";
       $PDF->table_line($inhalt); neueseite();
    }
    $inhalt[0] = " "; $inhalt[1] = " "; $inhalt[2] = " ";
    $inhalt[3] = zahl($SUMME); $PDF->table_line($inhalt); neueseite();
    $inhalt[3] = " "; $PDF->table_line("");  	
  }
}

// --------------------------------------------------------
// PDF-Dokument auf Bildschirm ausgeben
// --------------------------------------------------------
$PDF->anzeige();

?>