<?php
include_once "base.inc";
include_once "header.inc";

index_anzeige ();
register_help_pos (basename($_SERVER['PHP_SELF']));

$S_TEUER = 0;
// ------------------------------------------------------------------
// Eingabe-Maske fuer die Neuanlage zusammensetzen
// ------------------------------------------------------------------
function eingabe_zeile ($name, $nr, $umsatz, $steuersatz)
{
  global $FORM,$S_TEUER;
  $steuer = ($nr == 1) 
          ? $steuersatz                            // Vorsteuer wurde uebergeben
          : round($umsatz * ($steuersatz/100),2);  // Steuer berechnen
  $st_anzeige = ($nr == 1)
              ? ""
              : "(" . number2anzeige ($steuersatz,0) . " %)";
  $FORM->inhalt("<TR bgcolor=\"#E5E5E5\"><TD>$name $st_anzeige</td><TD>");
  if ($nr == 1)
  {
    $FORM->inhalt("&nbsp;");
    $FORM->hide("UMSATZ[$nr]","0");
  }
  else
  {
    $FORM->eingabe("UMSATZ[$nr]",35,number2anzeige($umsatz,2));
  }
  $FORM->inhalt("</TD><TD>");
  $FORM->eingabe("STEUER[$nr]",35,number2anzeige($steuer,2));
  $FORM->inhalt("</td></TR>");
  $S_TEUER += $steuer;
}

$FORM->inhalt(page_head (i4l("STEUER_ABRECHNUNG")));
$FORM->inhalt("<H1>" . i4l("steuer_abrechnung")." $AKT_YEAR</H1>");

$FORM->inhalt("<TABLE id=\"normal\">");
// -------------------------------------------------------------
// Erfassungsarten auswerten
// -------------------------------------------------------------
$SEND_OK = $FORM->sende_ergebnis();
$CHECK_STR = explode(":", $SEND_OK);
$SEND_OK   = (empty($CHECK_STR[0])) ? $SEND_OK : $CHECK_STR[0];
$UEBERGABE = (empty($CHECK_STR[1])) ? "" : $CHECK_STR[1];

switch ("$SEND_OK")
{
  // ----------------------------------------------------------------
  // Bereits erfasste Daten aendern
  // ----------------------------------------------------------------
  case 'EDIT' :
  $FORM->inhalt("<TR><TD colspan=\"2\">");
  $FORM->inhalt("<B><U>".i4l("txt_aendern")."</U></B>");
  $FORM->inhalt("</TD></TR>");
  $S_TEUER = 0;
  $qu = $UVEREIN_DB->sql_befehl 
        ("SELECT * FROM tax".
         " WHERE verein='$VEREIN_NAME' AND jahr='$AKT_YEAR' AND datum='$UEBERGABE'".
         " ORDER BY art");
  if ($UVEREIN_DB->sql_lines($qu) > 0) 
  {
    $FORM->inhalt("<tr bgcolor=\"#E5E5E5\"><TD>".i4l("data_datum")."</td>");
    $FORM->inhalt("<TD colspan=\"2\">");
    $FORM->eingabe("DATUM",80,$UEBERGABE);
    $FORM->inhalt("</td></tr>");
    $FORM->hide("OLD_DATUM",$UEBERGABE);
    $FORM->inhalt("<TR bgcolor=\"#E5E5E5\"><TD><strong>".i4l("STEUER_ART")."</strong></td>");
    $FORM->inhalt("    <TD><strong>".i4l("NETTOUMSATZ")."</strong></TD>");
    $FORM->inhalt("    <TD><strong>".i4l("STEUER_Betrag")."</strong></td></TR>");
    $i = 0; while ($i < $UVEREIN_DB->sql_lines($qu))
    {
      $data = $UVEREIN_DB->sql_line ($i,$qu);
      $xq = $UVEREIN_DB->sql_befehl 
            ("SELECT * FROM tax_base WHERE verein='$VEREIN_NAME' AND nr='$data->art'");
      $stbase = $UVEREIN_DB->sql_line (0,$xq);
      $FORM->inhalt("<TR bgcolor=\"#E5E5E5\"><TD>$stbase->name</td><TD>");
      if ($data->art <= 1)
      {
        $FORM->inhalt("&nbsp;");
        $FORM->hide("UMSATZ[$data->art]","0");
      }
      else
      {
        $FORM->eingabe("UMSATZ[$data->art]",35,number2anzeige($data->umsatz,2));
      }
      $FORM->inhalt("</TD><TD>");
      $FORM->eingabe("STEUER[$data->art]",35,number2anzeige($data->steuer,2));
      $FORM->inhalt("</td></TR>");
      $S_TEUER += $data->steuer;
      $i++;
    }
  // Summe anzeigen
    $FORM->inhalt("<TR bgcolor=\"#E5E5E5\"><TD><strong>".i4l("GESAMT-SUMME")."</strong></td>");
    $FORM->inhalt("    <TD>&nbsp;</TD>");
    $FORM->inhalt("    <TD><B>".number2anzeige($S_TEUER,2)."</b></td></TR>");
    $FORM->inhalt("<TR bgcolor=\"#E5E5E5\"><TD colspan=\"3\"><HR></td></tr>");
  }  
  // Aenderung abschicken
  $FORM->inhalt("<TR bgcolor=\"#E5E5E5\"><TD>&nbsp;</td><TD colspan=\"3\">");
  $FORM->grafikbutton("EDIT_ERFASSEN","../icons/ok.png",false);
  $FORM->inhalt("</td></tr>");
  break;

  case 'EDIT_ERFASSEN' :
  // Daten aus Superglobals auslesen
  $Datum  = $FORM->returnwert("DATUM");
  $OLDDAT = $FORM->returnwert("OLD_DATUM");
  $UMSATZ = $FORM->returnwert("UMSATZ");
  $STEUER = $FORM->returnwert("STEUER");
  reset ($UMSATZ); reset ($STEUER);
  while (list($key, $val) = each($UMSATZ)) 
  {
  // Ist der Eintrag bereits vorhanden?
    $qu = $UVEREIN_DB->sql_befehl 
          ("SELECT * FROM tax".
           " WHERE verein='$VEREIN_NAME'".
           "   AND jahr='$AKT_YEAR'".
           "   AND datum='$OLDDAT'".
           "   AND art='$key'");
    if ($UVEREIN_DB->sql_lines ($qu) > 0)
  // Eintrag ist vorhanden 
    {
      $umsatz = anzeige2number ($val);
      $steuer = anzeige2number ($STEUER[$key]);
      $UVEREIN_DB->sql_befehl 
       ("UPDATE tax".
        "   SET datum='$Datum', umsatz='$umsatz', steuer='$steuer'".
        " WHERE verein='$VEREIN_NAME' AND jahr='$AKT_YEAR' AND datum='$OLDDAT' AND art='$key'");
    }
  }
  break;

  // ----------------------------------------------------------------
  // Neuanlage
  // ----------------------------------------------------------------
  case 'NEU' :
  // Alle Konten auslesen
  $qu = $UVEREIN_DB->sql_befehl ("SELECT * FROM tax_konten WHERE verein='$VEREIN_NAME'");
  // Wenn Konten vorhanden sind, pruefen ob Werte eingetragen sind
  if ($UVEREIN_DB->sql_lines ($qu) > 0) { $i = 0; while ($i < $UVEREIN_DB->sql_lines($qu))
  {
    $data  = $UVEREIN_DB->sql_line ($i,$qu);
    $Wert = (empty($WERTE[$data->steuersatz])) 
          ? 0 
          : $WERTE[$data->steuersatz] + 0;
  // Konten ohne Steuer und Vorsteuer nicht anzeigen
    if ($data->steuersatz > 1) 
    {
  // Linke Kontenseite (Kosten/Ertragskonten) auslesen
      $xq = $UVEREIN_DB->sql_befehl 
            ("SELECT sum(b_betrag) AS betrag FROM bu_belege".
             " WHERE b_konto='".$data->kto."'".
             "   AND b_verein='$VEREIN_NAME' AND b_jahr='$AKT_YEAR'");
      if ($UVEREIN_DB->sql_lines ($xq) > 0)
      { $xdata = $UVEREIN_DB->sql_line (0,$xq); $Wert += $xdata->betrag; }
  // Rechte Kontenseite (Finanzkonten) auslesen
      $xq = $UVEREIN_DB->sql_befehl 
            ("SELECT sum(b_betrag) AS betrag FROM bu_belege".
             " WHERE f_konto='".$data->kto."'".
             "   AND b_verein='$VEREIN_NAME' AND b_jahr='$AKT_YEAR'");
      if ($UVEREIN_DB->sql_lines ($xq) > 0)
      { $xdata = $UVEREIN_DB->sql_line (0,$xq); $Wert -= $xdata->betrag; }
  // Steuerart ermitteln und in Array eintragen
      $xq = $UVEREIN_DB->sql_befehl 
            ("SELECT * FROM tax_base".
             " WHERE verein='$VEREIN_NAME' AND nr='".$data->steuersatz."'");
      if ($UVEREIN_DB->sql_lines ($xq) > 0)
      $WERTE[$data->steuersatz] = $Wert;
    }
    $i++;
  }}
  $FORM->inhalt("<TR><TD colspan=\"2\">");
  $FORM->inhalt("<B><U>".i4l("txt_neuanlage")."</U></B>");
  $FORM->inhalt("</TD></TR>");
  $FORM->inhalt("<tr bgcolor=\"#E5E5E5\"><TD>".i4l("data_datum")."</td>");
  $FORM->inhalt("<TD colspan=\"2\">");
  $FORM->eingabe("DATUM",80,date("d.m.Y"));
  $FORM->inhalt("</td></tr>");
  $FORM->inhalt("<TR bgcolor=\"#E5E5E5\"><TD colspan=\"3\"><HR></td></tr>");
  $FORM->inhalt("<TR bgcolor=\"#E5E5E5\"><TD><strong>".i4l("STEUER_ART")."</strong></td>");
  $FORM->inhalt("    <TD><strong>".i4l("NETTOUMSATZ")."</strong></TD>");
  $FORM->inhalt("    <TD><strong>".i4l("STEUER_Betrag")."</strong></td></TR>");
  // Konten aus Array auslesen und Steuerberechnung vorbereiten
  $qu = $UVEREIN_DB->sql_befehl 
        ("SELECT * FROM tax_base WHERE verein='$VEREIN_NAME' AND nr>1 ORDER BY nr");
  if ($UVEREIN_DB->sql_lines ($qu) > 0)
  {
    $i = 0; while ($i < $UVEREIN_DB->sql_lines ($qu))
    {
      $data = $UVEREIN_DB->sql_line ($i,$qu);
      $Wert_Anzeige = (empty($WERTE[$data->nr]))
                    ? 0
                    : $WERTE[$data->nr];
      $Wert_Anzeige = round (($Wert_Anzeige/(100+$data->steuersatz))*100, 
                             $data->rundung);
  // Bereits erfasste Werte abziehen
      $xq = $UVEREIN_DB->sql_befehl 
            ("SELECT jahr, sum(umsatz) AS betrag FROM tax".
             " WHERE art='$data->nr' AND verein='$VEREIN_NAME' AND jahr='$AKT_YEAR'".
             " GROUP BY jahr");
      if ($UVEREIN_DB->sql_lines ($xq) > 0)
      { $xdata = $UVEREIN_DB->sql_line (0,$xq); $Wert_Anzeige -= $xdata->betrag; }
  // Berechnete Werte anzeigen und ggf. manuell berichtigen                             
      eingabe_zeile ($data->name,                          // Zeilenbeschriftung
                     $data->nr,                            // Datensatz-Nr.
                     $Wert_Anzeige,                        // Netto-Umsatz
                     $data->steuersatz                     // Steuersatz
                    );
      $i++;
    }
  }
  // Noch nicht verrechnete Vorsteuer ermitteln
  //
  // o In Rechnungen enthaltene Vorsteuer
  $qu = $UVEREIN_DB->sql_befehl 
        ("SELECT sum(b_steuer) AS betrag FROM bu_belege".
         " WHERE b_verein='$VEREIN_NAME' AND b_jahr='$AKT_YEAR'");
  $data = $UVEREIN_DB->sql_line (0,$qu);
  $TAX_VORSTEUER = $data->betrag;
  // Vorsteuerkonto ermitteln      
  $UVEREIN_DB->sql_abfrage ("virtual_konto","verein='".$VEREIN_NAME."'".
               " AND art='".$VIRTUALKONTO["UST"]."'","","");
  $qu = $UVEREIN_DB->qu;
  $sql_zeilen = $UVEREIN_DB->sql_lines($qu);  
  $data = ($sql_zeilen > 0) ? $UVEREIN_DB->sql_line (0,$qu) : "";
  $BUCHUNG_VORSTEUERKONTO = $data->fkonto;
  // o abgerechnete Vorsteuer
  $qu = $UVEREIN_DB->sql_befehl 
        ("SELECT -(sum(b_betrag)) as betrag FROM bu_belege".
		   " WHERE f_konto='".$BUCHUNG_VORSTEUERKONTO."'".
		   "   AND b_verein='".$VEREIN_NAME."' AND b_jahr='$AKT_YEAR'");
  $x = $UVEREIN_DB->sql_lines($qu);
  $data = ($x > 0) ? $UVEREIN_DB->sql_line(0,$qu) : "";
  $TAX_VORSTEUER -= $data->betrag;
  $qu = $UVEREIN_DB->sql_befehl 
        ("SELECT -(sum(b_betrag)) as betrag FROM bu_belege".
		   " WHERE b_konto='".$BUCHUNG_VORSTEUERKONTO."'".
		   "   AND b_verein='".$VEREIN_NAME."' AND b_jahr='$AKT_YEAR'");
  $x = $UVEREIN_DB->sql_lines($qu);
  $data = ($x > 0) ? $UVEREIN_DB->sql_line(0,$qu) : "";
  $TAX_VORSTEUER += $data->betrag;
  // 
  // Ergebnis anbieten  
  eingabe_zeile (i4l("VORSTEUER"),1,0,-($TAX_VORSTEUER));
  // Summe anzeigen
  $FORM->inhalt("<TR bgcolor=\"#E5E5E5\"><TD><strong>".i4l("GESAMT-SUMME")."</strong></td>");
  $FORM->inhalt("    <TD>&nbsp;</TD>");
  $FORM->inhalt("    <TD><B>".number2anzeige($S_TEUER,2)."</b></td></TR>");
  $FORM->inhalt("<TR bgcolor=\"#E5E5E5\"><TD colspan=\"3\"><HR></td></tr>");
  // Neuanlage abschicken
  $FORM->inhalt("<TR bgcolor=\"#E5E5E5\"><TD>&nbsp;</td><TD colspan=\"3\">");
  $FORM->grafikbutton("NEU_ERFASSEN","../icons/ok.png",false);
  $FORM->inhalt("</td></tr>");
  break;

  case 'NEU_ERFASSEN' :
  // Daten aus Superglobals auslesen
  $Datum  = $FORM->returnwert("DATUM");
  $UMSATZ = $FORM->returnwert("UMSATZ");
  $STEUER = $FORM->returnwert("STEUER");
  reset ($UMSATZ); reset ($STEUER);
  while (list($key, $val) = each($UMSATZ)) 
  {
  // Ist der Eintrag bereits vorhanden?
    $qu = $UVEREIN_DB->sql_befehl 
          ("SELECT * FROM tax".
           " WHERE verein='$VEREIN_NAME' AND jahr='$AKT_YEAR' AND datum='$Datum' AND art='$key'");
    if ($UVEREIN_DB->sql_lines ($qu) == 0)
  // Eintrag ist nicht vorhanden 
    {
      $umsatz = anzeige2number ($val);
      $steuer = anzeige2number ($STEUER[$key]);
      $UVEREIN_DB->sql_befehl 
       ("INSERT INTO tax (verein,jahr,datum,art,umsatz,steuer)".
        " VALUES ('$VEREIN_NAME','$AKT_YEAR','$Datum','$key','$umsatz','$steuer')");
    }
  }
  break;
  
  // ----------------------------------------------------------------
  // Steuer in Buchhaltung übertragen
  // ----------------------------------------------------------------
  case 'BUCHE_TAX' :
  $FORM->inhalt("<TR><TD colspan=\"2\">");
  $FORM->inhalt("<B><U>".i4l("msg_erfassen")."</U></B>");
  $FORM->inhalt("</TD></TR>");
  // Finanzkonto ermitteln
  $FORM->inhalt("<TR><TD>".i4l("data_finanzkonto")."</TD><TD>");
  $NR = $UVEREIN_DB->sql_1_value(
    "tax","bu_nr","verein='$VEREIN_NAME' AND jahr='$AKT_YEAR' AND datum='$UEBERGABE'") 
    + 0;
  $FORM->selection ("finanzkonto",
    $UVEREIN_DB->konten_liste4selection($UVEREIN_DB->get_vfinanz())
    ,$UVEREIN_DB->sql_1_value(
      "bu_belege",
      "f_konto",
      "b_nr='$NR' AND b_verein='$VEREIN_NAME' AND b_jahr='$AKT_YEAR'")
   );
  $FORM->inhalt("</TD></TR>");
  // Abrechnungsdatum sichern
  $FORM->hide("DATUM",$UEBERGABE);
  // erfasste Beträge auslesen
  $qu = $UVEREIN_DB->sql_befehl 
        ("SELECT * FROM tax".
         " WHERE verein='$VEREIN_NAME' AND jahr='$AKT_YEAR' AND datum='$UEBERGABE'".
         " ORDER BY art");
  if ($UVEREIN_DB->sql_lines($qu) > 0) 
  {
    $i = 0; while ($i < $UVEREIN_DB->sql_lines($qu))
    {
      $data = $UVEREIN_DB->sql_line ($i,$qu);
      if ($i == 0) 
      {
  // Datum anzeigen
        $FORM->inhalt("<TR>");
        $FORM->inhalt("<TD>".i4l("data_datum")."</TD>");
        $FORM->inhalt("<TD><B>$data->datum</B></TD></TR>");
  // Buchungs-Nummer anzeigen bzw. erfassen      
        $FORM->inhalt("<TR>");
        $FORM->inhalt("<TD>".i4l("bu_belege_nr")."</TD>");
        $FORM->inhalt("<TD><B>");
        if ($data->bu_nr == 0)
        {
          $what = $UVEREIN_DB->sql_befehl
                  ("SELECT max(b_nr) AS nr FROM bu_belege".
                   " WHERE b_verein='$VEREIN_NAME' AND b_jahr='$AKT_YEAR'");
          $wdat = $UVEREIN_DB->sql_line (0,$what);
          $NR = ($wdat->nr >= 1) ? $wdat->nr + 1 : 2;
          $FORM->eingabe("bu_nr",50,$NR);
        }
        else
        {
          $FORM->hide ("bu_nr",$data->bu_nr);
          $FORM->inhalt($data->bu_nr);
        }
        $FORM->inhalt("</B></TD></TR></TABLE>");
        $FORM->inhalt("<BR><TABLE border=\"1\">");
  // Steuerberechnung anzeigen
        $FORM->inhalt("<TR><TD><B>".i4l("steuer_art")."</B></TD>");
        $FORM->inhalt("<TD><B>".i4l("data_buchungskonto")."</B></TD>");
        $FORM->inhalt("<TD><B>".i4l("bu_kst")."</b></td>");
        $FORM->inhalt("<TD><B>".i4l("steuer_betrag")."</B></td></TR>");
      }
      $FARBE = (empty($FARBE)) ? "#F0F0F0" : $FARBE;
      $FARBE = ($FARBE == "#EBEBFB") ? "#F0F0F0" : "#EBEBFB";
      $FORM->inhalt("<TR bgcolor=\"$FARBE\">");
      $what = $UVEREIN_DB->sql_befehl 
              ("SELECT * FROM tax_base".
               " WHERE verein='$VEREIN_NAME' AND nr='$data->art'");
      $wdat = $UVEREIN_DB->sql_line (0,$what);
  // Bezeichnung der Steuer      
      $FORM->inhalt("<TD>$wdat->name ($wdat->kurztext)</td>");
  // Buchungskonto auswählen
      $FORM->inhalt("<td>");
      if ($data->art == 1 )
      {
  // Sonderfall: Vorsteuerabrechnung
        $SEL = $UVEREIN_DB->konten_liste4selection($UVEREIN_DB->get_vfinanz()); 
        $FORM->selection("buchungkonto[$data->art]",$SEL);
      }
      else
      {
  // zu zahlende Umsatzsteuer
        $FORM->selection("buchungkonto[$data->art]",$UVEREIN_DB->konten_liste4selection());
      }
      $FORM->inhalt("</TD>");
  // Kostenstelle auswählen
      $FORM->inhalt("<TD>");
      $kqu = $UVEREIN_DB->sql_befehl 
             ("SELECT * FROM bu_kst".
              " WHERE verein='$VEREIN_NAME'".
              " ORDER BY kst_name");
      $SEL = "";
      $ki=0; while ($ki < $UVEREIN_DB->sql_lines($kqu))
      {
        $kdata = $UVEREIN_DB->sql_line ($ki,$kqu); $ki++;
        $SEL[$kdata->kst] = "$kdata->kst_name";
      } 
      $FORM->selection("kostenstelle[$data->art]",$SEL);
      $FORM->inhalt("</TD>");
  // Steuer
      $FORM->inhalt("<td><div align=\"center\">".
                   number2anzeige($data->steuer,2).
                   "</div></TD>");
      $FORM->inhalt("</tr>");
      $i++;      
    }
  }
  $FORM->inhalt("</TABLE><TABLE>");
  // Buchung abschicken
  $FORM->inhalt("<TR bgcolor=\"#E5E5E5\"><TD>");
  $FORM->grafikbutton("TAX_BUCHEN","../icons/ok.png",false);
  $FORM->inhalt("</td></tr>");
  break;
  // Buchung durchführen
  case 'TAX_BUCHEN' :
  // Eingabe aus Superglobals einlesen
  $Datum          = $FORM->returnwert("DATUM");
  $BU_NR          = $FORM->returnwert("bu_nr");
  $FINANZ_KONTO   = $FORM->returnwert("finanzkonto");
  $BUCHUNGS_KONTO = $FORM->returnwert("buchungkonto");
  $KOSTENSTELLE   = $FORM->returnwert("kostenstelle");
  // Alten Eintrag in der Buchhaltung löschen
    $UVEREIN_DB->sql_befehl 
     ("DELETE FROM bu_belege".
      " WHERE b_verein='$VEREIN_NAME' AND b_nr='$BU_NR' AND b_jahr='$AKT_YEAR'");
  // Steuerbeträge aus tax auslesen
  $qu = $UVEREIN_DB->sql_befehl 
        ("SELECT * FROM tax".
         " WHERE verein='$VEREIN_NAME' AND jahr='$AKT_YEAR' AND datum='$Datum'".
         " ORDER BY art");
  if ($UVEREIN_DB->sql_lines($qu) > 0) 
  {
    $i = 0; while ($i < $UVEREIN_DB->sql_lines($qu))
    {
      $data = $UVEREIN_DB->sql_line ($i,$qu); $i++;
  // Prüfen ob ein Steuerbetrag anfällt
      $OK = ($data->steuer > 0) ? true : false;
      $OK = ($data->steuer < 0) ? true : $OK;
  // Nur buchen, wenn Steuer anfällt
      if ($OK)
      {
        $BETRAG = $data->steuer * -1;
        $EINTRAG = array ("b_nr" => $BU_NR, "b_datum" => $Datum,
                          "b_konto" => $BUCHUNGS_KONTO[$data->art], "f_konto" => $FINANZ_KONTO,
                          "b_betrag" => $BETRAG, "b_steuer" => "0",
                          "b_text" => i4l("umsatz-steuer"), "b_kst" => $KOSTENSTELLE[$data->art]);
        $UVEREIN_DB->beleg_insert ($EINTRAG);
      }
    }
  }
  // Buchungsnummer merken
  $UVEREIN_DB->sql_befehl 
   ("UPDATE tax SET bu_nr='$BU_NR'".
    " WHERE verein='$VEREIN_NAME' AND jahr='$AKT_YEAR' AND datum='$Datum'");
  break;  
}

//
// Daten fuer die Jahresabrechnung anzeigen
//
$UVEREIN_DB->sql_befehl ("SELECT art, sum(umsatz) AS umsatz, sum(steuer) AS steuer".
                         "  FROM tax".
                         " WHERE verein='$VEREIN_NAME' AND jahr='$AKT_YEAR'".
                         " GROUP BY art");
if ($UVEREIN_DB->sql_lines() >= 1)
{                         
  $FORM->inhalt("<TR><TD colspan=\"3\">");
  $FORM->inhalt("<HR><table border=\"2\" bgcolor=\"lightgreen\" id=\"normal\">");
  $FORM->inhalt("<TR><TH>".i4l("steuer_art")."</th>");
  $FORM->inhalt("<TH>".i4l("nettoumsatz")."</th>");
  $FORM->inhalt("<th>".i4l("steuer_betrag")."</th></tr>");
  $i = 0; while ($i < $UVEREIN_DB->sql_lines())
  {
    $data = $UVEREIN_DB->sql_line ($i); $i++;
    $FORM->inhalt("<TR><TD>");
    $FORM->inhalt($UVEREIN_DB->sql_1_value ("tax_base",
                                            "name",
                                            "nr='$data->art' AND verein='$VEREIN_NAME'"));
    $FORM->inhalt("</TD>");
    $FORM->inhalt("<TD id=\"rechtsbuendig\">".number2anzeige($data->umsatz,2)."</td>");
    $FORM->inhalt("<TD id=\"rechtsbuendig\">".number2anzeige($data->steuer,2)."</td>");
    $FORM->inhalt("</tr>");
  }                          
  $FORM->inhalt("</TABLE><HR>");
} 
// -----------------------------------------------------------
// Jahresaufstellung
// -----------------------------------------------------------
$FORM->inhalt("</td></tr>");
$FORM->inhalt("<TR><TD colspan=\"2\">");
$FORM->inhalt("<B><U>".i4l("steuer_menue")."</U></B>");
$FORM->inhalt("</TD></TR>");
$FORM->inhalt("<TR><TD colspan=\"3\"><TABLE id=\"normal\" border=\"1\">");
$FORM->inhalt("<TR>".
               "<TH>".i4l("aktion")."</th>".
               "<TH>".i4l("data_datum")."</th>".
               "<TH>".i4l("nettoumsatz")."</th>".
               "<TH>".i4l("steuer_betrag")."</th>".
               "</tr>");
$qu = $UVEREIN_DB->sql_befehl 
      ("SELECT datum, sum (umsatz) AS umsatz, sum (steuer) AS steuer".
       "  FROM tax WHERE verein='$VEREIN_NAME' AND jahr='$AKT_YEAR'".
       " GROUP BY datum ORDER BY datum");
$S_TEUER = 0;
if ($UVEREIN_DB->sql_lines($qu) > 0)
{
   $i = 0; while ($i < $UVEREIN_DB->sql_lines($qu))
   { 
     $data = $UVEREIN_DB->sql_line ($i,$qu);
     $FORM->inhalt("<TR><TD>");
     $FORM->grafikbutton("EDIT:".$data->datum,"../icons/edit.png");
     $FORM->grafikbutton("BUCHE_TAX:".$data->datum,"../icons/tax_in_buchung_30x30.png");
     $FORM->inhalt("</td>");
     $FORM->inhalt("<TD>$data->datum</td>");
     $FORM->inhalt("<TD id=\"rechtsbuendig\">".number2anzeige($data->umsatz,2)."</td>");
     $FORM->inhalt("<TD id=\"rechtsbuendig\">".number2anzeige($data->steuer,2)."</td>");
     $FORM->inhalt("</tr>");
     $i++;
     $S_TEUER += $data->steuer;
  }
// Summe anzeigen
  $FORM->inhalt("<TR><TD colspan=\"3\"><strong>".i4l("GESAMT-SUMME")."</strong></td>");
  $FORM->inhalt("    <TD id=\"rechtsbuendig\"><B>".number2anzeige($S_TEUER,2)."</b></td></TR>");
}
// Neuanlage auswaehlen
$FORM->inhalt("<TR><TD>");
$FORM->grafikbutton("NEU","../icons/new_30x30.png");
$FORM->inhalt("</td><TD colspan=\"3\">".i4l("txt_neuanlage")."</td></tr>");
$FORM->inhalt("</TABLE></td></tr>");

$FORM->inhalt("</TABLE>");

$FORM->inhalt(page_ende ()); 

echo $FORM->schliessen();
?>