<?php
include_once "base.inc";
include_once "header.inc";

register_help_pos (basename($_SERVER['PHP_SELF']));

$FORM->inhalt(page_head (i4l("steuer_konten")." - ".i4l("TXT_AENDERN")));
$FORM->inhalt("<H1>" . i4l("steuer_konten")." ".
                       i4l("txt_neuanlage"). "/".
                       i4l("TXT_AENDERN"). 
              "</H1>");

switch ($FORM->sende_ergebnis())
{
  case 'ERFASSEN' : // Änderung in Datenbank eintragen
       $S_teuer = $FORM->returnzahl("steuer");
       $K_onto  = $FORM->returnzahl("konto");
       $UVEREIN_DB->sql_befehl 
             ("SELECT * FROM tax_konten".
              " WHERE verein='$VEREIN_NAME'".
              "   AND kto='$K_onto'");
       if ($UVEREIN_DB->sql_lines() < 1)
       {
          $BEFEHL = "INSERT INTO tax_konten (verein,steuersatz,kto)".
                    " VALUES ('$VEREIN_NAME'".
                    " ,       '$S_teuer'".
                    " ,       '$K_onto'".
                    ")";
       }
       else
       {
         $BEFEHL = "UPDATE tax_konten SET steuersatz='$S_teuer'".
                   " WHERE verein='$VEREIN_NAME' AND kto='$K_onto'";
       }
       $UVEREIN_DB->sql_befehl ($BEFEHL);
  case 'WAEHLEN'  : // Datensatz wurde ausgewählt - Änderung erfassen
       $K_onto  = $FORM->returnzahl("konto");
       $qu = $UVEREIN_DB->sql_befehl 
             ("SELECT * FROM tax_konten".
              " WHERE verein='$VEREIN_NAME' AND kto='$K_onto'");
       if ($UVEREIN_DB->sql_lines($qu) == 0)
       {
         $S_teuer =  -1;
       }
       else
       {
         $data = $UVEREIN_DB->sql_line (0,$qu);
         $S_teuer = $data->steuersatz;
       }
       $FORM->inhalt("<TABLE id=\"normal\">");
       // Buchungskonto
       $qu = $UVEREIN_DB->get_kontodaten($K_onto);
       $data = $UVEREIN_DB->sql_line (0,$qu);
       $FORM->inhalt("<TR><td>".i4l("data_konto")."</td><td>$data->kto_name</td></tr>");
       $FORM->hide("konto",$K_onto);
       // Steuersatz auswaehlen
       $FORM->inhalt("<tr><td>".i4l("steuer_art")."</td><td>");
       $FORM->setwert("steuer",$S_teuer); 
       $FORM->selection ("steuer",$UVEREIN_DB->liste4selection(
         "tax_base","verein='$VEREIN_NAME'","nr","name"));
       $FORM->inhalt("</td></tr>");
       $FORM->inhalt("<TR><TD>".i4l("txt_aendern")."</td>");
       $FORM->inhalt("<TD>");
       $FORM->grafikbutton("ERFASSEN","../icons/ok.png",false);
       $FORM->inhalt("</td></tr>");
       $FORM->inhalt("</table>");
  default :         // Aufruf ohne Parameter
       if (empty($K_onto)) $K_onto = -1;
       $FORM->setwert ("konto",$K_onto);
       $FORM->inhalt("<HR>");
       $FORM->inhalt("<table border=\"1\">");
       $FORM->inhalt("<TR>");
       $FORM->inhalt("    <TH>".i4l("aktion")."</th>");
       $FORM->inhalt("    <TH>".i4l("data_konto")."</th>");
       $FORM->inhalt("    <TH>".i4l("steuer_satz")."</th>");
       $FORM->inhalt("    <TH>".i4l("steuer_art")."</th>");
       $FORM->inhalt("    <TH>".i4l("beschreibung")."</th>");
       $FORM->inhalt("</tr>");
       $qu = $UVEREIN_DB->get_kontodaten();
       $i = 0; if ($UVEREIN_DB->sql_lines($qu) > 0)
       {
         while ($i < $UVEREIN_DB->sql_lines ($qu))
         {
           $data = $UVEREIN_DB->sql_line ($i,$qu);
           if ($K_onto == -1) 
           {
             $K_onto = $data->kto_nr;
             $FORM->setwert ("konto",$K_onto);
           }
           $FORM->inhalt("<TR>");
           $FORM->inhalt("    <TD>");
           $FORM->grafikbutton("WAEHLEN","../icons/ok.png",false);
           $FORM->radio_button("konto",$data->kto_nr,"");
           $FORM->inhalt("    </TD>");
           $FORM->inhalt("    <TD>".$data->kto_name."&nbsp;</td>");
           $squ = $UVEREIN_DB->sql_befehl 
                  ("SELECT * FROM tax_konten".
                   " WHERE verein='$VEREIN_NAME'".
                   "   AND kto='".$data->kto_nr."'");
           if ($UVEREIN_DB->sql_lines($squ) == 0)
           {
             $FORM->inhalt("    <TD id=\"zentriert\">?</td>");
             $FORM->inhalt("    <TD id=\"zentriert\">?</td>");
             $FORM->inhalt("    <TD>?&nbsp;</td>");
           }
           else
           {
             $data = $UVEREIN_DB->sql_line (0,$squ);
             $squ = $UVEREIN_DB->sql_befehl 
                    ("SELECT * FROM tax_base".
                     " WHERE verein='$VEREIN_NAME'".
                     "   AND nr='".$data->steuersatz."'");
             if ($UVEREIN_DB->sql_lines($squ) == 0)
             {
               $FORM->inhalt("    <TD id=\"zentriert\">?</td>");
               $FORM->inhalt("    <TD id=\"zentriert\">?</td>");
               $FORM->inhalt("    <TD>?&nbsp;</td>");
             }
             else
             {
               $data = $UVEREIN_DB->sql_line (0,$squ);
               $FORM->inhalt("    <TD id=\"zentriert\">".$data->steuersatz." %</td>");
               $FORM->inhalt("    <TD id=\"zentriert\">".$data->name."</td>");
               $FORM->inhalt("    <TD>".$data->kurztext."&nbsp;</td>");
             }
           }
           $FORM->inhalt("</tr>");
           $i++;
         }
       }
       $FORM->inhalt("</table>");
       break;
}

$FORM->inhalt(page_ende ()); 
echo $FORM->schliessen();
?>