<?php

include_once "base.inc";
include_once "header.inc";

if ($FORM->sende_ergebnis() == "CHANGE_YEAR")
{
  $FORM->inhalt($SPECIAL_CALL->change_frame("home.php","_top"));
}

$I_ntern_titel_php__TITEL_MENUE = cookie_lesen ("MENU_NAME");
$I_ntern_titel_php__TITEL_MENUE = ($I_ntern_titel_php__TITEL_MENUE == "") ? "verein" : $I_ntern_titel_php__TITEL_MENUE;
$I_ntern_titel_php__TITEL_MENUE = strtolower ($I_ntern_titel_php__TITEL_MENUE);
$I_ntern_TESTING = ($UVEREIN_DB->SCHEMA == "testing") 
                 ? " style=\"background-color: #90EE90;\"" 
                 : "";
switch ($I_ntern_titel_php__TITEL_MENUE)
{
  case 'mitglieder_listen' : 
    $I_ntern_titel_php__TITEL_MENUE = "mitglieder"; break;
  case 'steuer' :
    $I_ntern_titel_php__TITEL_MENUE = "buchung"; break;
}
$I_ntern_titel_php__CHECK = "AUSWAHL=$I_ntern_titel_php__TITEL_MENUE";

// Menue-Punkt in Titel-Leiste eintragen
// -------------------------------------
function _menu_punkt ($ziel,$fenster,$parameter,$anzeige)
{
  global $FORM, $SPRACHE, $I_ntern_titel_php__CHECK;
  $lang = strtolower ($SPRACHE);
  switch ($lang)
  {
    case 'de' :
    case 'en' :
		break;
    default   : $lang = "de";
                break;
  }
  $FORM->inhalt ("<TD width=\"100\" height=\"50\" align=\"center\" valign=\"center\" id=\"zentriert\"");
  $FORM->inhalt (" style=\"background-image:url(../icons/");
  $FORM->inhalt (($I_ntern_titel_php__CHECK == $parameter) ? "button-yellow.png" : "button.png");
  $FORM->inhalt (")\">");
  if ($ziel != "")
  {
    $FORM->inhalt ("<B style=\"text-decoration: none;\"><A href=\"$ziel".
                  (($parameter == "") ? "" : "?$parameter") .
		            "\" target=\"$fenster\">");
  }
  $FORM->inhalt ("$anzeige</A></B></FONT></TD>");
}

// Buttons in Titel-Leiste eintragen
// ---------------------------------
function _button_eintragen ($ziel, $fenster, $parameter, $bild, $anzeige)
{
  global $FORM;
  $FORM->inhalt ("<TD align=\"center\" valign=\"center\" id=\"zentriert\">");
  if ($ziel != "")
  {
    $FORM->inhalt ("<B style=\"text-decoration: none;\"><A href=\"$ziel".
                  (($parameter == "") ? "" : "?$parameter") .
		            "\" target=\"$fenster\">");
  }
  $FORM->inhalt ("<IMG src=\"../icons/$bild\" alt=\"$anzeige\" width=\"30\" border=\"0\">");
  $FORM->inhalt ("</A></B></TD>");
}

// HTML-Header ausgeben
// --------------------
if (!headers_sent()) { header ("Content-Type: text/html; charset=iso-8859-15"); }
$FORM->inhalt (page_head ("[".$UVEREIN_DB->get_vereinsname()."]"));

// Beginn der Tabelle
// ------------------
$FORM->inhalt ("<TABLE class=\"breite100\"".
               "       border=\"0\"".
               "       style=\"background-image:url(../icons/papier2.png)\">");
$FORM->inhalt("<TR $I_ntern_TESTING>");

// Menue-Punkte eintragen
// ---------------------
_menu_punkt ("menue.php","Menue","AUSWAHL=einstellung",	i4l("menu_eintrag_einstellung"));
_menu_punkt ("menue.php","Menue","AUSWAHL=mitglieder",	i4l("menu_eintrag_mitglied"));
_menu_punkt ("menue.php","Menue","AUSWAHL=buchung",	i4l("menu_eintrag_buchung"));
_menu_punkt ("menue.php","Menue","AUSWAHL=verein",	i4l("menu_eintrag_verein"));
_button_eintragen ("menue.php","Menue","AUSWAHL=sichern","save.png",i4l("menu_title_save"));
_button_eintragen ("help-index.php","Anzeige","","frage.png",i4l("txt_help"));
_button_eintragen ("../doc/de.user-manuel.pdf","_blank","","handbuch.jpg",i4l("txt_help"));
if ($DB_SCHEMA == "testing")
{
  _button_eintragen ("__test.php","Anzeige","","help.png",i4l("txt_test"));
}
_button_eintragen ("index.php","_top","SEND_OK=LOGOUT","close.png",i4l("logout"));

// Programm-Name und Vereinsname ausgeben
// --------------------------------------
$FORM->inhalt ("<TD id=\"zentriert\"><FONT style=\"font-size: 20pt\">");
$FORM->inhalt ("uverein </FONT><FONT style=\"font-size: 10pt\">");
$FORM->inhalt (($UVEREIN_DB->SCHEMA == "testing") ? "TEST" : $PROGRAM_VERSION);
$FORM->inhalt ("</FONT><BR><B>[ <FONT style=\"font-size: 12pt;\">");
$FORM->inhalt ($UVEREIN_DB->get_vereinsname());
$FORM->inhalt ("</FONT> ]</B></TD>");
$FORM->inhalt ("<TD id=\"zentriert\"><B>" . $_SESSION['UVEREIN_LOGIN_NAME']);
$FORM->inhalt ("</B><BR>logged in</TD>");

// ------------------------------------------------------------------
// Jahreswechsel
//
$UVEREIN_DB->sql_befehl ("SELECT jahr FROM bilanz WHERE verein='$VEREIN_NAME' ORDER BY jahr DESC");
$i = 0; while ($i < $UVEREIN_DB->sql_lines())
{
  $data = $UVEREIN_DB->sql_line($i); $i++;
  $ARR["$data->jahr"] = $data->jahr;
}
$FORM->inhalt ("<td>");
$FORM->selection ("AKT_YEAR",$ARR,$AKT_YEAR);
$FORM->inhalt ("<br>");
$FORM->grafikbutton ("CHANGE_YEAR","../icons/ok.png",false);
$FORM->inhalt ("</td>");

// Ende der Tabelle
// ----------------
$FORM->inhalt ("</TR></TABLE>");

// HTML-Ende ausgeben
// ------------------
$FORM->inhalt (page_ende ());

// Seite anzeigen
// --------------
echo $FORM->schliessen();
?>
