<?php
//****h* Vereine verwalten/verein.beitrag.php
// BESCHREIBUNG
//   Beitragsarten des Vereins verwalten
// BUGS
//   keine bekannt
// COPYRIGHT
//   GPL
// AUTOR
//   Uwe Schied
//****

include_once "base.inc";
include_once "header.inc";

index_anzeige (); register_help_pos ("VEREIN_BEITRAGSART");
  
$art           = $FORM->returnwert("art");
$jahresbeitrag = $FORM->returnzahl("jahresbeitrag");
$nr            = $FORM->returnzahl("nr");
  
$FORM->inhalt(page_head ("u_verein &copy under GPL by Uwe Schied - Main"));
$FORM->inhalt("<H2>" . i4l("menu_verein_beitrag") . "</H2>");

$AUSWAHL = ($AUSWAHL == "") ? "START" : $AUSWAHL;
if (substr($AUSWAHL,0,3) == "DEL")
{
  $NR = substr($AUSWAHL,3);
  $AUSWAHL = "DELETE";
}
if (is_numeric ($AUSWAHL) == true)
{
  $NR = $AUSWAHL;
  $AUSWAHL = "UPDATE";
}
switch ($AUSWAHL)
{
  case 'START' :
    $FORM->inhalt("<TABLE><TR bgcolor=\"limegreen\">");
    $FORM->inhalt("<TH>".i4l("txt_aendern")."</TH>");
    $FORM->inhalt("<TH>".i4l("txt_loeschen")."</th>");
    $FORM->inhalt("<TH width='50%'>".i4l("txt_beitragsart")."</TH>");
    $FORM->inhalt("<TH>" . i4l("z_1") . "</TH></TR>");
    $UVEREIN_DB->sql_abfrage ("beitrags_art", "verein='$VEREIN_NAME'","art","");
    $qu = $UVEREIN_DB->qu;
    $farbe = "white"; $sql_zeilen = $UVEREIN_DB->sql_lines($qu);
    $zaehler=0; while ($zaehler < $sql_zeilen)
    {
      $data = $UVEREIN_DB->sql_line ($zaehler,$qu);
      $FORM->inhalt("<TR bgcolor=\"$farbe\"><TD><CENTER>");
      $FORM->radio_button ("AUSWAHL",$data->nr,"");
      $FORM->inhalt("</CENTER></TD><TD><center>");
      $FORM->radio_button ("AUSWAHL","DEL".$data->nr,"");
      $FORM->inhalt("</center></TD><TD>".$data->art."</TD>");
      $FORM->inhalt("<TD>".$data->jahresbeitrag."</TD></TR>");
      $farbe = ($farbe == "white") ? "lightgray" : "white";
      $zaehler++;
    }
    $FORM->inhalt("<TR bgcolor='lightblue'><TD colspan='4'>");
    $FORM->radio_button("AUSWAHL",
                        "NEUANLAGE",
                        "<B id=\"schrift5ohne\">".i4l("txt_neuanlage")."</B>");
    $FORM->inhalt("</TD></TR></TABLE>");
    $FORM->grafikbutton("OK","../icons/ok.png",false);
    break;

  case 'NEUANLAGE' :
    $FORM->inhalt("<H3>" . i4l("txt_neuanlage") . "</H3>");
    $FORM->hide ("AUSWAHL","NEU_INSERT");
    $FORM->inhalt ("<TABLE><TR><TD>".i4l("txt_beitragsart")."</TD><TD>");
    $FORM->eingabe("art");
    $FORM->inhalt ("</TD></TR><TR><TD>".i4l("z_1")."</TD><TD>");
    $FORM->eingabe("jahresbeitrag");
    $FORM->inhalt ("</TD></TR></TABLE>");
    $FORM->grafikbutton("OK","../icons/ok.png",false);
    break;

  case 'NEU_INSERT' :
    $UVEREIN_DB->sql_insert ("beitrags_art", "verein,art,jahresbeitrag" ,
                             "VALUES ('" . $VEREIN_NAME . "'" .
		                       ",'" . $art . "'" .
		                       ",'" . $jahresbeitrag . "')");
    $FORM->inhalt($SPECIAL_CALL->change_site("verein.beitrag.php?AUSWAHL=START"));
    break;

  case 'UPDATE' :
    $FORM->inhalt("<H3>" . i4l("txt_update") . "</H3>");
    $UVEREIN_DB->sql_abfrage ("beitrags_art", "nr=" . $NR, "", "");
    $qu = $UVEREIN_DB->qu;
    $data = $UVEREIN_DB->sql_line (0,$qu);
    $FORM->hide("AUSWAHL","UPDATE_INSERT");
    $FORM->hide("nr",$NR);
    $FORM->inhalt("<TABLE><TR><TD>".i4l("data_nr")."</td><TD>$NR</td></tr>");
    $FORM->inhalt("<tr><td colspan=\"2\">&nbsp;</td></tr>");
    $FORM->inhalt("<TR><td>".i4l("txt_beitragsart")."</td><TD>");
    $FORM->setwert("art",$data->art); 
    $FORM->eingabe("art");
    $FORM->inhalt("</TD></TR><TR><TD>".i4l("z_1")."</TD><TD>");
    $FORM->setwert("jahresbeitrag",$data->jahresbeitrag);
    $FORM->eingabe("jahresbeitrag");
    $FORM->inhalt("</TD></TR></TABLE>");
    $FORM->grafikbutton("OK","../icons/ok.png",false);
    break;

  case 'UPDATE_INSERT' :
    $UVEREIN_DB->sql_update ("beitrags_art",
                             "art='" . $art . "'" .
		                       ",jahresbeitrag='" . $jahresbeitrag . "'",
		                       "nr=" . $nr);
    $FORM->inhalt($SPECIAL_CALL->change_site("verein.beitrag.php?AUSWAHL=START"));
    break;

  case 'DELETE' :
    $UVEREIN_DB->sql_befehl ("DELETE FROM beitrags_art WHERE nr=" . $NR);
    $FORM->inhalt($SPECIAL_CALL->change_site("verein.beitrag.php?AUSWAHL=START"));
    break;

  default :
    break;
}

$FORM->inhalt(page_ende ());
echo $FORM->schliessen();
?>
