<?php
//****h* Vereine verwalten/verein.change.php
// BESCHREIBUNG
//   Zu einem anderen Verein wechseln
// BUGS
//   keine bekannt
// COPYRIGHT
//   GPL
// AUTOR
//   Uwe Schied
//****

include_once "base.inc";
include_once "header.inc";
include_once "klassen/tabdatei.inc";

//
// Cookie fuer die Hilfe setzten
//
register_help_pos("VEREIN_CHANGE");

$VEREIN_CHANGED = $FORM->returnglobal ("VEREIN_CHANGED");
if ($VEREIN_CHANGED == "") index_anzeige ();
  
$FORM->inhalt (page_head ("u_verein &copy under GPL by Uwe Schied - Main"));

$FORM->inhalt ("<H2>" . i4l("menu_verein_change")."</H2>");

if ($VEREIN_CHANGED == "")
{
  $qu = $UVEREIN_DB->sql_befehl("SELECT * FROM vereine ORDER BY name");
  $zeilen = $UVEREIN_DB->sql_lines ($qu);
  $row = 0;
  $FORM->inhalt ("<TABLE><TR><TH>".i4l("data_name")."</TH></TR>");
  $FARBE = "#EAEAEA";
  $RECHTE = $_SESSION['UVEREIN_LOGIN_RECHTE'];    // Berechtigungen des Users
  $RECHTEARR = explode (",", $RECHTE);            // in Array umwandeln
  $i = 0; while ($i < count ($RECHTEARR))
  {
    $RECHTEARR[$i] = trim($RECHTEARR[$i]);        // Leerzeichen entfernen
    $i++;
  }
  $FORM->hide ("VEREIN_CHANGED","YES");
  $_POST ["SET_VEREIN"] = $UVEREIN_DB->get_verein();
  while ($row < $zeilen)
  {
    $data = $UVEREIN_DB->sql_line($row,$qu);
    $VORHANDEN = (in_array($data->kurzname, $RECHTEARR)) ? true : false;
    $VORHANDEN = ($RECHTE == "*") ? true : $VORHANDEN;
    if ( $VORHANDEN )                            // Nur Vereine anzeigen, fuer
    {                                            // die Berechtigung besteht
      $FORM->inhalt ("<TR><TD bgcolor=\"$FARBE\">");
      $FORM->radio_button ("SET_VEREIN",$data->kurzname,$data->name);
      $FORM->inhalt ("</TD></TR>");
      $FARBE = ($FARBE == "white") ? "#EAEAEA" : "white";
    }
    $row++;
  }
  $FORM->inhalt ("</TABLE>");
  $FORM->grafikbutton ("OK","../icons/ok.png",false);
} else
{
  $FORM->inhalt ($SPECIAL_CALL->reload("home.php"));
}

$FORM->inhalt (page_ende ());
echo $FORM->schliessen();
?>
