<?php

include_once "base.inc";
include_once "klassen/tabdatei.inc";
include_once "header.inc";

$AUSWAHL = $FORM->returnglobal("AUSWAHL");
$FORM->inhalt (page_head ("u_verein &copy under GPL by Uwe Schied -  RESTORE"));
$FORM->inhalt ("<H1>".i4l("menu_restore_verein")."</h1>");

switch ($AUSWAHL)
{
// -----------------------------------------------------------------------------
// Daten einlesen und ggf. Tabelle wieder anlegen
// -----------------------------------------------------------------------------
  case 'LOAD' :
    // Upload-File nach Temp kopieren
    $FORM->upload("R_ESTORE","/tmp/uverein-restore.gz");
    // Datei oeffnen
    $F_ile = gzopen ("/tmp/uverein-restore.gz","r");
    // Kommentar ueberspringen
    $S = trim(gzgets ($F_ile,1024));   // Leerzeile
    // Vereinsname lesen
    $S = trim(gzgets ($F_ile,1024));   // Name des Vereins
    // Formular anlegen
    $FORM->hide ("AUSWAHL","RESTORE");
    $FORM->inhalt ("<TABLE>");
    // Vereinsname ausgeben
    $FORM->inhalt ("<TR id=\"gelb\"><TD>".i4l("data_vereinsname")."</TD><TD><B>".
                   substr($S,3)."</B></TD></TR>");
    // Kommentar ueberspringen
    $S = trim(gzgets ($F_ile,1024));   // Kurzname des Vereins
    // Erstellungsdatum auslesen
    $S = trim(gzgets ($F_ile,1024));   // Erstellungsdatum der Sicherung
    // Erstellungsdatum ausgeben
    $FORM->inhalt ("<TR><TD>".i4l("DATENSICHERUNG")."</TD><TD><B>".
                   substr ($S,15)."</B></TD></TR>");
    $FORM->inhalt ("</TABLE>");
    // Ende des Formulars
    $FORM->senden (i4l("OK"));
    $FORM->inhalt ("&nbsp;&nbsp;&nbsp;&nbsp;");
    $FORM->senden (i4l("MSG_BREAK"));
    // Datei schliessen
    gzclose ($F_ile);
    break;
    
  case 'RESTORE' :
    // Upload-File oeffnen
    $F_ile = gzopen ("/tmp/uverein-restore.gz","r");
    // Kommentar ueberspringen
    $S = trim(gzgets ($F_ile,1024));   // Leerzeile
    $S = trim(gzgets ($F_ile,1024));   // Name des Vereins
    // Kurzname lesen und merken
    $S = trim(gzgets ($F_ile,1024));   // Kurzname des Vereins
    $kurzname = trim(substr($S,3));
    $UVEREIN_DB->TESTMODE = true;
    // Verein in Datenbank einlesen = RESTORE 
    while ($S = gzgets ($F_ile,1024))
    {
      $UVEREIN_DB->sql_befehl ($S . "\n");
    }
    $UVEREIN_DB->TESTMODE = false;
    // Upload-File schliessen
    gzclose($F_ile);
    // Zugriffsrechte pruefen
    $Rechte = $_SESSION['UVEREIN_LOGIN_RECHTE'];
    $RArr = explode (",",$Rechte);
    $i = 0; while ($i < count ($RArr))
    {
      $RArr[$i] = trim($RArr[$i]);
      $i++;
    }
    $Vorhanden = (in_array($kurzname,$RArr)) ? true : false;
    $Vorhanden = ($Rechte == "*") ? true : $Vorhanden;
    if (! $Vorhanden) // Verein ist nicht im Zugriff
    {
      // Neuen Verein in User-Recht aufnehmen
      $USER_DB = new cl_tabdatei ("../include/uverein.paswd");
      $USER_NAME  = $_SESSION['UVEREIN_LOGIN_NAME'];
      $Rechte .= "," . $kurzname;
      $USER_DB->tab_set_by_search (0,$USER_NAME,2,$Rechte);
      $USER_DB->tab_save();
      $_SESSION['UVEREIN_LOGIN_RECHTE'] = $Rechte;
    }
//    $FORM->inhalt (
//      $SPECIAL_CALL->change_site("verein.change.php?SET_VEREIN=$kurzname&VEREIN_CHANGED=YES"));
    break;

  default :
    $FORM->hide ("AUSWAHL","LOAD");
    $FORM->getupload ("R_ESTORE");
    $FORM->senden (i4l("OK"));
    break;
}
$FORM->inhalt (page_ende ());

echo $FORM->schliessen();
?>
