#! /bin/bash

DATENBANK=uwe
TMP=/tmp/test.psql

TEST_SPALTE ()
{
  echo "
  \set selschema '''${1}'''
  \set seltable  '''${2}'''
  \set nspalte   '''${3}'''
  SELECT count(COLUMN_NAME) FROM information_schema.COLUMNS WHERE COLUMN_NAME=:nspalte AND TABLE_NAME=:seltable AND TABLE_SCHEMA=:selschema;
  \unset selschema
  \unset seltable
  \unset nspalte
  " > ${TMP}
  echo "psql --no-align -t -f ${TMP} ${DATEN_BANK}" >${TMP}.bash
  . /${TMP}.bash
}

if [ $(TEST_SPALTE public test neue_spalte) -le 0 ]; then
  echo "neue Spalte anlegen"
else
  echo "Spalte vorhanden - nichts unternehmen"
fi
