<?php
//****h* Mitgliederverwaltung/beitrag.php
// NAME
//   beitrag.php
//****

include_once "base.inc";
include_once "header.inc";
include_once "button.php";

index_anzeige ();
// ****************************************************************************
// Superglobals auslesen

$bei_fkonto      = $FORM->returnglobal("bei_fkonto",0);
$bei_konto       = $FORM->returnglobal("bei_konto",0);
$bei_kst         = $FORM->returnglobal("bei_kst",0);
$bu_text         = $FORM->returnglobal("bu_text");
$datum           = $FORM->returnglobal("datum",date("m.d.Y"));
$f_konto         = $FORM->returnglobal("f_konto",0);
$haben           = $FORM->returnglobal("haben",0);
$jahr            = $FORM->returnglobal("jahr",date("Y"));
$name            = $FORM->returnglobal("name");
$nr              = $FORM->returnglobal("nr",0);
$NR              = $FORM->returnglobal("NR",0);
$soll            = $FORM->returnglobal("soll",0);
$vorname         = $FORM->returnglobal("vorname");
$MITGLIEDSSTATUS = $FORM->returnglobal("AKTIV");

// ****************************************************************************

function formular_header ($AENDERUNG, $PUNKT)
{
  global $FORM;
  $FORM->inhalt("<H2>".$AENDERUNG. "</H2><TABLE>");
  $FORM->hide("AUSWAHL",$PUNKT);
}

//
// Suche erfassen
//
function person_waehlen ($AENDERUNG, $PUNKT)
{
  global $FORM;
  formular_header ($AENDERUNG, $PUNKT);
  $FORM->inhalt("<TR><TD>".i4l("txt_mitgliedsstatus")."</td><TD>");
  $FORM->radio_button ("AKTIV","ALL",i4l("delete_all"),"");
  $FORM->radio_button ("AKTIV","t",i4l("txt_aktiv"),"VORAUSWAHL");
  $FORM->radio_button ("AKTIV","f",i4l("txt_ausgeschieden"),"");
  $FORM->inhalt("</td></tr>");
  $FORM->inhalt("<TR><TD>".i4l("data_name")."</TD><TD>");
  $FORM->eingabe("name");
  $FORM->inhalt("</TD></TR>");
  $FORM->inhalt("<TR><TD>".i4l("data_vorname")."</TD><TD>");
  $FORM->eingabe("vorname");
  $FORM->inhalt("</TD></TR></TABLE>");
  $FORM->senden(i4l("msg_abfrage"));
}

//
// gesuchte Person auswaehlen
//
function person_selektieren ($AENDERUNG, $PUNKT)
{
  global $name, $vorname,$VEREIN_NAME,$FORM,$UVEREIN_DB,$MITGLIEDSSTATUS;
  formular_header ($AENDERUNG, $PUNKT);
  $n_trenner = ($name == "") ? ">" : "~";
  $v_trenner = ($vorname == "") ? ">" : "~";
// Abfrage zusammensetzen
  $SEL_WHERE = "     upper(personen.name)".$n_trenner."upper('$name')".
		         " AND upper(personen.vorname)".$v_trenner."upper('$vorname')".
		         " AND personen.nr=mitglied.nr".
		         " AND mitglied.verein='$VEREIN_NAME'";
  if ($MITGLIEDSSTATUS != "ALL")
    $SEL_WHERE .= " AND mitglied.aktiv='$MITGLIEDSSTATUS'";
  $SEL_TABLE = "personen,mitglied";
  $SEL_KEY   = "personen.nr";
  $SEL_VIEW  = "personen.name || ',' || personen.vorname || ': ' || personen.ort";
// Testen ob mindestens eine Person gefunden wird
  $UVEREIN_DB->sql_befehl("SELECT * FROM $SEL_TABLE WHERE $SEL_WHERE");
  if ($UVEREIN_DB->sql_lines() > 0)  // mindesten eine Person gefunden
  {
  	 $FORM->inhalt("<TR><TD>".i4l("data_name")."</TD><TD>");
  	 $FORM->selection("nr",
  	   $UVEREIN_DB->liste4selection ($SEL_TABLE,$SEL_WHERE,$SEL_KEY,$SEL_VIEW));
 	 $FORM->inhalt("</TD></TR></TABLE>");
  	 $FORM->senden(i4l("msg_auswahl"));
  }
  else // nichts gefunden
  {
    $FORM->inhalt("<B>".i4l("member_not_found")."</B>");
  }
}

//
// Basisprogramm
//
switch ($AUSWAHL)
{
// ------------------------------------------------------------------------
// BEITRAGSKONTO
// ------------------------------------------------------------------------
  case 'UPDATE' :
    person_waehlen (i4l("menu_title_beitrag"), "UPDATE_WAHL");
    break;
  case 'UPDATE_WAHL':
    person_selektieren (i4l("menu_title_beitrag"), "UPDATE_BUCHUNG");
    break;
  case 'UPDATE_BUCHUNG':
    $FORM->inhalt("<TABLE><TR><TD>");
    $FORM->sub_mixbutton($BUTTON["NEXT"],i4l("txt_next"),
      array("AUSWAHL" => "NEXT_KONTO", "NR" => $nr));
    $FORM->inhalt("</TD><TD>");
    $FORM->sub_mixbutton($BUTTON["LAST"],i4l("txt_last"),
      array("AUSWAHL" => "LAST_KONTO", "NR" => $nr));
    $FORM->inhalt("</TD><TD>");
    $FORM->sub_mixbutton($BUTTON["MAHNUNG"],i4l("bei_erinnerung1"),
      array("AUSWAHL" => "ERINNERUNG", "ART" => "1", "NR" => "$nr"),
      "mahntext.php");
    $FORM->inhalt("</TD><TD>");
    $FORM->sub_mixbutton($BUTTON["MAHNUNG"],i4l("bei_erinnerung2"),
      array("AUSWAHL" => "ERINNERUNG", "ART" => "2", "NR" => $nr),
      "mahntext.php");
    $FORM->inhalt("</TD><TD>");
    $FORM->sub_mixbutton($BUTTON["MAHNUNG"],i4l("bei_erinnerung3"),
      array("AUSWAHL" => "ERINNERUNG", "ART" => "3", "NR" => $nr),
      "mahntext.php");
    $FORM->inhalt("</TD><TD>");
    $FORM->sub_mixbutton($BUTTON["MAHNUNG"],i4l("bei_lev_retoure"),
      array("AUSWAHL" => "ERINNERUNG","ART" => "99","NR" => $nr),
      "mahntext.php");
    $FORM->inhalt("</TD></TR>");
    $FORM->inhalt("</TABLE>");
    formular_header (i4l("menu_title_beitrag")." #".$nr,"UPDATE_BEITRAG");
    $FORM->hide("NR",$nr);
    $UVEREIN_DB->sql_abfrage ("personen,mitglied", 
      "     personen.nr='$nr' AND mitglied.nr=personen.nr AND verein='$VEREIN_NAME'", 
		"", "");
    $data = $UVEREIN_DB->sql_line (0);
    $qu = $UVEREIN_DB->sql_befehl 
          ("SELECT (sum(haben) - sum(soll)) AS summe " .
	        "  FROM beitrag where v_name='$VEREIN_NAME' AND m_nr='$nr'");
	 $sql_zeilen = $UVEREIN_DB->sql_lines($qu);
    $xdta = ($sql_zeilen > 0) ? $UVEREIN_DB->sql_line (0,$qu) : "";
    $summe = $xdta->summe;
    $FORM->inhalt("<TR><TD colspan='2'><TABLE>");
    $FORM->inhalt("<TR><TD><B>$data->name,$data->vorname</B><BR>".
           i4l("data_geboren").": $data->geboren<BR>".
	        "$data->strasse $data->hausnr <BR>". 
	        "$data->plz $data->ort</TD>");
    $FORM->inhalt("<TD>".i4l("data_eintritt").": $data->eintritt<BR>".
           i4l("data_ende").": <FONT color=\"red\">$data->ende</FONT><BR>".
	        i4l("data_telefon").": $data->telefon<BR><B>".
	        i4l("msg_aktuellerbeitrag").": ");
    if ($summe < 0) $FORM->inhalt("<FONT color=\"red\">");
    $FORM->inhalt($FORM->numeingabe2anzeige($summe,2));
    if ($summe < 0) $FORM->inhalt("</FONT>");
    $FORM->inhalt("</B></TD>");
    $FORM->inhalt("<TD>");
    $FORM->sub_mixbutton($BUTTON["EDIT"],i4l("menu_mitglied_update"),
      array("AUSWAHL" => "UPDATE", "NR" => $nr),"mitglieder.php");
    if ( $data->email != "" ) 
    {
      $FORM->inhalt("<BR>");
      $FORM->sub_mixbutton($BUTTON["EMAIL"],i4l("menu_email"),
        array("EMAIL" => $data->email), "mailto.php");
    } 
    $FORM->inhalt("</td>");
    $FORM->inhalt("</TR></TABLE></TD></TR>");
// Mitgliedsarten anzeigen
// -----------------------
    $FORM->inhalt("<TR><TD colspan=\"2\"><HR><B><U>".i4l("txt_beitragsart")."</U></B><BR>");
    $za = $data->zahlungsart;
    $UVEREIN_DB->sql_abfrage ("key_zahlungsarten","nr=".$za,"","");
    $qu = $UVEREIN_DB->qu; $data = $UVEREIN_DB->sql_line (0, $qu);
    $FORM->inhalt(i4l("data_zahlungsart").": $data->bezeichnung<BR>");
    $UVEREIN_DB->sql_abfrage ("beitrags_konto, beitrags_art", 
                              "beitrags_konto.m_nr=".$nr.
                              " AND beitrags_art.nr=beitrags_konto.art".
                              " AND beitrags_konto.v_name='$VEREIN_NAME'" ,
                              "beitrags_konto.nr", "");
    $qu = $UVEREIN_DB->qu; $sql_zeilen = $UVEREIN_DB->sql_lines($qu);
    if ($sql_zeilen > 0)
    {
      $FORM->inhalt("<TABLE width=\"95%\" border=\"1\">");
      $zaehler = 0; // Zaehler initialisieren
      $sql_zaehler=0; while ($sql_zaehler < $sql_zeilen)
      {
        $data = $UVEREIN_DB->sql_line ($sql_zaehler,$qu);
        $FORM->inhalt("<TR><TD id=\"rechts\">".($zaehler + 1)."</TD>" .
	                   "<TD>$data->art</TD>" .
	                   "<TD>$data->jahresbeitrag</TD>".
	                   "<TD>".i4l("txt_faellig_ab")." $data->faellig_ab</TD></TR>");
	     $sql_zaehler++; $zaehler++;
      }
	   $FORM->inhalt("</TABLE>");
    }
// Eingabe-Maske
// -------------
    $FORM->inhalt("<TR><TD colspan=\"2\"><HR><TABLE>");
    $FORM->inhalt("<TR><TD>".i4l("txt_year")."</TD><TD>");
    $FORM->eingabe("jahr",20,date("Y"));
    $FORM->inhalt("</TD></TR>");
    $FORM->inhalt("<TR><TD>".i4l("DATA_FINANZKONTO")."</TD><TD>");
    $FORM->selection("f_konto",
      $UVEREIN_DB->konten_liste4selection($UVEREIN_DB->get_vfinanz()),
      $UVEREIN_DB->get_vbeitrag("FINANZ"));
    $FORM->inhalt("</TD></TR>");
    $FORM->inhalt("<TR><TD>".i4l("data_datum")."</TD><TD>");
    $FORM->eingabe("datum");
    $FORM->inhalt("</TD></TR>");
    $FORM->inhalt("<TR><TD>".i4l("data_beitragsoll")."</TD><TD>");
    $FORM->eingabe("soll");
    $FORM->inhalt("</TD></TR>");
    $FORM->inhalt("<TR><TD>".i4l("data_beitraghaben")."</TD><TD>");
    $FORM->eingabe("haben");
    $FORM->inhalt("</TD></TR>");
    $FORM->inhalt("<TR><TD>".i4l("data_buchungstext")."</TD><TD>");
    $FORM->eingabe("bu_text");
    $FORM->inhalt("</TD></TR>");
    $FORM->inhalt("<TR><TD colspan=\"2\">&nbsp;</TD></TR>");
    $FORM->inhalt("<TR><TD colspan=\"2\">");
    $FORM->senden(i4l("msg_erfassen"));
    $FORM->inhalt("<hr></TD></TR></TABLE>");
// Beitragskonto anzeigen
// ----------------------
    $FORM->inhalt("</TD></TR>");
    $UVEREIN_DB->sql_abfrage ("beitrag" , "v_name='" . $VEREIN_NAME . "' AND " .
      "m_nr=" . $nr, "jahr DESC,datum DESC","");
    $qu = $UVEREIN_DB->qu; $sql_zeilen = $UVEREIN_DB->sql_lines($qu);
    if ($sql_zeilen > 0)
    {
      $FORM->inhalt("<TR><TD colspan=\"2\"><HR><TABLE border=\"1\">");
	   $FORM->inhalt("<TR><TH>".i4l("data_datum")."</TH>".
	                 "    <TH>".i4l("data_beitragsoll")."</TH>" .
                    "    <TH>".i4l("data_beitraghaben")."</TH>".
                    "    <TH>".i4l("data_buchungstext")."</TH></TR>");
	   $JAHR = "0";
      $UVEREIN_DB->sql_befehl ("SELECT sum(haben) AS eingang, sum(soll) AS b_soll".
                               "  FROM beitrag where v_name='$VEREIN_NAME' AND m_nr='$nr'");
      $xdta = $UVEREIN_DB->sql_line (0);
// ------------------------------------------------------------------
// Soll- und Haben-Summen anzeigen
// ------------------------------------------------------------------        
     $FORM->inhalt("<tr bgcolor=\"#E6E6FA\"><TD><B>".date ("d.m.Y")."</b></TD>");
     $FORM->inhalt("<TD id=\"rechts\"><B>".$FORM->numeingabe2anzeige($xdta->b_soll,2)."</b></TD>");
     $FORM->inhalt("<TD id=\"rechts\"><B>".$FORM->numeingabe2anzeige($xdta->eingang,2)."</b></TD>");
     $FORM->inhalt("<TD>&nbsp;</TD></TR>");
// ------------------------------------------------------------------
// Einzelne Beitragsforderungen und -Zahlungen
// ------------------------------------------------------------------        
      $sql_zaehler=0; while ($sql_zaehler < $sql_zeilen)
      {
        $xdta = $UVEREIN_DB->sql_line ($sql_zaehler,$qu);
	     if ($JAHR != $xdta->jahr)
	     {
	       $JAHR = $xdta->jahr;
	       $FORM->inhalt("<TR><TD colspan=\"4\"><B>$JAHR</B></TD></TR>");
	     }
	     $FORM->inhalt("<TR><TD>$xdta->datum</TD>");
	     $FORM->inhalt("<TD id=\"rechts\">".$FORM->numeingabe2anzeige($xdta->soll,2)."</TD>");
	     $FORM->inhalt("<TD id=\"rechts\">".$FORM->numeingabe2anzeige($xdta->haben,2)."</TD>");
	     $FORM->inhalt("<TD>$xdta->bu_text</TD></TR>");
        $sql_zaehler++;
	   }
      $FORM->inhalt("</TABLE></TD></TR>");
    }        
// Ende der Seite
// --------------
    $FORM->inhalt("</TD></TR></TABLE>");
    break;

  case 'UPDATE_BEITRAG':
    if ($datum != "")
    {
	   $bu_text = ($bu_text == "") ? "-" : $bu_text;
	   $UVEREIN_DB->TESTMODE = true;
	   $UVEREIN_DB->beitrag_insert ($NR,$datum,$bu_text,$haben,$soll,$f_konto);
      $FORM->inhalt($SPECIAL_CALL->change_site ("beitrag.php?AUSWAHL=UPDATE_BUCHUNG&nr=$NR"));
    }
    break;
    
// ------------------------------------------------------------------------
// Konto blaettern (Sortierung A-Z)
// ------------------------------------------------------------------------
  case 'NEXT_KONTO':
    $UVEREIN_DB->sql_abfrage ("personen,mitglied",
                              "personen.nr=mitglied.nr AND verein='$VEREIN_NAME'",
                              "name, vorname", "");
	  $qu = $UVEREIN_DB->qu; $sql_zeilen = $UVEREIN_DB->sql_lines($qu);
    $sql_zaehler=0; while ($sql_zaehler < $sql_zeilen)
    {
      $data = $UVEREIN_DB->sql_line ($sql_zaehler,$qu);
      if ($data->nr == $NR)
	   {
	     $sql_zaehler = ($sql_zaehler < ($sql_zeilen - 1)) 
	                  ? $sql_zaehler + 1 
	                  : $sql_zaehler;
        $data = $UVEREIN_DB->sql_line ($sql_zaehler,$qu);
	     $NR = $data->nr;
 	   }
      $sql_zaehler++;
    }
    $FORM->inhalt($SPECIAL_CALL->change_site ("beitrag.php?AUSWAHL=UPDATE_BUCHUNG&nr=$NR"));
    break;    

  case 'LAST_KONTO':
    $UVEREIN_DB->sql_abfrage ("personen,mitglied",
                              "personen.nr=mitglied.nr AND verein='$VEREIN_NAME'",
                              "name, vorname", "");
	 $qu = $UVEREIN_DB->qu; $sql_zeilen = $UVEREIN_DB->sql_lines($qu);
    $ERG = $NR;
    $sql_zaehler=0; while ($sql_zaehler < $sql_zeilen)
    {
      $data = $UVEREIN_DB->sql_line ($sql_zaehler,$qu);
      if ($data->nr == $NR) $sql_zaehler =  $sql_zeilen;
	   else $ERG = $data->nr;
	   $sql_zaehler++;
    }
    $FORM->inhalt($SPECIAL_CALL->change_site ("beitrag.php?AUSWAHL=UPDATE_BUCHUNG&nr=$ERG"));
    break;    
    
// ------------------------------------------------------------------------
// Buchhaltungs-Konten fuer den Beitrag festlegen
// i4l = txt_nr
// Beleg-Nr.	sollte innerhalb der Buchhaltung nicht vergeben sein,
//			da die Buchung ansonsten von der Beitragsbuchung ueber-
//			schrieben wird.
// i4l = data_buchungskonto
// Buchungskonto	sollte das Beitragskonto sein
// i4l = data_finanzkonto
// Finanzkonto	sollte das Schwebekonto sein, damit Umbuchungen auf
//			das korrekte Finanzkonto innerhalb der Buchhaltung
//			einfacher werden.
// i4l = bu_kst
// Kostenstelle	erforderlich fuer Kostenrechnung
// ------------------------------------------------------------------------
  case 'BU_KONTEN_SQL':
    $UVEREIN_DB->sql_abfrage ("virtual_konto", 
      "verein='".$VEREIN_NAME."' AND art='".$VIRTUALKONTO["BEITRAG"]."'","","");
    $qu = $UVEREIN_DB->qu; $sql_zeilen = $UVEREIN_DB->sql_lines($qu);
    if ($sql_zeilen > 0) 
    {
      $UVEREIN_DB->sql_update ("virtual_konto", 
	     "  konto='".	$bei_konto.	"'".
		  ", fkonto='".	$bei_fkonto.	"'".
		  ", kst='".		$bei_kst.	"'",
		  "verein='".$VEREIN_NAME."' AND art='".$VIRTUALKONTO["BEITRAG"]."'");
    }
    else
    {
      $UVEREIN_DB->sql_insert ("virtual_konto",
	     "verein,art,konto,fkonto,kst",
	     "VALUES (" .
		  "  '".$VEREIN_NAME."'".
		  ", '".$VIRTUALKONTO["BEITRAG"]."'".
		  ", '".$bei_konto."'".
		  ", '".$bei_fkonto."'".
		  ", '".$bei_kst."'".		    
		  ")");
    }
    $FORM->inhalt($SPECIAL_CALL->change_site ("beitrag.php?AUSWAHL=BU_KONTEN_FESTLEGEN"));
    break;

//****M* beitrag.php/Buchungskonten festlegen
// DEFINITION
//   AUSWAHL=BU_KONTEN_FESTLEGEN
//   Buchungskonten und Buchungsklasse fuer die Beitragsbuchungen festlegen
//****
  case 'BU_KONTEN_FESTLEGEN':
//
// Bestehende Daten auslesen
//    
    $UVEREIN_DB->sql_abfrage ("virtual_konto", "verein='".$VEREIN_NAME."' AND art='".
      $VIRTUALKONTO["BEITRAG"]."'","","");
    $qu = $UVEREIN_DB->qu; $sql_zeilen = $UVEREIN_DB->sql_lines($qu);
    if ($sql_zeilen > 0) 
    {
      $data = $UVEREIN_DB->sql_line (0,$qu);
	   $bei_konto	= $data->konto;
	   $bei_fkonto	= $data->fkonto;
	   $bei_kst	   = $data->kst;
    }
    else
    {
	   $bei_konto	= 0;
	   $bei_fkonto	= 0;
	   $bei_kst	= 0;
    }
// 
// Formular oeffnen
//
    $FORM->inhalt ("<H2>".i4l("bu_konto_alt")."</H2>");
    $FORM->hide ("AUSWAHL","BU_KONTEN_SQL");
//
// Beitragskonto
//
    $FORM->inhalt ("<TABLE><TR><TD>".i4l("data_buchungskonto")."</TD><TD>");
    $I_NHALT = $UVEREIN_DB->konten_liste4selection();
    $FORM->selection ("bei_konto",$I_NHALT,$bei_konto);        
    $FORM->inhalt("</td></tr>");
    if (count($I_NHALT) == 0)
    {
      $FORM->inhalt("</TABLE>");
      $FORM->inhalt($SPECIAL_CALL->change_site ("buchung.php?AUSWAHL=KONTO_NEW"));
    }
    $sql_zaehler = 0;
//
// Finanzkonto
//
    $data = $UVEREIN_DB->sql_1_value ("virtual_konto","konto","verein='$VEREIN_NAME' AND art='FINANZKONTO'");
    $FORM->inhalt ("<TR><TD>".i4l("data_finanzkonto")."</TD><TD>");
    $I_NHALT = $UVEREIN_DB->konten_liste4selection($data);
    $FORM->selection ("bei_fkonto",$I_NHALT,$bei_fkonto);        
    $FORM->inhalt("</td></tr>");
//
// Kostenstelle
//
    $UVEREIN_DB->sql_abfrage ("bu_kst","verein='".$VEREIN_NAME."'","kst","");
    $qu = $UVEREIN_DB->qu; $sql_zeilen = $UVEREIN_DB->sql_lines($qu);
    if ($sql_zeilen > 0)
    {
    	$FORM->inhalt("<TR><TD>".i4l("bu_kst")."</TD><TD>");
    	$FORM->selection("bei_kst",
    	  $UVEREIN_DB->liste4selection("bu_kst","verein='$VEREIN_NAME'","kst","kst_name"),
    	  $bei_kst);
    	$FORM->inhalt("</TD></TR>");
    }
    else
    {
      $FORM->inhalt($SPECIAL_CALL->change_site ("buchung.php?AUSWAHL=KST_NEW"));
    }
    $FORM->inhalt("</TABLE>");
    $FORM->senden(i4l("msg_erfassen"));
    break;
    
    default :
    break;
  }
  
echo page_head ("u_verein &copy under GPL by Uwe Schied");
echo $FORM->schliessen(); 
echo page_ende ();
?>
