<?php

include_once "base.inc";
include_once "header.inc";
include_once "button.php";
include_once "buchung-base.inc";

// ****************************************************************************
// Superglobals auslesen

$kst   = $FORM->returnglobal("kst",0);

// ****************************************************************************
 
switch (strtoupper($AUSWAHL))
{
  case 'AUSWAHL':
    $FORM->inhalt("<H3>".i4l("bu_belege_kst")."</H3>");
    $FORM->hide("AUSWAHL","LIST_1");
    $FORM->inhalt(i4l("bu_kst")."&nbsp;");
    $FORM->selection("kst",$UVEREIN_DB->liste4selection(
      "bu_belege, bu_kst",
      "b_verein='$VEREIN_NAME' AND b_jahr='$AKT_YEAR' AND b_kst=kst AND verein='$VEREIN_NAME'",
      "b_kst","kst_name"));
    $FORM->inhalt("<BR><BR>");
    $FORM->senden(i4l("call_liste"));
    break;
    
  case 'LIST_1':
// Ruecksprung-Code setzten
    cookie_setzen ("RETURN","buchung-kst.php?AUSWAHL=LIST_1&kst=$kst","");
// Ueberschrift
    $FORM->inhalt("<TABLE><TR>");
    $FORM->inhalt ("<TD><H1>".
      $UVEREIN_DB->sql_1_value("bu_kst","kst_name","verein='$VEREIN_NAME' AND kst='$kst'").
      " ($AKT_YEAR)</H1></TD>");
// PDF anbieten
    $FORM->inhalt("<TD>");
    $FORM->sub_grafikbutton("../icons/pdf.png","","print.belege.php?ART=KST&WERT=$kst");
    $FORM->inhalt("</TD></TR></TABLE>");
// Tabelle erstellen
    $FORM->inhalt ("<TABLE class=\"breite100\" border=1>");
    $FORM->inhalt ("<TR><TH>".i4l("aktion")."</TH>");
    $FORM->inhalt ("<TH>".i4l("data_nr")."</TH>");
    $FORM->inhalt ("<TH>".i4l("data_datum")."</TH>");
    $FORM->inhalt ("<TH>".i4l("data_konto")."</TH>");
    $FORM->inhalt ("<TH>".i4l("data_finanzkonto")."</TH>");
    $FORM->inhalt ("<TH>".i4l("data_buchungsbetrag")."</TH>");
    $FORM->inhalt ("<TH>".i4l("data_uststeuer")."</TH>");
    $FORM->inhalt ("<TH>".i4l("data_buchungstext")."</TH>");
    $FORM->inhalt ("<TH>".i4l("bu_kst")."</TH></TR>");
// Summen initialisieren
    $BETRAG = 0.00;
    $STEUER = 0.00;
// Belege anzeigen
    $FARBE = "ID=\"grau\"";
    $FINANZKONTEN = $UVEREIN_DB->get_vfinanz();
    $UVEREIN_DB->get_beleg ("b_kst='$kst'","b_datum,b_nr");
    $i = 0; while ($i < $UVEREIN_DB->sql_lines())
    {
	   $data = $UVEREIN_DB->sql_line($i); $i++;
	   $FARBE = ($FARBE == "") ? "ID=\"grau\"" : "";
	   $FORM->inhalt ("<TR $FARBE><TD>");
// Edit-Button mit Ziel verbinden
   	$X = array ("AUSWAHL" => "BUCHUNG_UPDATE", "NR" => $data->idx);
	   $FORM->sub_grafikbutton("../icons/edit.png",$X,"buchung.php");
	   $FORM->inhalt("</TD>");
// Belegzeile
	   $FORM->inhalt("<TD>$data->b_nr</TD>");
	   $FORM->inhalt("<TD>$data->b_datum</TD>");
	   $FORM->inhalt("<TD>".$UVEREIN_DB->get_kontenname($data->b_konto)."</TD>");
	   $FORM->inhalt("<TD>".$UVEREIN_DB->get_kontenname($data->f_konto)."</TD>");
	   $UMBUCHUNG = ($UVEREIN_DB->get_kontenklasse($data->b_konto) == $FINANZKONTEN) ? 1 : 0;
	   $UMBUCHUNG = ($UVEREIN_DB->get_kontenklasse($data->f_konto) == $FINANZKONTEN) ? $UMBUCHUNG : 0;
	   $BUCHUNG = ($UMBUCHUNG == 1)
	            ? "+/- ". $FORM->numeingabe2anzeige($data->b_betrag * (($data->b_betrag < 0) ? -1 : 1),2) 
	            : $FORM->numeingabe2anzeige($data->b_betrag,2);
	   $FORM->inhalt("<TD id=\"rechts\">$BUCHUNG</TD>");
	   $BETRAG += ($UMBUCHUNG == 1) ? 0 : $data->b_betrag;
	   $FORM->inhalt("<TD id=\"rechts\">".$FORM->numeingabe2anzeige($data->b_steuer,2)."</TD>");
	   $STEUER += $data->b_steuer;
	   $FORM->inhalt("<TD>$data->b_text</TD>");
	   $FORM->inhalt("<TD>".$UVEREIN_DB->sql_1_value("bu_kst","kst_name",
	                        "verein='$VEREIN_NAME' AND kst='$data->b_kst'").
	                 "</TD></TR>");
    }
// Beitragskonto aus Mitgliederverwaltung ergaenzen
    if ($UVEREIN_DB->get_vbeitrag("KST") == $kst)
    {
      $KONTO = $UVEREIN_DB->get_kontenname ($UVEREIN_DB->get_vbeitrag());
      $KST   = $UVEREIN_DB->sql_1_value("bu_kst","kst_name","verein='$VEREIN_NAME'".
               " AND kst='".$UVEREIN_DB->get_vbeitrag("KST")."'");
      $UVEREIN_DB->get_beitraege(); $i = 0; while ($i < $UVEREIN_DB->sql_lines())
      {
	     $data = $UVEREIN_DB->sql_line($i); $i++;
	     $FARBE = ($FARBE == "") ? "ID=\"grau\"" : "";
	     $FORM->inhalt ("<TR $FARBE><TD>&nbsp;</TD><TD>&nbsp;</TD>");
	     $FORM->inhalt("<TD>31.12.$AKT_YEAR</TD>");
	     $FORM->inhalt("<TD>$KONTO</TD>");
	     $FORM->inhalt("<TD>".$UVEREIN_DB->get_kontenname($data->f_konto)."</TD>");
	     $FORM->inhalt("<TD id=\"rechts\">".$FORM->numeingabe2anzeige($data->haben,2)."</TD>");
	     $BETRAG += $data->haben;
	     $FORM->inhalt("<TD>&nbsp;</TD>");
	     $FORM->inhalt("<TD>".i4l("MENU_TITLE_BEITRAG")."</TD>");
	     $FORM->inhalt("<TD>$KST</TD></TR>");
	   }
    }
// Summen ausgeben
    $FORM->inhalt("<TR ID=\"gelb\"><TD colspan=\"5\">&nbsp;</TD>");
    $FORM->inhalt("<TD id=\"rechts\">".$FORM->numeingabe2anzeige($BETRAG,2)."</TD>");
    $FORM->inhalt("<TD id=\"rechts\">".$FORM->numeingabe2anzeige($STEUER,2)."</TD>");
    $FORM->inhalt("<TD colspan=\"2\">&nbsp;</TD></TR>");
    $FORM->inhalt("<TR><TD colspan=\"5\">&nbsp;</TD>");
    $FORM->inhalt("<TD id=\"rechts\"><strong>".
                  $FORM->numeingabe2anzeige($BETRAG+$STEUER,2).
                  "</strong></TD>");
    $FORM->inhalt("<TD id=\"rechts\">&nbsp;</TD>");
    $FORM->inhalt("<TD colspan=\"2\">&nbsp;</TD></TR>");
// Tabelle schliessen
    $FORM->inhalt("</TABLE>");
    break;
}

echo page_head ('u_verein &copy; GPL - ' . i4l("bu_belege_kst"));
echo $FORM->schliessen();
echo page_ende();
?>
