<?php

include_once "base.inc";
include_once "klassen/view.inc";

// ------------------------------------------------------------------
// Seite in Cookie merken
// ------------------------------------------------------------------
index_anzeige ();

// ------------------------------------------------------------------
// Array-Groesse
// ------------------------------------------------------------------
$MAX_LINES = 20;

// ------------------------------------------------------------------
// Welche Auswahl wurde vorgenommen - Uebergabe ist nur ueber
// Formular zulassig, daher Datenuebergabe in Formular-Klasse
// ------------------------------------------------------------------
$AUSWAHL = strtoupper($FORM->returnwert ("AUSWAHL"));

// -------------------------------------------------------------------
// Sende-Ergebnis pruefen OK oder Abbruch und Auswahl ggf. korrigieren
// -------------------------------------------------------------------
switch ($AUSWAHL)
{
  case 'ERFASSEN' :
   $AUSWAHL = ($FORM->sende_ergebnis() == i4l("MSG_BREAK")) ? "" : $AUSWAHL;  
   break;
}

// ------------------------------------------------------------------
// Auswahl auswerten
// ------------------------------------------------------------------
switch ($AUSWAHL)
{
// ------------------------------------------------------------------
// PDF-Ausgabe
// ------------------------------------------------------------------
  case 'DRUCKEN' : 
   $BELEG = new cl_view (VIEW_PDF,
                         i4l("beleg_titel").": ".$FORM->returnzahl("nr"),
                         $UVEREIN_DB->get_vereinsname());
   break;
 
// ------------------------------------------------------------------
// Eingaben pruefen
// ------------------------------------------------------------------
  case 'PRUEFEN' :
   $BELEG =  new cl_view (VIEW_HTML,
                        "uverein &copy; GPL by Uwe Schied",
                        "normal",
                        "../html/schied.css",
                        "../icons/papier2.png");
   $FORM->hide ("AUSWAHL","erfassen");
   $FORM->hide ("jahr");
   $FORM->hide ("fkonto");
   $BELEG->L_ine ("<H2>".i4l("BU_BUCHUNG_NEW")."</h2>");
   $BELEG->L_ine ("<TABLE>");
   $BELEG->L_ine ("<TR><TD>".i4l("BU_JAHR")."</td><TD><B>".
                  $FORM->returnwert("jahr").
                  "</b></TD></TR>");
   $BELEG->L_ine ("<TR><TD>".i4l("DATA_FINANZKONTO")."</td><TD><B>".
                  $UVEREIN_DB->get_kontenname ($FORM->returnwert("fkonto")).
                  "</b></TD></TR>");
   $BELEG->L_ine ("<TR><TD colspan=\"2\"><TABLE border=\"1\">");
   $BELEG->L_ine ("<TR><TH>".i4l("DATA_NR")."<BR>");
   $BELEG->L_ine (       i4l("data_datum")."</th>");
   $BELEG->L_ine ("<TH>".i4l("DATA_BUCHUNGSKONTO")."<BR>");
   $BELEG->L_ine (       i4l("BU_KST")."</th>");
   $BELEG->L_ine ("<TH>".i4l("DATA_BUCHUNGSBETRAG")."<BR>");
   $BELEG->L_ine (       i4l("DATA_USTSTEUER")."</th>");
   $BELEG->L_ine ("</TR>");
   $BUCHUNG_SUMME = 0.00;
   $i = 0; while ($i < $MAX_LINES)
   {
     $FORM->hide ("feld[$i]");
     $FORM->hide ("nr[$i]");
     $FORM->hide ("datum[$i]");
     $FORM->hide ("konto[$i]");
     $FORM->hide ("betrag[$i]"); $BUCHUNG_SUMME += $FORM->returnzahl("betrag[$i]");
     $FORM->hide ("steuer[$i]");
     $FORM->hide ("text[$i]");
     $FORM->hide ("kst[$i]");
     if ($FORM->returnwert("feld[$i]") == "OK")
     {          
       $K_onto = $UVEREIN_DB->get_kontenname ($FORM->returnwert("konto[$i]"));
       $K_st = $UVEREIN_DB->sql_1_value ("bu_kst","kst_name",
                 "verein='$VEREIN_NAME' AND kst='".$FORM->returnwert("kst[$i]")."'");
       $BELEG->L_ine ("<TR>");
       $BELEG->L_ine ("<TD>".$FORM->returnwert("nr[$i]").    
                      "<BR>".$FORM->returnwert("datum[$i]"). "</TD>");
       $BELEG->L_ine ("<TD>".$K_onto. "<BR>".$K_st.   "</TD>");
       $BELEG->L_ine ("<TD>".$FORM->numeingabe2anzeige($FORM->returnzahl("betrag[$i]"),2).
                      "<BR>".$FORM->numeingabe2anzeige($FORM->returnzahl("steuer[$i]"),2).
                      "</TD>");
       $BELEG->L_ine ("</TR><TR><TD colspan=\"3\">".$FORM->returnwert("text[$i]").
                      "</TD></TR>");
       $BELEG->l_ine ("<TR><TD colspan=\"3\">&nbsp;</td></tr>");
     }
     $i++;
   }
   $BELEG->L_ine ("<TR id=\"schwarzweis5ohne\"><TD colspan=\"2\">".i4l("GESAMT-SUMME")."</td>");
   $BELEG->L_ine ("<TD id=\"schrift9ohne\">".$FORM->numeingabe2anzeige($BUCHUNG_SUMME,2)."</TD>");
   $BELEG->L_ine ("</TR>");
   $BELEG->L_ine ("</TABLE></TD></TR>");
   $BELEG->L_ine ("</TABLE>");
   $FORM->senden (i4l("MSG_ERFASSEN"));
   $FORM->inhalt ("&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;");
   $FORM->senden (i4l("MSG_BREAK"));
   
   $BELEG->L_ine($FORM->schliessen());
   break; 
   
// ------------------------------------------------------------------
// Daten in Datenbank eintragen
// ------------------------------------------------------------------
  case 'ERFASSEN':
   $BELEG =  new cl_view (VIEW_HTML,
                        "uverein &copy; GPL by Uwe Schied",
                        "normal",
                        "../html/schied.css",
                        "../icons/papier2.png");
   $i = 0; while ($i < $MAX_LINES)
   {
     if ($FORM->returnwert("feld[$i]") == "OK")
     {
       $BEFEHL = array ("b_nr"        => $FORM->returnwert("nr[$i]"),
                        "b_datum"     => $FORM->returnwert("datum[$i]"),
                        "b_konto"     => $FORM->returnwert("konto[$i]"),
                        "f_konto"     => $FORM->returnwert("fkonto"),
                        "b_betrag"    => $FORM->returnzahl("betrag[$i]"),
                        "b_steuer"    => $FORM->returnzahl("steuer[$i]"),
                        "b_text"      => $FORM->returnwert("text[$i]"),
                        "b_kst"       => $FORM->returnwert("kst[$i]"));

       $UVEREIN_DB->beleg_insert($BEFEHL);
       $BELEG->L_ine ("<HR>$i = $BEFEHL <BR>RESULTAT: ".$UVEREIN_DB->error_text());            
     }
     $i++;
   }
   $BELEG->L_ine ($SPECIAL_CALL->change_site($_SERVER['PHP_SELF']));
   break;
  
// ------------------------------------------------------------------
// Daten erfassen
// ------------------------------------------------------------------  
  default :
   $BELEG = new cl_view (VIEW_HTML,
                        "uverein &copy; GPL by Uwe Schied",
                        "normal",
                        "../html/schied.css",
                        "../icons/papier2.png");
   $BELEG->L_ine ("<H2>".i4l("BU_BUCHUNG_NEW")." [$AKT_YEAR]</h2>");
   $FORM->hide ("AUSWAHL","pruefen");
   $FORM->inhalt ("<table width=\"95%\">");
//
// Buchungsjahr
//
   $FORM->hide("jahr",$AKT_YEAR);
//
// Kostenstellen in Array einlesen
//
   $UVEREIN_DB->sql_befehl("SELECT * FROM bu_kst WHERE verein='$VEREIN_NAME' ORDER BY kst_name");
   $i = 0; $anz = $UVEREIN_DB->sql_lines(); while ($i < $anz)
   {
     $data = $UVEREIN_DB->sql_line($i);
     $KST[$data->kst] = $data->kst_name;
     $i++;
   }    
//
// Finanzkonto auswaehlen
//
   $FORM->inhalt ("<TR><TD>".i4l("DATA_FINANZKONTO")."</td><TD>");
   $FORM->selection ("fkonto",
              $UVEREIN_DB->konten_liste4selection ($UVEREIN_DB->get_vfinanz()));
   $FORM->inhalt ("</TD></TR>");
//
// Buchungskonten in Array einlesen
//
   $KONTEN = $UVEREIN_DB->konten_liste4selection ();
//
// Belege erfassen
//  
   $BELEG_NR = $UVEREIN_DB->sql_1_value("bu_belege","max(b_nr) + 1",
                             "b_verein='$VEREIN_NAME' AND b_jahr='$AKT_YEAR'");
   $FORM->inhalt ("<TR><TD colspan=\"2\"><TABLE border=\"1\">");
   $FORM->inhalt ("<TR><TH>");
   $FORM->grafikbutton ("OK","../icons/ok.png",false);   
   $FORM->inhalt ("</tH>");
   $FORM->inhalt ("<TH>".i4l("DATA_NR")."<BR>");
   $FORM->inhalt (       i4l("data_datum")."</th>");
   $FORM->inhalt ("<TH>".i4l("DATA_BUCHUNGSKONTO")."<BR>");
   $FORM->inhalt (       i4l("BU_KST")."</th>");
   $FORM->inhalt ("<TH>".i4l("DATA_BUCHUNGSBETRAG")."<BR>");
   $FORM->inhalt (       i4l("DATA_USTSTEUER")."</th>");
   $FORM->inhalt ("</TR>");
   $i = 0; while ($i < $MAX_LINES)
   {
     $FORM->inhalt("<TR><TD rowspan=\"2\">");
     $FORM->checkbox("feld[$i]","OK","");
     $FORM->inhalt("</TD><TD>");
     $FORM->eingabe("nr[$i]",10,($FORM->returnzahl("nr[$i]") == 0) 
                                     ? $BELEG_NR
                                     : $FORM->returnzahl("nr[$i]"));
     $FORM->inhalt("<BR>");
     $FORM->eingabe("datum[$i]",10);
     $FORM->inhalt("</TD><TD>");
     $FORM->selection ("konto[$i]",$UVEREIN_DB->konten_liste4selection ());
     $FORM->inhalt("<BR>");
     $FORM->selection ("kst[$i]",$KST);
     $FORM->inhalt("</TD><TD>");
     $FORM->eingabe("betrag[$i]",20);
     $FORM->inhalt("<BR>");
     $FORM->eingabe("steuer[$i]",20);
     $FORM->inhalt("</TR><TR><TD colspan=\"3\">");
     $FORM->eingabe("text[$i]",120);
     $i++; $FORM->inhalt("</TD></TR>");
   }
   $FORM->inhalt("</TABLE></TD></TR>");
      
   $FORM->inhalt ("</TABLE>");
   $BELEG->L_ine($FORM->schliessen());
   break;

} // ENDE von switch ($AUSWAHL)

$BELEG->ende();

?> 