<?php
  include_once "base.inc";
  include_once "header.inc";
  include_once "button.php";
  include_once "buchung-base.inc";
  include_once "fkonten.summe.inc";
  
index_anzeige ();

// ****************************************************************************
// Superglobals auslesen
$BELEG      = $FORM->returnglobal("BELEG",0);
$b_betrag   = $FORM->returnzahl("b_betrag");
$b_datum    = $FORM->returnwert("b_datum");
$b_jahr     = $FORM->returnwert("b_jahr");
$b_konto    = $FORM->returnzahl("b_konto");
$b_kst      = $FORM->returnzahl("b_kst");
$b_nr       = $FORM->returnzahl("b_nr");
$b_steuer   = $FORM->returnzahl("b_steuer");
$b_text     = $FORM->returnwert("b_text");
$bei_fkonto = $FORM->returnzahl("bei_fkonto");
$bei_konto  = $FORM->returnzahl("bei_konto");
$bei_kst    = $FORM->returnzahl("bei_kst");
$f_konto    = $FORM->returnzahl("f_konto");
$finanz     = $FORM->returnzahl("finanz");
$kl_name    = $FORM->returnwert("kl_name");
$kl_nr      = $FORM->returnzahl("kl_nr");
$konto      = $FORM->returnglobal("konto",0);
$kst        = $FORM->returnzahl("kst");
$kst_name   = $FORM->returnwert("kst_name");
$kto_klasse = $FORM->returnzahl("kto_klasse");
$kto_name   = $FORM->returnwert("kto_name");
$kto_nr     = $FORM->returnzahl("kto_nr");
$kto_ziel   = $FORM->returnzahl("kto_ziel");
$NR         = $FORM->returnglobal("NR",0);
$schwebe    = $FORM->returnzahl("schwebe");
$START      = $FORM->returnglobal("START",0);
$STOP       = $FORM->returnglobal("STOP",0);
$uebertrag  = $FORM->returnzahl("uebertrag");
$uebertrag_klasse = $FORM->returnzahl("uebertrag_klasse");
$uebertrag_kst = $FORM->returnzahl("uebertrag_kst");
$ust_fkonto = $FORM->returnzahl("ust_fkonto");
$ust_konto  = $FORM->returnzahl("ust_konto");
$ust_kst    = $FORM->returnzahl("ust_kst");

// ****************************************************************************
  
$HELP_BASE_REGISTER="BUCHUNG.PHP_";

$AUSWAHL = strtoupper ($AUSWAHL);
switch ($AUSWAHL)
{
  case 'BELEGE':
    cookie_setzen ("RETURN",$_SERVER['PHP_SELF']."?AUSWAHL=$AUSWAHL&AKT_YEAR=$AKT_YEAR","");
    break;
  case 'BELEGE_1':
    cookie_setzen ("RETURN",$_SERVER['PHP_SELF']."?AUSWAHL=$AUSWAHL&konto=$konto&AKT_YEAR=$AKT_YEAR","");
    cookie_setzen ("KONTO",$konto,"");
  break;
  case 'BUCHUNG_ALT':
    cookie_setzen ("RETURN",$_SERVER['PHP_SELF']."?AUSWAHL=$AUSWAHL&START=$START&STOP=$STOP&AKT_YEAR=$AKT_YEAR","");
  break;
  case 'BELEGE_NRANZEIGE':
    cookie_setzen ("RETURN",$_SERVER['PHP_SELF']."?AUSWAHL=$AUSWAHL&BELEG=$BELEG&AKT_YEAR=$AKT_YEAR","");
  break;      
  case 'BUCHUNG_NEW' :
    $qu = $UVEREIN_DB->select_konten ();
    if ( $UVEREIN_DB->sql_lines ($qu) < 6) $HELP_BASE_REGISTER = "ERROR_BU_KONTEN";
  break;
}

register_help_pos ("$HELP_BASE_REGISTER$AUSWAHL");

//
// Ueberschrift ausgeben
//
function oben ()
{
  global $AUSWAHL, $FORM, $AKT_YEAR;
  $var = 'bu_' . strtolower ($AUSWAHL);
  $FORM->inhalt("<H3>" . i4l($var) . " $AKT_YEAR</H3>");
}

// 
// Liste anzeigen
//
function liste ($tabelle, $where, $order, $var1, $var2, $target)
{
  global $VEREIN_NAME, $FORM,$UVEREIN_DB;
  $FORM->sub_textbutton(i4l("call_new"),array("AUSWAHL" => $target."_NEW"));
  $FORM->inhalt("<TABLE bgcolor=\"#FFFCD5\" border=\"2\">");
  $UVEREIN_DB->sql_abfrage ($tabelle, $where, $order, ""); 
  $i=0; while ($i < $UVEREIN_DB->sql_lines())
  {
    $data = $UVEREIN_DB->sql_line($i); $i++;
    $FORM->inhalt('<TR><TD align="center">');
    $FORM->sub_grafikbutton("../icons/edit.png",
           array("AUSWAHL" => $target."_UPDATE", "NR" => $data->$var1));
    $FORM->inhalt('</TD><TD align="center">');
    $FORM->sub_grafikbutton("../icons/delete.png",
           array("AUSWAHL" => $target."_DELETE", "NR" => $data->$var1));
    $FORM->inhalt('</TD><TD id="rechts" align="right">' . 
      $FORM->numeingabe2anzeige($data->$var1,0) . '</TD>');
    $FORM->inhalt("</TD><TD id=\"schrift5ohne\">".$data->$var2."</TD></TR>");
  }
  $FORM->inhalt('</TABLE>');
  $FORM->sub_textbutton(i4l("call_new"),array("AUSWAHL" => $target."_NEW"));
}


// 
// Kontenklasse auswaehlen fuer die Definition in virtual_konto
//
function def_virtual_art ($oben, $name, $konto)
{
  global $VEREIN_NAME, $FORM, $UVEREIN_DB;
  $FORM->inhalt("<TR id=\"gelb\"><TD colspan=\"2\"><B>$oben</B></TD></TR>");
  $UVEREIN_DB->sql_abfrage ("virtual_konto","verein='".$VEREIN_NAME."' AND art='".$name."'","","");
  if ($UVEREIN_DB->sql_lines() > 0) 
  { 
    $data = $UVEREIN_DB->sql_line (0); $dtakonto = $data->konto;
  }
  else $dtakonto = "";
  $FORM->inhalt("<TR><TD>".i4l("bu_k_bereich")."</TD><TD>");
  $FORM->selection($konto,
    $UVEREIN_DB->liste4selection("bu_klassen","verein='$VEREIN_NAME'","kl_nr","kl_name"),
    $dtakonto);
  $FORM->inhalt("</TD></TR>");
  $FORM->inhalt("<TR><TD colspan=\"2\">&nbsp;</TD></TR>");
}

//
// Buchungskonto fuer virtual_konto definieren
//
function def_virtual_1_konto ($oben, $name, $konto)
{
  global $VEREIN_NAME,$FORM,$UVEREIN_DB;
  $FORM->inhalt("<TR id=\"gelb\"><TD colspan=\"2\"><B>$oben</B></TD></TR>");
  $dtakonto = $UVEREIN_DB->sql_1_value("virtual_konto","konto",
              "verein='$VEREIN_NAME' AND art='$name'");
  $FORM->inhalt("<TR><TD>".i4l("data_buchungskonto")."</TD><TD>");
  $FORM->selection($konto,$UVEREIN_DB->konten_liste4selection(),$dtakonto);
  $FORM->inhalt("</TD></TR>");
}

//
// Definitionen fuer virtual_konto 
//
function def_virtual_konto ($oben, $name, $art, $konto, $fkonto, $kst)
{
  global $VEREIN_NAME,$FORM,$UVEREIN_DB;
  $FORM->inhalt("<TR id=\"gelb\"><TD colspan=\"2\"><B>$oben</B></TD></TR>");
  $UVEREIN_DB->sql_abfrage ("virtual_konto","verein='".$VEREIN_NAME."' AND art='".$name."'","","");
  if ($UVEREIN_DB->sql_lines() > 0) 
  { 
    $data = $UVEREIN_DB->sql_line (0); 
    $dtakonto = $data->konto;
    $dtafkonto = $data->fkonto;
    $dtakst = $data->kst;
  }
// Kontenart definieren
  if ($art != "")
  {
    $FORM->inhalt("<TR><TD>".i4l("bu_k_bereich")."</TD><TD>");
    $FORM->selection ($art,
      $UVEREIN_DB->liste4selection("bu_klassen","verein='$VEREIN_NAME'","kl_nr","kl_name"),
      $dtakonto);
    $FORM->inhalt("</TD></TR>");
  }
// Buchungskonto definieren
  if ($konto != "")
  {
    $FORM->inhalt("<TR><TD>".i4l("data_buchungskonto")."</TD><TD>");
    $FORM->selection($konto,$UVEREIN_DB->konten_liste4selection(),$dtakonto);
    $FORM->inhalt("</TD></TR>");
  }
// Finanzkonto definieren
  if ($fkonto != "")
  {
  	 $FORM->inhalt("<TR><TD>".i4l("data_finanzkonto")."</TD><TD>");
  	 $FORM->selection($fkonto,$UVEREIN_DB->konten_liste4selection(),$dtafkonto);
    $FORM->inhalt("</TD></TR>");
  }
// Kostenstelle definieren
  if ($kst != "")
  {
  	 $FORM->inhalt("<TR><TD>".i4l("bu_kst")."</TD><TD>");
  	 $FORM->selection($kst,$UVEREIN_DB->liste4selection(
  	   "bu_kst","verein='$VEREIN_NAME'","kst","kst_name"),
  	   $dtakst);
    $FORM->inhalt("</TD></TR>");
  }
  $FORM->inhalt("<TR><TD colspan=\"2\">&nbsp;</TD></TR>");
}

//
// Hauptprogramm
//
  switch ($AUSWAHL)
  {
//
// Jahreswechsel
//
    case 'NEW_YEAR' :
      include_once "change_year.inc";
      break;
    
//
// Belegaufstellung ausgeben
//
    case 'BELEGE':
      $FORM->inhalt($SPECIAL_CALL->change_site ("buchung_beleg.php"));
      break;

// -----------------------------------------------------------------------------
// Belegaufstellung zu einem Konto auflisten
// -----------------------------------------------------------------------------
    case 'BELEGE_KONTO':
      $FORM->inhalt($SPECIAL_CALL->change_site ("buchung_kto-beleg.php?AUSWAHL=$AUSWAHL"));
      break;
    case 'BELEGE_1':
      $konto = $FORM->returnglobal("konto",0);
      $FORM->inhalt($SPECIAL_CALL->change_site ("buchung_kto-beleg.php".
        "?AUSWAHL=$AUSWAHL&konto=$konto"));
      break;

// -----------------------------------------------------------------------------
// Belegaufstellung zu einer Kostenstelle auflisten
// -----------------------------------------------------------------------------
    case 'BELEGE_KST':
      $FORM->inhalt($SPECIAL_CALL->change_site ("buchung-kst.php?AUSWAHL=AUSWAHL"));
      break;

// -----------------------------------------------------------------------------
// Belegaufstellung zu einem Buchungsbeleg
// -----------------------------------------------------------------------------
// ***
// ***  Beleg auswaehlen
// ***
    case 'BELEGE_NR':
      $FORM->hide("AUSWAHL","BELEGE_NRANZEIGE");
      $AKT_NR = $UVEREIN_DB->sql_1_value("bu_belege",
                                         "max(b_nr)",
                                         "b_verein='$VEREIN_NAME' AND b_jahr='$AKT_YEAR'");
      oben();
      $FORM->eingabe("BELEG",80,$AKT_NR);
      $FORM->inhalt("</H2>");
      $FORM->grafikbutton("OK","../icons/ok.png",false);
      break;
// *** 
// *** Beleg anzeigen
// ***
    case 'BELEGE_NRANZEIGE':
// Ueberschrift
      $FORM->inhalt("<TABLE><TR>");
      $FORM->inhalt ("<TD><H2 id=\"links\">".i4l("BELEGE_NR")." $BELEG</H2></TD>");
// PDF anbieten
      $FORM->inhalt("<TD>");
      $FORM->sub_grafikbutton("../icons/pdf.png",
                              array("ART" => "NR", 
                                    "WERT" => $BELEG),
                              "print.belege.php");
      $FORM->inhalt("</TD></TR></TABLE>");
// Tabelle erstellen
      $FORM->inhalt ("<TABLE class=\"breite100\" border=1>");
      $FORM->inhalt ("<TR><TH>".i4l("aktion")."</TH>");
      $FORM->inhalt ("<TH>".i4l("data_nr")."</TH>");
      $FORM->inhalt ("<TH>".i4l("data_datum")."</TH>");
      $FORM->inhalt ("<TH>".i4l("data_konto")."</TH>");
      $FORM->inhalt ("<TH>".i4l("data_finanzkonto")."</TH>");
      $FORM->inhalt ("<TH>".i4l("data_buchungsbetrag")."</TH>");
      $FORM->inhalt ("<TH>".i4l("data_uststeuer")."</TH>");
      $FORM->inhalt ("<TH>".i4l("data_buchungstext")."</TH>");
      $FORM->inhalt ("<TH>".i4l("bu_kst")."</TH></TR>");
// Summen initialisieren
      $BETRAG = 0.00;
      $STEUER = 0.00;
// Belege anzeigen
      $FARBE = "ID=\"grau\"";
      $UVEREIN_DB->get_beleg ("b_nr='$BELEG'",
                              "b_datum,b_text");
      $i = 0; while ($i < $UVEREIN_DB->sql_lines())
      {
	     $data = $UVEREIN_DB->sql_line($i); $i++;
	     $FARBE = ($FARBE == "") ? "ID=\"grau\"" : "";
	     $FORM->inhalt ("<TR $FARBE><TD>");
// Edit-Button mit Ziel verbinden
    	  $X = array ("AUSWAHL" => "BUCHUNG_UPDATE", "NR" => $data->idx);
	     $FORM->sub_grafikbutton("../icons/edit.png",$X,"buchung.php");
	     $FORM->inhalt("</TD>");
// Belegzeile
	     $FORM->inhalt("<TD>$data->b_nr</TD>");
	     $FORM->inhalt("<TD>$data->b_datum</TD>");
	     $FORM->inhalt("<TD>".$UVEREIN_DB->get_kontenname($data->b_konto)."</TD>");
	     $FORM->inhalt("<TD>".$UVEREIN_DB->get_kontenname($data->f_konto)."</TD>");
	     $FORM->inhalt("<TD id=\"rechts\">".
	                   $FORM->numeingabe2anzeige($data->b_betrag,2)."</TD>");
	     $BETRAG += $data->b_betrag;
	     $FORM->inhalt("<TD id=\"rechts\">".
	                   $FORM->numeingabe2anzeige($data->b_steuer,2)."</TD>");
	     $STEUER += $data->b_steuer;
	     $FORM->inhalt("<TD>$data->b_text</TD>");
	     $FORM->inhalt("<TD>".$UVEREIN_DB->sql_1_value("bu_kst","kst_name",
	                          "verein='$VEREIN_NAME' AND kst='$data->b_kst'").
	                   "</TD></TR>");
      }
// Summen ausgeben
      $FORM->inhalt("<TR ID=\"gelb\"><TD colspan=\"5\">&nbsp;</TD>");
      $FORM->inhalt("<TD id=\"rechts\">".$FORM->numeingabe2anzeige($BETRAG,2)."</TD>");
      $FORM->inhalt("<TD id=\"rechts\">".$FORM->numeingabe2anzeige($STEUER,2)."</TD>");
      $FORM->inhalt("<TD colspan=\"2\">&nbsp;</TD></TR>");
      $FORM->inhalt("<TR><TD colspan=\"5\">&nbsp;</TD>");
      $FORM->inhalt("<TD id=\"rechts\"><strong>".
                    $FORM->numeingabe2anzeige($BETRAG+$STEUER,2).
                    "</strong></TD>");
      $FORM->inhalt("<TD id=\"rechts\">&nbsp;</TD>");
      $FORM->inhalt("<TD colspan=\"2\">&nbsp;</TD></TR>");
// Tabelle schliessen
      $FORM->inhalt("</TABLE>");
      break;

// -----------------------------------------------------------------------------
// Gewinn- und Verlustrechung (Bilanz)
// -----------------------------------------------------------------------------
    case 'BILANZ':
      $FORM->inhalt($SPECIAL_CALL->change_site ("buchung-bilanz.pdf.php"));
      break;

// -----------------------------------------------------------------------------
// Buchungen erfassen, aendern und loeschen
// -----------------------------------------------------------------------------
    case 'BUCHUNG_ALT':
      oben();
      $qu = $UVEREIN_DB->get_beleg ("","b_nr,b_datum,b_konto,f_konto");
      $sql_zeilen = $UVEREIN_DB->sql_lines($qu);
	   $FORM->inhalt("<TABLE width=\"95%\" bgcolor=\"#FFFCD5\" border=\"1\">");
	   $FORM->inhalt("<TR><TH colspan=\"2\">&nbsp;</TH><TH>".i4l("txt_nr")."</TH>".
	     "<TH>".i4l("data_datum")."</TH>".
	     "<TH>".i4l("data_buchungskonto")."</TH>".
	     "<TH>".i4l("data_finanzkonto")."</TH>".
	     "<TH>".i4l("data_buchungsbetrag")."</TH>".
	     "<TH>".i4l("data_uststeuer")."</TH>".
	     "<TH>".i4l("data_buchungstext")."</TH>".
	     "<TH>".i4l("bu_kst")."</TH></TR>");
	   $zeilen = $sql_zeilen;
	   if ($sql_zeilen > 0)
   	{
        $row = max($START,0);
	     $STOP = min (max(($START + 10),0), $sql_zeilen);
	     while ($row < $STOP)
	     {
	       $data = $UVEREIN_DB->sql_line($row,$qu);
	       $FORM->inhalt('<TR><TD>');
	       $FORM->sub_grafikbutton("../icons/edit.png",
	         array("AUSWAHL" => "BUCHUNG_UPDATE","NR" => $data->idx,"START" => $row));
	       $FORM->inhalt("</TD><TD>");
	       $FORM->sub_grafikbutton("../icons/delete.png",
	         array("AUSWAHL" => "BUCHUNG_DELETE","NR" => $data->idx));
	       $FORM->inhalt('</TD>');
	       $FORM->inhalt('<TD>'.$data->b_nr.'</TD>');
	       $FORM->inhalt('<TD>'.$data->b_datum.'</TD>');
	       $xq = $qu; 
	       $qu = $UVEREIN_DB->get_kontodaten ($data->b_konto); 
	       $dt = $UVEREIN_DB->sql_line (0,$qu); 
	       $qu = $xq;
	       $FORM->inhalt('<TD>'.$dt->kto_name.'</TD>');
	       $xq = $qu; 
	       $qu = $UVEREIN_DB->get_kontodaten ($data->f_konto); 
	       $dt = $UVEREIN_DB->sql_line (0,$qu); 
	       $qu = $xq;
	       $FORM->inhalt('<TD>'.$dt->kto_name.'</TD>');
	       $MINUS = ($data->b_betrag < 0) ? "style=\"color:red\"" : "";
	       $FORM->inhalt("<TD id=\"rechts\" $MINUS>".
	                     $FORM->numeingabe2anzeige($data->b_betrag,2).
	                     "</TD>");
	       $MINUS = ($data->b_steuer < 0) ? "style=\"color:red\"" : "";
	       $FORM->inhalt("<TD id=\"rechts\" $MINUS>".
	                     $FORM->numeingabe2anzeige($data->b_steuer,2).
	                     "</TD>");
	       $FORM->inhalt('<TD>'.$data->b_text.'&nbsp;</TD>');
	       $xq = $qu; 
	       $UVEREIN_DB->sql_abfrage ("bu_kst","kst='$data->b_kst' AND verein='$VEREIN_NAME'","","");
	       $qu = $UVEREIN_DB->qu; $dt = ($UVEREIN_DB->sql_lines ($qu) > 0) ? $UVEREIN_DB->sql_line (0,$qu) : ""; 
	       $qu = $xq;
	       $dt_kst = ($dt->kst_name == "") ? "-" : $dt->kst_name;
	       $FORM->inhalt("<TD>$dt_kst</TD>");
	       $FORM->inhalt('</TR>');
	       $row++;
	     }
	     $STOP  = min ($START, max ($START - 10, 0));
	     $START = max (0 , min ($START + 10, $zeilen - 10));
	     $FORM->inhalt('<TR><TD colspan="10"><TABLE><TR>');
	     $FORM->inhalt("<TD width=\"33%\">");
	     $FORM->sub_mixbutton("../icons/change1.png",0,
	       array("AUSWAHL" => "BUCHUNG_ALT","START" => "0"));
	     $FORM->inhalt("</TD><TD width=\"33%\">");
	     $FORM->sub_mixbutton("../icons/next.png",$START,
	       array("AUSWAHL" => "BUCHUNG_ALT","START" => "$START"));
	     $FORM->inhalt("</TD><TD width=\"33%\">");
	     $FORM->sub_mixbutton("../incons/last.png",$STOP,
	       array("AUSWAHL" => "BUCHUNG_ALT","START" => "$STOP"));
	     $FORM->inhalt('</TD><TR></TABLE></TD></TR>');	  
	   }
	   $FORM->inhalt("</TABLE>");
      break;
    case 'BUCHUNG_DELETE':
      $qu = $UVEREIN_DB->get_beleg ("idx=$NR");
      $data = $UVEREIN_DB->sql_line(0,$qu);
      $data->b_betrag = $data->b_betrag * -1;
      $data->b_steuer = $data->b_steuer * -1;
      $data->b_text   = " *** " . i4l("msg_del_input") . " ***";
      $EINTRAG = array ("b_nr" => $data->b_nr, "b_datum" => $data->b_datum,
                        "b_konto" => $data->b_konto, "f_konto" => $data->f_konto,
                        "b_betrag" => $data->b_betrag, "b_steuer" => $data->b_steuer,
                        "b_text" => $data->b_text, "b_kst" => $data->b_kst);
      $UVEREIN_DB->beleg_insert ($EINTRAG);
      $FORM->inhalt($SPECIAL_CALL->change_site (cookie_lesen ("RETURN")));
      break;
    case 'BUCHUNG_UPDSQL':
      $BELEG = array ("b_nr"     => $b_nr,     "b_datum"  => $b_datum,
                      "b_konto"  => $b_konto,  "f_konto"  => $f_konto,
                      "b_betrag" => $b_betrag, "b_steuer" => $b_steuer,
                      "b_text"   => $b_text,   "b_kst"    => $b_kst,
                      "b_jahr"   => $UVEREIN_DB->get_jahr());
      $UVEREIN_DB->beleg_update ("idx='$NR'",$BELEG);
      $FORM->inhalt($SPECIAL_CALL->change_site (cookie_lesen ("RETURN")));
      break;
    case 'BUCHUNG_UPDATE':
      $FORM->inhalt ("<H2 id=\"links\">".i4l("bu_BUCHUNG_ALT")."</H2>");
      $START = ($START == "") ? 0 : $START;
      $qu = $UVEREIN_DB->get_beleg ("idx=$NR");
      $alt = $UVEREIN_DB->sql_line(0,$qu);
      $FORM->hide("AUSWAHL","BUCHUNG_UPDSQL");
      $FORM->hide("NR",$NR);
      $FORM->hide("START",$START);
      $b_nr = $alt->b_nr;
      $FORM->inhalt("<TABLE>");
      // Beleg-Nr
      $FORM->inhalt("<TR><TD>".i4l("txt_nr")."</TD><TD>");
        $FORM->setwert("b_nr",$b_nr); $FORM->eingabe("b_nr");
      $FORM->inhalt("</TD></TR>");
      // Datum
      $FORM->inhalt("<TR><TD>".i4l("data_datum")."</TD><TD>");
        $FORM->setwert("b_datum",$alt->b_datum); $FORM->eingabe("b_datum");
      $FORM->inhalt("</TD></TR>");
      // Buchungskonto
      $FORM->inhalt("<TR><TD>".i4l("data_buchungskonto")."</TD><TD>");
        $FORM->setwert("b_konto",$alt->b_konto);
        $FORM->selection("b_konto",$UVEREIN_DB->konten_liste4selection ());
      $FORM->inhalt("</TD></TR>");
      // Finanzkonto
      $FORM->inhalt("<TR><TD>".i4l("data_finanzkonto")."</TD><TD>");
        $FORM->setwert("f_konto",$alt->f_konto);
        $FORM->selection("f_konto",$UVEREIN_DB->konten_liste4selection ());
      $FORM->inhalt("</TD></TR>");
      // Buchungsbetrag
      $FORM->inhalt("<TR><TD>".i4l("data_buchungsbetrag")."</TD><TD>");
        $FORM->setwert("b_betrag",$FORM->numeingabe2anzeige($alt->b_betrag,2)); 
        $FORM->eingabe("b_betrag");
      $FORM->inhalt("</TD></TR>");
      // Umsatzsteuer
      $FORM->inhalt("<TR><TD>".i4l("data_uststeuer")."</TD><TD>");
        $FORM->setwert("b_steuer",$FORM->numeingabe2anzeige($alt->b_steuer,2)); 
        $FORM->eingabe("b_steuer");
      $FORM->inhalt("</TD></TR>");
      // Buchungstext
      $BU_MERKER = str_replace("'","",str_replace("\"","",$alt->b_text));    
      $FORM->inhalt("<TR><TD>".i4l("data_buchungstext")."</TD><TD>");
        $FORM->setwert("b_text",$BU_MERKER); 
        $FORM->feld("b_text",80,1);
      $FORM->inhalt("</TD></TR>");
      // Kostenstelle
      $FORM->inhalt("<TR><TD>".i4l("bu_kst")."</TD><TD>");
        $FORM->setwert("b_kst",$alt->b_kst);
        $UVEREIN_DB->sql_abfrage ("bu_kst", "verein='".$VEREIN_NAME."'", "kst_name", "");
        $i = 0; while ($i < $UVEREIN_DB->sql_lines())
        {
           $data = $UVEREIN_DB->sql_line($i); $i++;
           $SEL[$data->kst] = $data->kst_name;
        }
        $FORM->selection("b_kst",$SEL);
      $FORM->inhalt("</TD></TR>");
      $FORM->inhalt("</TABLE>");
      $FORM->senden(i4l("msg_erfassen"));
      break;

    case 'BUCHUNG_LIST':
      $FORM->inhalt($SPECIAL_CALL->change_site ("buchung_beleg.php"));
      break;
    case 'BUCHUNG_NEWSQL':
      $EINTRAG = array ("b_nr" => $b_nr, "b_datum" => $b_datum,
                        "b_konto" => $b_konto, "f_konto" => $f_konto,
                        "b_betrag" => $b_betrag, "b_steuer" => $b_steuer,
                        "b_text" => $b_text, "b_kst" => $b_kst);
      $UVEREIN_DB->beleg_insert ($EINTRAG);
      $FORM->inhalt($SPECIAL_CALL->change_site ("buchung.php?AUSWAHL=BUCHUNG_NEW"));
      break;
    case 'BUCHUNG_NEW':
      if ($HELP_BASE_REGISTER != "BUCHUNG.PHP_")
      {
        $ERROR_LANG = strtolower(cookie_lesen("LANGUAGE"));
        $FORM->inhalt(
          $SPECIAL_CALL->change_site ("../doc/html/error.newbu_without_bukonten-$ERROR_LANG.php"));
      }
      else {
      oben();
      $FORM->hide("AUSWAHL","BUCHUNG_NEWSQL");
      // Beleg-Nr. >=2, da Beleg 1 fuer den Uebertrag reserviert ist
      $b_nr = max(2,$UVEREIN_DB->sql_1_value("bu_belege","max(b_nr) + 1",
                     "b_verein='$VEREIN_NAME' AND b_jahr='$AKT_YEAR'"));
      $FORM->inhalt("<TABLE>");
      $FORM->inhalt("<TR><TD>".i4l("txt_nr")."</TD><TD>");
        $FORM->eingabe("b_nr",80,$b_nr);
      $FORM->inhalt("</TD></TR>");
      // Beleg-Datum
      $FORM->inhalt("<TR><TD>".i4l("data_datum")."</TD><TD>");
        $FORM->eingabe("b_datum");
      $FORM->inhalt("</TD></TR>");
      // Buchungskonto
      $FORM->inhalt("<TR><TD>".i4l("data_buchungskonto")."</TD><TD>");
        $FORM->selection("b_konto",$UVEREIN_DB->konten_liste4selection ());
      $FORM->inhalt("</TD></TR>");
      // Finanzkonto
      $FORM->inhalt("<TR><TD>".i4l("data_finanzkonto")."</TD><TD>");
        $FORM->selection("f_konto",$UVEREIN_DB->konten_liste4selection ());
      $FORM->inhalt("</TD></TR>");
      // Buchungsbetrag
      $FORM->inhalt("<TR><TD>".i4l("data_buchungsbetrag")."</TD><TD>");
        $FORM->eingabe("b_betrag");
      $FORM->inhalt("</TD></TR>");
      // Umsatzsteuer
      $FORM->inhalt("<TR><TD>".i4l("data_uststeuer")."</TD><TD>");
        $FORM->eingabe("b_steuer");
      $FORM->inhalt("</TD></TR>");
      // Buchungstext
      $FORM->inhalt("<TR><TD>".i4l("data_buchungstext")."</TD><TD>");
        $FORM->feld("b_text",80,1);
      $FORM->inhalt("</TD></TR>");
      // Kostenstelle
      $FORM->inhalt("<TR><TD>".i4l("bu_kst")."</TD><TD>");
        $UVEREIN_DB->sql_abfrage ("bu_kst", "verein='".$VEREIN_NAME."'", "kst_name", "");
        $i = 0; while ($i < $UVEREIN_DB->sql_lines())
        {
           $data = $UVEREIN_DB->sql_line($i); $i++;
           $SEL[$data->kst] = $data->kst_name;
        }
        $FORM->selection("b_kst",$SEL);
      $FORM->inhalt("</TD></TR>");
      $FORM->inhalt("<TABLE>");
      $FORM->senden(i4l("msg_erfassen"));
      // -----------------------------------------------------------------------
      // Kontostaende der Finanzkonten einfuegen
      // -----------------------------------------------------------------------      
      $FORM->inhalt("<HR>" . fkonten_summe());
      $FORM->fokus("b_datum");
      }
      break;

// -----------------------------------------------------------------------------
// Kontenbereich = Bereiche des Vereins
// -----------------------------------------------------------------------------
    case 'K_BEREICH':
      oben ();
      liste ("bu_klassen", "verein='".$VEREIN_NAME."'", "kl_nr", "kl_nr", "kl_name", "K_BEREICH");
      break;
    case 'K_BEREICH_UPSQL':
      $UVEREIN_DB->sql_update ("bu_klassen", 
                  "kl_name='" . $kl_name . "'", 
		  "     verein='".$VEREIN_NAME."'".
		  " AND kl_nr=" . $kl_nr);
      $FORM->inhalt($SPECIAL_CALL->change_site ("buchung.php?AUSWAHL=K_BEREICH"));
      break;
  // Aufstellung nach der Kontenklasse
    case 'K_BEREICH_LIST':
      $FORM->inhalt($SPECIAL_CALL->change_site ("buchung-bereich.php?AUSWAHL=AUSWAHL"));
      break;
    case 'K_BEREICH_UPDATE':
      $AUSWAHL="K_BEREICH"; oben();
      $UVEREIN_DB->sql_abfrage ("bu_klassen", "verein='".$VEREIN_NAME."' AND kl_nr=" . $NR, "","");
      if ($UVEREIN_DB->sql_lines() > 0)
      {
        $data = $UVEREIN_DB->sql_line(0);
        $FORM->hide("AUSWAHL","K_BEREICH_UPSQL");
        $FORM->inhalt("<TABLE>");
        $FORM->hide("kl_nr",$data->kl_nr);
        $FORM->inhalt("<TR><TD>".i4l("data_nr")."</TD><TD>$data->kl_nr</TD></TR>");
        $FORM->inhalt("<TR><TD>&nbsp;</TD><TD>");
        $FORM->eingabe ("kl_name", 80, $data->kl_name);
        $FORM->inhalt("</TD></TR></TABLE>");
        $FORM->senden(i4l("msg_erfassen"));
      }
      break;
    case 'K_BEREICH_DELETE':
      $UVEREIN_DB->sql_befehl ("SELECT * FROM bu_konten".
                               " WHERE kto_klasse='$NR' and verein='$VEREIN_NAME'".
                               " ORDER BY jahr,kto_name");
      if ($UVEREIN_DB->sql_lines() > 0)
      {
      	$FORM->inhalt("<p class=\"rahmenblau\" id=\"schrift9ohne\">".
      	              i4l("NICHT_GELOESCHT").
      	              "</P>");
      	$i=0; while ($i < $UVEREIN_DB->sql_lines())
      	{
      		$data = $UVEREIN_DB->sql_line($i); $i++;
      		$FORM->inhalt("<LI id=\"schrift4ohne\">[".$data->jahr."] $data->kto_name</LI>");
         }
      }
      else 
      {
        $UVEREIN_DB->sql_befehl 
         ("DELETE FROM bu_klassen WHERE verein='".$VEREIN_NAME."' AND kl_nr=" . $NR);
        $FORM->inhalt($SPECIAL_CALL->change_site ("buchung.php?AUSWAHL=K_BEREICH"));
      }
      break;
    case 'K_BEREICH_NEWSQL':
      $UVEREIN_DB->sql_insert ("bu_klassen", "verein, kl_nr,kl_name", 
         "VALUES ('".$VEREIN_NAME."',".$kl_nr.",'".$kl_name."')");
      $FORM->inhalt($SPECIAL_CALL->change_site ("buchung.php?AUSWAHL=K_BEREICH"));
      break;      
    case 'K_BEREICH_NEW':
      $AUSWAHL="K_BEREICH"; oben();
      $FORM->hide ("AUSWAHL", "K_BEREICH_NEWSQL");
      $FORM->inhalt("<pre id=\"schrift4ohne\">".i4l("data_nr")."	"); $FORM->eingabe("kl_nr");
      $FORM->inhalt("<BR>	"); $FORM->eingabe("kl_name");
      $FORM->inhalt("<BR>&nbsp;<BR></PRE>");
      $FORM->senden(i4l("msg_erfassen"));
      break;

// -----------------------------------------------------------------------------
// Konten verwalten
// -----------------------------------------------------------------------------
    case 'KONTO_ALT':
      oben ();
      liste ("bu_konten", "verein='".$VEREIN_NAME."' AND jahr='".$AKT_YEAR."'", 
             "kto_nr", "kto_nr", "kto_name", "KONTO");
      break;
    case 'KONTO_UPSQL':
      if ($kto_nr == $NR)
      {
        $UVEREIN_DB->sql_update (
          "bu_konten", 
          "kto_name='".$kto_name."',kto_klasse='".$kto_klasse."',kto_ziel='".$kto_ziel."'",
		    "verein='".$VEREIN_NAME."' AND jahr='".$AKT_YEAR."' AND kto_nr=".$NR);
      }
      else
      {
        $UVEREIN_DB->get_kontodaten($kto_nr);
        if ($UVEREIN_DB->sql_lines() > 0)
	     {
          $FORM->inhalt($SPECIAL_CALL->change_site ("buchung.php?AUSWAHL=KONTO_UPDATE&NR=".$NR));
	     }
	     else
	     {
	       $kto_ziel = ($kto_ziel == $NR) ? $kto_nr : $kto_ziel;
	       // +++ Neues Konto eintragen +++
          $UVEREIN_DB->sql_insert (
             "bu_konten","verein,kto_nr, kto_name, kto_klasse, kto_ziel,jahr", 
             "VALUES ('".$VEREIN_NAME."'".
                    ",'".$kto_nr."'".
                    ",'".$kto_name."'".
                    ",'".$kto_klasse."'".
                    ",'".$kto_ziel."'".
                    ",'".$AKT_YEAR."'".
                    ")");
	       // +++ Bereinigung der Zielkonto-Erfassung +++
	       $UVEREIN_DB->sql_update ("bu_konten", 
	          "kto_ziel='".$kto_nr."'",
	          "verein='".$VEREIN_NAME."' AND kto_ziel='".$NR."' AND jahr='".$AKT_YEAR."'");
	       // +++ Buchungsbelege korrigieren +++
	       $UVEREIN_DB->sql_update ("bu_belege", "b_konto='".$kto_nr."'","b_konto='".$NR."'");
	       $UVEREIN_DB->sql_update ("bu_belege", "f_konto='".$kto_nr."'","f_konto='".$NR."'");
	       // +++ Beitragskonto anpassen +++
	       if ($UVEREIN_DB->get_vbeitrag() == $NR) 
	         $UVEREIN_DB->set_vbeitrag($kto_nr);
	       if ($UVEREIN_DB->get_vbeitrag("FINANZ") == $NR)
	         $UVEREIN_DB->set_vbeitrag($kto_nr,"FINANZ");
	       // +++ Konto fuer die Vorsteuerverbuchung anpassen +++
	       if ($UVEREIN_DB->get_vsteuer() == $NR) 
	         $UVEREIN_DB->set_vsteuer($kto_nr);
	       if ($UVEREIN_DB->get_vsteuer("FINANZ") == $NR)
	         $UVEREIN_DB->set_vsteuer($kto_nr,"FINANZ");
	       // +++ Altes Konto loeschen +++
	       $UVEREIN_DB->sql_befehl 
	          ("DELETE FROM bu_konten".
	           " WHERE verein='$VEREIN_NAME' AND kto_nr='$NR' AND jahr='$AKT_YEAR'");
	     }
      }
      $FORM->inhalt($SPECIAL_CALL->change_site ("buchung.php?AUSWAHL=KONTO_ALT"));
      break;  
    case 'KONTO_UPDATE':
      $AUSWAHL="KONTO_ALT"; oben();
      $qu = $UVEREIN_DB->get_kontodaten ($NR); 
      if ($UVEREIN_DB->sql_lines() > 0)
      {
        $data = $UVEREIN_DB->sql_line(0,$qu);
        $FORM->hide("AUSWAHL","KONTO_UPSQL");
        $FORM->hide("NR",$NR);
        $FORM->inhalt("<TABLE>");
        // Konto-Nummer
        $FORM->inhalt("<TR><TD>".i4l("data_nr")."</TD><TD>");
        $FORM->eingabe("kto_nr",80,$data->kto_nr);
        $FORM->inhalt("</TD></TR>");
        // Bezeichnung des Kontos
        $FORM->inhalt("<TR><TD>&nbsp;</TD><TD>");
        $FORM->eingabe("kto_name",80,$data->kto_name);
        $FORM->inhalt("</TD></TR>");
        // Kontenklasse = Kontenart
     	  $UVEREIN_DB->sql_abfrage ("bu_klassen", "verein='".$VEREIN_NAME."'", "kl_nr", "");
     	  $i = 0; while ($i < $UVEREIN_DB->sql_lines())
     	  {
     	  	 $dta = $UVEREIN_DB->sql_line($i); $i++;
     	  	 $SEL[$dta->kl_nr] = $dta->kl_name;
     	  }
        $FORM->inhalt("<TR><TD>".i4l("bu_k_bereich")."</TD><TD>");
        $FORM->selection("kto_klasse",$SEL,$data->kto_klasse);
        $FORM->inhalt("</TD></TR>");
        // Zielkonto
        $FORM->inhalt("<TR><TD>".i4l("bu_konto")."</TD><TD>");
        $FORM->selection("kto_ziel",$UVEREIN_DB->konten_liste4selection(),$data->kto_ziel);
        $FORM->inhalt("</TD></TR>");
        $FORM->inhalt("</TABLE><BR>");
        $FORM->senden(i4l("msg_erfassen"));
      }
      break;
    case 'KONTO_NEWSQL':
      $UVEREIN_DB->sql_insert ("bu_konten", "verein,kto_nr, kto_name, kto_klasse, kto_ziel,jahr", 
                  "VALUES ('".$VEREIN_NAME."', '".$kto_nr."'".
		  ",       '".$kto_name."'".
		  ",       '".$kto_klasse."'".
		  ",       '".$kto_nr."','$AKT_YEAR')");
      $FORM->inhalt($SPECIAL_CALL->change_site ("buchung.php?AUSWAHL=KONTO_UPDATE&NR=".$kto_nr));
      break;
    case 'KONTO_NEW':
      oben ();
      $FORM->hide("AUSWAHL","KONTO_NEWSQL");
      $FORM->inhalt("<TABLE>");
      $FORM->inhalt("<TR><TD>".i4l("data_nr")."</TD><TD>");
      $FORM->eingabe("kto_nr");
      $FORM->inhalt("</TD></TR>");
      $FORM->inhalt("<TR><TD>".i4l("data_name")."</TD><TD>");
      $FORM->eingabe("kto_name");
      $FORM->inhalt("</TD></TR>");
      $FORM->inhalt("<TR><TD>".i4l("bu_k_bereich")."</TD><TD>");
      $FORM->selection("kto_klasse",$UVEREIN_DB->liste4selection (
        "bu_klassen", "verein='$VEREIN_NAME'", "kl_nr", "kl_name"));
      $FORM->inhalt("</TD></TR>");
      $FORM->inhalt("</TABLE>");
      $FORM->senden(i4l("msg_erfassen"));
      break;
    case 'KONTO_DELSQL':
      $UVEREIN_DB->get_beleg ("b_konto='$NR' or f_konto='$NR'");
      if ($UVEREIN_DB->sql_lines() <= 0)
      {
        $UVEREIN_DB->sql_befehl 
        ("DELETE FROM bu_konten ".
         " WHERE verein='".$VEREIN_NAME."' AND kto_nr='".$NR."' AND jahr='$AKT_YEAR'");
        $FORM->inhalt($SPECIAL_CALL->change_site ("buchung.php?AUSWAHL=KONTO_ALT"));
      }
      else {
        $FORM->inhalt($SPECIAL_CALL->change_site ("buchung.php?AUSWAHL=BELEGE_1&konto=$NR"));
      }
      break;  
    case 'KONTO_DELETE':
      $AUSWAHL="konto"; oben();
      $qu = $UVEREIN_DB->get_kontodaten($NR); $sql_zeilen = $UVEREIN_DB->sql_lines($qu);
      if ($sql_zeilen > 0)
      {
        $FORM->hide("AUSWAHL","KONTO_DELSQL");
        $FORM->hide("NR",$NR);
        $data = $UVEREIN_DB->sql_line(0,$qu);
        $FORM->inhalt("<TABLE>");
        $FORM->inhalt("<TR><TD>".i4l("data_nr")."</TD><TD><B>$data->kto_nr</B></TD></TR>");
        $FORM->hide("kto_nr",$data->kto_nr);
        $FORM->inhalt("<TR><TD>".i4l("bu_konto")."</TD><TD><B>$data->kto_name</B></TD></TR>");
        $FORM->hide("kto_name",$data->kto_name);
        $FORM->inhalt("<TR><TD>".i4l("bu_k_bereich")."</TD><TD><B>");
        $FORM->inhalt($UVEREIN_DB->sql_1_value("bu_klassen","kl_name",
          "verein='$VEREIN_NAME' AND kl_nr='$data->kto_klasse'"));
        $FORM->inhalt("</B></TD></TR>");
        $FORM->inhalt("<TR><TD>==></TD><TD><B>");
        $FORM->inhalt($UVEREIN_DB->get_kontenname($data->kto_ziel));
        $FORM->inhalt("</B></TD></TR>");
        $FORM->inhalt("</TABLE>");
        $FORM->senden(i4l("txt_loeschen"));
      }
      break;

// -----------------------------------------------------------------------------
// Kostenstellen verwalten
// -----------------------------------------------------------------------------
    case 'KST_ALT':
      oben ();
      liste ("bu_kst", "verein='".$VEREIN_NAME."'", "kst", "kst", "kst_name", "KST");
      break;
    case 'KST_UPSQL':
      $UVEREIN_DB->sql_update ("bu_kst",
                  "kst_name='".$kst_name. "'",
		  "verein='".$VEREIN_NAME."' AND kst='".$kst."'");
      $FORM->inhalt($SPECIAL_CALL->change_site ("buchung.php?AUSWAHL=KST_ALT"));
      break;
    case 'KST_UPDATE':
      $AUSWAHL="KST_ALT"; oben ();
      $UVEREIN_DB->sql_abfrage ("bu_kst", "verein='".$VEREIN_NAME."' AND kst=".$NR,"","");
      if ($UVEREIN_DB->sql_lines() > 0)
      {
        $data = $UVEREIN_DB->sql_line(0);
        $FORM->hide("AUSWAHL","KST_UPSQL");
        $FORM->inhalt("<TABLE>");
        $FORM->inhalt("<TR><TD>".i4l("data_nr")."</TD><TD>".$data->kst."</TD></TR>");
        $FORM->hide("kst",$data->kst);
        $FORM->inhalt("<TR><TD>".i4l("bu_kst")."</TD><TD>");
        $FORM->eingabe("kst_name",80,$data->kst_name);
        $FORM->inhalt("</TD></TR></TABLE>");
        $FORM->senden(i4l("msg_erfassen"));	
      }
      break;
    case 'KST_LIST':
      oben ();
      liste ("bu_kst", "verein='".$VEREIN_NAME."'", "kst", "kst", "kst_name", "KST");
      break;
    case 'KST_NEWSQL':
      $UVEREIN_DB->sql_insert ("bu_kst","verein,kst,kst_name","VALUES ('".$VEREIN_NAME."','".$kst."','".$kst_name."')");
      $FORM->inhalt($SPECIAL_CALL->change_site ("buchung.php?AUSWAHL=KST_ALT"));
      break;
    case 'KST_NEW':
      oben ();
      $FORM->hide("AUSWAHL","KST_NEWSQL");
      $FORM->inhalt("<TABLE>");
      $FORM->inhalt("<TR><TD>".i4l("data_nr")."</TD><TD>");
      $FORM->eingabe("kst");
      $FORM->inhalt("</TD></TR>");
      $FORM->inhalt("<TR><TD>".i4l("bu_kst")."</TD><TD>");
      $FORM->eingabe("kst_name");
      $FORM->inhalt("</TD></TR>");
      $FORM->inhalt("<TABLE>");
      $FORM->senden(i4l("msg_erfassen"));	
      break;
    case 'KST_DELSQL':
      $UVEREIN_DB->sql_befehl ("SELECT * FROM bu_belege".
                               " WHERE b_verein='$VEREIN_NAME' and b_kst='$NR'");
      if ($UVEREIN_DB->sql_lines() <= 0)
      {
        $UVEREIN_DB->sql_befehl 
         ("DELETE FROM bu_kst WHERE verein='".$VEREIN_NAME."' AND kst='".$NR."'");
        $FORM->inhalt($SPECIAL_CALL->change_site ("buchung.php?AUSWAHL=KST_ALT"));
      }
      else {
        $FORM->inhalt($SPECIAL_CALL->change_site ("buchung-kst.php?AUSWAHL=LIST_1&kst=$NR"));
      }
      break;  
    case 'KST_DELETE':
      $AUSWAHL="kst"; oben();
      $UVEREIN_DB->sql_abfrage ("bu_kst", "verein='".$VEREIN_NAME."' AND kst='".$NR."'","","");
      if ($UVEREIN_DB->sql_lines() > 0)
      {
        $FORM->hide("AUSWAHL","KST_DELSQL");
        $FORM->hide("NR",$NR);
        $data = $UVEREIN_DB->sql_line (0);
        $FORM->inhalt("<TABLE>");
        $FORM->inhalt("<TR><TD>".i4l("data_nr")."</TD><TD>$data->kst</TD></TR>");
        $FORM->inhalt("<TR><TD>".i4l("bu_kst")."</TD><TD>$data->kst_name</TD></TR>");
        $FORM->inhalt("</TABLE>");
        $FORM->senden(i4l("txt_loeschen"));
      }
      break;

// -----------------------------------------------------------------------------
// Virtuelle Kontenzuordnung
// -----------------------------------------------------------------------------
    case 'VIRTUAL_SQL':  
      // Beitragskonto
      $UVEREIN_DB->set_vbeitrag ($bei_konto);            // Konto fuer die Buchhaltung
      $UVEREIN_DB->set_vbeitrag ($bei_fkonto,"FINANZ");  // Finanzkonto - Voreinstellung
      $UVEREIN_DB->set_vbeitrag ($bei_kst,"KST");        // Kostenstelle fuer die Buchhaltung
      // Umsatzsteuerbuchungen
      $UVEREIN_DB->set_vsteuer ($ust_konto);             // Konto-Nr. fuer Abschluss
      $UVEREIN_DB->set_vsteuer ($ust_fkonto,"FINANZ");   // Finanzkonto fuer Bilanz
      $UVEREIN_DB->set_vsteuer ($ust_kst,"KST");         // Kostenstelle fuer Steuer-Abrechnung
      // Finanzkonten festlegen
      $UVEREIN_DB->set_vfinanz ($finanz);                // Kontenart
      // Uebertrag und technische Buchungen
      $UVEREIN_DB->set_vuebertrag ($uebertrag_klasse);   // Kontenart
      $UVEREIN_DB->set_vuebertrag ($uebertrag,"FINANZ"); // Finanzkonto
      $UVEREIN_DB->set_vuebertrag ($uebertrag_kst,"KST");// Kostenstelle  
      // Schwebekonto
      $UVEREIN_DB->set_vschwebe ($schwebe);              // Konto-Nr.
      $FORM->inhalt($SPECIAL_CALL->change_site ("buchung.php?AUSWAHL=VIRTUAL_KONTO"));
      break;
    
    case 'VIRTUAL_KONTO':
      $FORM->hide("AUSWAHL","VIRTUAL_SQL");
      $FORM->inhalt("<TABLE>");
      def_virtual_konto (i4l("data_beitraghaben"), 
                         $VIRTUALKONTO["BEITRAG"],
			 "","bei_konto","bei_fkonto", "bei_kst");
      def_virtual_konto (i4l("data_uststeuer"), 
                         $VIRTUALKONTO["UST"],
			 "","ust_konto","ust_fkonto", "ust_kst");
      def_virtual_art (i4l("data_finanzkonto"),$VIRTUALKONTO["FINANZ"],"finanz");
      def_virtual_konto (i4l("bu_uebertrag"), 
                         $VIRTUALKONTO["UEBERTRAG"],
			 "uebertrag_klasse","","uebertrag","uebertrag_kst");
      def_virtual_1_konto (i4l("bu_schwebe"), $VIRTUALKONTO["SCHWEBE"], "schwebe");
      $FORM->inhalt("</TABLE>");
      $FORM->senden(i4l("msg_erfassen"));
      break;
    
    default:
// Tabelle erstellen
      $FORM->inhalt("<TABLE class=\"breite100\"><TR>");
      $FORM->inhalt("<TD id=\"schwarzgrau9links\" width=\"33%\">".i4l("bu_buchung")."</TD>");
	   $FORM->inhalt("<TD id=\"schwarzgrau9links\" width=\"33%\">".i4l("bu_konto")."</TD>");
      $FORM->inhalt("<TD id=\"schwarzgrau9links\" width=\"33%\">".i4l("bu_kst")."</TD></TR>");
      $AR[0][0] = "BUCHUNG_NEW";
      $AR[0][1] = "BUCHUNG_ALT";
      $AR[0][2] = "BUCHUNG_LIST";
      $AR[0][3] = "NEW_YEAR";
      $AR[0][4] = "BILANZ";
      $AR[0][5] = "BELEGE";
      $AR[0][6] = "BELEGE_NR";
      $AR[1][0] = "KONTO_NEW";
      $AR[1][1] = "KONTO_ALT";
      $AR[1][2] = "BELEGE_KONTO";
      $AR[1][3] = "";
      $AR[1][4] = "K_BEREICH";
      $AR[1][5] = "K_BEREICH_LIST";
      $AR[2][0] = "KST_NEW";
      $AR[2][1] = "KST_ALT";
      $AR[2][2] = "KST_LIST";
      $AR[2][3] = "BELEGE_KST";
      $ANZ = max(count($AR[0]),count($AR[1]),count($AR[2]));
      $i = 0; while ($i < $ANZ)
      {
      	$FORM->inhalt("<TR>");
         $ii = 0; while ($ii <= 2) 
         {
           $FORM->inhalt("<TD>");
           if ((count($AR[$ii]) > $i) and ($AR[$ii][$i] != "")) 
           { 
             $FORM->sub_textbutton(i4l("bu_".$AR[$ii][$i]),
                                   array("AUSWAHL" => $AR[$ii][$i]));
           }
           else $FORM->inhalt("&nbsp;");
           $FORM->inhalt("</TD>");
           $ii++;
         }
         $FORM->inhalt("</TR>");
         $i++;
      }      	
      $FORM->inhalt("</TABLE>");
      break;
  }

  echo page_head ('u_verein &copy; under GPL - ' . i4l("menu_title_buchung"));
  echo $FORM->schliessen();
  echo page_ende ();
?>
