<?php
//****h* Finanzbuchhaltung/buchung_kto-beleg.php
// NAME
//   buchung_kto-beleg.php
// BESCHREIBUNG
//   Erstellt eine Aufstellung der Buchungsbelege fuer ein
//   einzelnes Buchungskonto.
//***
include_once "base.inc";
include_once "header.inc";

switch ($AUSWAHL)
{
// -----------------------------------------------------------------------------
// Belegaufstellung zu einem Konto auflisten
// -----------------------------------------------------------------------------
// ***
// *** Konto auswaehlen
// ***
  case 'BELEGE_KONTO':
    $FORM->hide("AUSWAHL","BELEGE_1");
// Ueberschrift
    $FORM->inhalt ("<H3>". i4l("bu_belege_konto") . " $AKT_YEAR</H3>");
// genutzte Buchungskonten abfragen
    $UVEREIN_DB->sql_befehl("SELECT b_konto".
                            "  FROM bu_belege".
                            " WHERE b_verein='$VEREIN_NAME'".
                            "   AND b_jahr='$AKT_YEAR'".
                            " GROUP BY b_konto");
    $i = 0; while ($i < $UVEREIN_DB->sql_lines())
    {
       $data = $UVEREIN_DB->sql_line($i); $i++;
       $KARR[$data->b_konto] = 1;
    }
// genutzte Finanzkonten abfragen
    $UVEREIN_DB->sql_befehl("SELECT f_konto".
                            "  FROM bu_belege".
                            " WHERE b_verein='$VEREIN_NAME'".
                            "   AND b_jahr='$AKT_YEAR'".
                            " GROUP BY f_konto");
    $i = 0; while ($i < $UVEREIN_DB->sql_lines())
    {
       $data = $UVEREIN_DB->sql_line($i); $i++;
       $KARR[$data->f_konto] = 1;
    }
// Beitragskonto ergaenzen
    $KARR[$UVEREIN_DB->get_vbeitrag()] = 1;
// Array mit allen Konten erstellen
    $SEL = $UVEREIN_DB->konten_liste4selection();
// Array auf genutzte Konten reduzieren
    foreach ($KARR as $key => $inhalt) $SARR[$key] = $SEL[$key];
    natcasesort ($SARR);
// Liste anzeigen
    $FORM->inhalt ("<strong>".i4l("data_buchungskonto")."</strong>&nbsp;");
    $FORM->selection("konto",$SARR);
// Ergebnis absenden
    $FORM->inhalt("<BR>");
    $FORM->senden(i4l("call_liste"));
    break;
// *** 
// *** Belege anzeigen
// ***
  case 'BELEGE_1':
    $konto = $FORM->returnglobal("konto",0);
    if ($konto == "-1")
      $FORM->inhalt($SPECIAL_CALL->change_site ("buchung.php?AUSWAHL=BELEGE_KONTO"));
// Ruecksprung merken
    cookie_setzen ("RETURN","buchung_kto-beleg.php?AUSWAHL=BELEGE_1&konto=$konto","");
// Ueberschrift
    $FORM->inhalt("<TABLE><TR>");     
    $FORM->inhalt ("<TD><H1 id=\"links\">".
                   $UVEREIN_DB->get_kontenname($konto).
                   " $AKT_YEAR</H1></TD>");
// PDF anbieten
    $FORM->inhalt("<TD>");
    $FORM->sub_grafikbutton("../icons/pdf.png",
                            array("ART" => "KONTO", 
                                  "WERT" => $konto),
                            "print.belege.php");
    $FORM->inhalt("</TD></TR></TABLE>");
// Tabelle erstellen
    $FORM->inhalt ("<TABLE class=\"breite100\" border=1>");
    $FORM->inhalt ("<TR><TH>".i4l("aktion")."</TH>");
    $FORM->inhalt ("<TH>".i4l("data_nr")."</TH>");
    $FORM->inhalt ("<TH>".i4l("data_datum")."</TH>");
    $FORM->inhalt ("<TH>".i4l("data_konto")."</TH>");
    $FORM->inhalt ("<TH>".i4l("data_finanzkonto")."</TH>");
    $FORM->inhalt ("<TH>".i4l("data_buchungsbetrag")."</TH>");
    $FORM->inhalt ("<TH>".i4l("data_uststeuer")."</TH>");
    $FORM->inhalt ("<TH>".i4l("data_buchungstext")."</TH>");
    $FORM->inhalt ("<TH>".i4l("bu_kst")."</TH></TR>");
// Summen initialisieren
    $BETRAG = 0.00;
    $STEUER = 0.00;
// Marker fuer Finanzkonten
    $FinanzKonto = ($UVEREIN_DB->get_kontenklasse($konto) == $UVEREIN_DB->get_vfinanz())
                 ? 1
                 : -1;
// Belege anzeigen
    $FARBE = "ID=\"grau\"";
    $UVEREIN_DB->get_beleg ("(b_konto='$konto' OR f_konto='$konto')",
                            "b_datum,b_nr,b_text");
    $i = 0; while ($i < $UVEREIN_DB->sql_lines())
    {
      $data = $UVEREIN_DB->sql_line($i); $i++;
      $FARBE = ($FARBE == "") ? "ID=\"grau\"" : "";
      $FORM->inhalt ("<TR $FARBE><TD>");
// Edit-Button mit Ziel verbinden
      $X = array ("AUSWAHL" => "BUCHUNG_UPDATE", "NR" => $data->idx);
	   $FORM->sub_grafikbutton("../icons/edit.png",$X,"buchung.php");
	   $FORM->inhalt("</TD>");
// Belegzeile
	   $FORM->inhalt("<TD>$data->b_nr</TD>");
	   $FORM->inhalt("<TD>$data->b_datum</TD>");
	   $FORM->inhalt("<TD>".$UVEREIN_DB->get_kontenname($data->b_konto)."</TD>");
	   $FORM->inhalt("<TD>".$UVEREIN_DB->get_kontenname($data->f_konto)."</TD>");
	   $buchung = ($data->b_konto == $konto) ? ($data->b_betrag * -1) : $data->b_betrag;
	   $buchung *= $FinanzKonto;
	   $FORM->inhalt("<TD id=\"rechts\">".
	                 $FORM->numeingabe2anzeige($buchung,2)."</TD>");
      $BETRAG += $buchung;
      $FORM->inhalt("<TD id=\"rechts\">".
                    $FORM->numeingabe2anzeige($data->b_steuer,2)."</TD>");
	   $STEUER += $data->b_steuer;
	   $FORM->inhalt("<TD>$data->b_text</TD>");
	   $FORM->inhalt("<TD>".$UVEREIN_DB->sql_1_value("bu_kst","kst_name",
	                        "verein='$VEREIN_NAME' AND kst='$data->b_kst'").
	                 "</TD></TR>");
    }
// Beitragskonto aus Mitgliederverwaltung ergaenzen
    $KONTO = $UVEREIN_DB->get_kontenname ($UVEREIN_DB->get_vbeitrag());
    $KST   = $UVEREIN_DB->sql_1_value("bu_kst","kst_name","verein='$VEREIN_NAME'".
             " AND kst='".$UVEREIN_DB->get_vbeitrag("KST")."'");
    $UVEREIN_DB->get_beitraege(); $i = 0; while ($i < $UVEREIN_DB->sql_lines())
    {
      $data = $UVEREIN_DB->sql_line($i); $i++;
      if (($data->f_konto == $konto) or ($konto == $UVEREIN_DB->get_vbeitrag()))
      {
        $FARBE = ($FARBE == "") ? "ID=\"grau\"" : "";
        $FORM->inhalt ("<TR $FARBE><TD>&nbsp;</TD><TD>&nbsp;</TD>");
        $FORM->inhalt("<TD>31.12.$AKT_YEAR</TD>");
        $FORM->inhalt("<TD>$KONTO</TD>");
        $FORM->inhalt("<TD>".$UVEREIN_DB->get_kontenname($data->f_konto)."</TD>");
        $FORM->inhalt("<TD id=\"rechts\">".$FORM->numeingabe2anzeige($data->haben,2)."</TD>");
        $BETRAG += $data->haben;
        $FORM->inhalt("<TD>&nbsp;</TD>");
        $FORM->inhalt("<TD>".i4l("MENU_TITLE_BEITRAG")."</TD>");
        $FORM->inhalt("<TD>$KST</TD></TR>");
      }
    }
// Konten einbinden, die auf das gewaehlte Konto abgeschlossen werden
    $qu = $UVEREIN_DB->sql_befehl("SELECT kto_nr FROM bu_konten".
                                  " WHERE verein='$VEREIN_NAME'".
                                  "   AND jahr='$AKT_YEAR'".
                                  "   AND kto_ziel='$konto'");
    if ($UVEREIN_DB->sql_lines() > 1)
    {
      $i = 0; while ($i < $UVEREIN_DB->sql_lines($qu))
      {
        $data = $UVEREIN_DB->sql_line($i,$qu); $i++;
     	  if ($data->kto_nr != $konto)
        {
          $KONTO = $data->kto_nr; 
          $MULTI = ($UVEREIN_DB->get_kontenklasse($KONTO)==$UVEREIN_DB->get_vfinanz())
                 ? -1 : 1;
          $data->betrag = $UVEREIN_DB->sum_konto($KONTO) * $MULTI;
          if ($data->betrag <> 0.00)
          {
            $FARBE = ($FARBE == "") ? "ID=\"grau\"" : "";
            $FORM->inhalt ("<TR $FARBE><TD>");
// Edit-Button mit Ziel (= abgeschlossenes Konto) verbinden
    	      $X = array ("AUSWAHL" => "BELEGE_1", "konto" => $KONTO);
	         $FORM->sub_grafikbutton("../icons/edit.png",$X,"buchung.php");
	         $FORM->inhalt("</TD><TD>&nbsp;</TD>");
            $FORM->inhalt("<TD>31.12.$AKT_YEAR</TD>");
            $FORM->inhalt("<TD>&nbsp;</TD>");
            $FORM->inhalt("<TD>&nbsp;</TD>");
            $FORM->inhalt("<TD id=\"rechts\">".
                          $FORM->numeingabe2anzeige($data->betrag,2)."</TD>");
            $BETRAG += $data->betrag;
            $FORM->inhalt("<TD id=\"rechts\">&nbsp;</TD>");
            $FORM->inhalt("<TD colspan=\"2\">".
                          $UVEREIN_DB->get_kontenname($KONTO).
                          "</TD>");
            $FORM->inhalt("</TR>");
	       }
        }
      }
    }
// Summen ausgeben
    $FORM->inhalt("<TR ID=\"gelb\"><TD colspan=\"5\">&nbsp;</TD>");
    $FORM->inhalt("<TD id=\"rechts\">".$FORM->numeingabe2anzeige($BETRAG,2)."</TD>");
    $FORM->inhalt("<TD id=\"rechts\">".$FORM->numeingabe2anzeige($STEUER,2)."</TD>");
    $FORM->inhalt("<TD colspan=\"2\">&nbsp;</TD></TR>");
    $FORM->inhalt("<TR><TD colspan=\"5\">&nbsp;</TD>");
    $FORM->inhalt("<TD id=\"rechts\"><strong>".
                  $FORM->numeingabe2anzeige($BETRAG+$STEUER,2).
                  "</strong></TD>");
    $FORM->inhalt("<TD id=\"rechts\">&nbsp;</TD>");
    $FORM->inhalt("<TD colspan=\"2\">&nbsp;</TD></TR>");
// Tabelle schliessen
    $FORM->inhalt("</TABLE>");
    break;
}

echo page_head ("");
echo $FORM->schliessen();
echo page_ende();
?>