<?php
//****h* Finanzbuchhaltung/change_year.inc
// NAME
//   change_year.inc
//   Die Include-Datei wird eingebunden, wenn ein Jahreswechsel
//   stattfindet.
// ABHAENGIG VON
//   buchung.php
// GENUTZT VON
//   buchung.php
//****

include_once "base.inc";

$datum    = $FORM->returnwert("datum");
$INSTALL  = strtoupper($FORM->returnwert("INSTALL"));
$jahr     = $FORM->returnglobal("jahr");
$pruef    = $FORM->returnwert("pruef");
$schluss  = $FORM->returnwert("schluss");
$waehrung = $FORM->returnwert("waehrung");

switch ($INSTALL)
{
  case 'YES' :
    $UVEREIN_DB->TESTMODE = true;
    // +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
    // Neues Jahr in der Datenbank anlegen oder Daten aendern
    // +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
    $UVEREIN_DB->sql_abfrage ("bilanz","verein='$VEREIN_NAME' AND jahr='$jahr'","","");
    $qu = $UVEREIN_DB->qu;
    $sql_zeilen = $UVEREIN_DB->sql_lines($qu);
    // -------------------------------------------------------------------------
    // Existiert das Jahr bereits ?
    // -------------------------------------------------------------------------
    if ($sql_zeilen < 1)
    {
    // -------------------------------------------------------------------------
    // --> Insert
    // -------------------------------------------------------------------------
      $UVEREIN_DB->sql_befehl
       ("INSERT INTO bilanz (verein,jahr,summe)".
        " VALUES ('$VEREIN_NAME','$jahr','0')");
    }
    // -------------------------------------------------------------------------
    // Konten in neues Jahr eintragen
    // -------------------------------------------------------------------------
    // Schwebekonto
    $XKTO = $UVEREIN_DB->get_vschwebe();
    $qu = $UVEREIN_DB->get_kontodaten ($XKTO);
    $data = $UVEREIN_DB->sql_line(0);
    $UVEREIN_DB->konto_eintragen ($XKTO,$data->kto_name,$data->kto_klasse,$XKTO,$jahr);
    // Beitragskonto
    $XKTO = $UVEREIN_DB->get_vbeitrag("KONTO");
    $qu = $UVEREIN_DB->get_kontodaten ($XKTO);
    $data = $UVEREIN_DB->sql_line(0);
    $UVEREIN_DB->konto_eintragen ($XKTO,$data->kto_name,$data->kto_klasse,$XKTO,$jahr);
    // Vorsteuer-Konto
    $XKTO = $UVEREIN_DB->get_vsteuer("KONTO");
    $qu = $UVEREIN_DB->get_kontodaten ($XKTO);
    $data = $UVEREIN_DB->sql_line(0);
    $UVEREIN_DB->konto_eintragen ($XKTO,$data->kto_name,$data->kto_klasse,$XKTO,$jahr);
    $XKTO = $UVEREIN_DB->get_vsteuer("FINANZ");
    $qu = $UVEREIN_DB->get_kontodaten ($XKTO);
    $data = $UVEREIN_DB->sql_line(0);
    $UVEREIN_DB->konto_eintragen ($XKTO,$data->kto_name,$data->kto_klasse,$XKTO,$jahr);
    // Konto fuer den Uebertrag
    $XKTO = $UVEREIN_DB->get_vuebertrag("FINANZ");
    $qu = $UVEREIN_DB->get_kontodaten ($XKTO);
    $data = $UVEREIN_DB->sql_line(0);
    $UVEREIN_DB->konto_eintragen ($XKTO,$data->kto_name,$data->kto_klasse,$XKTO,$jahr);
    // Alle anderen Konten
    $qu = $UVEREIN_DB->konten_liste ();
    $i = 0; while ($i < $UVEREIN_DB->sql_lines($qu))
    {
      $data = $UVEREIN_DB->sql_line($i,$qu); $i++;
      $UVEREIN_DB->get_beleg ("b_konto='$data->kto_nr' OR f_konto='$data->kto_nr'");
      if ($UVEREIN_DB->sql_lines() > 0)
      {
        // genutztes Konto
        $UVEREIN_DB->sql_befehl("SELECT * FROM bu_konten".
                                " WHERE verein='$VEREIN_NAME'".
                                "   AND kto_nr='$data->kto_nr'".
                                "   AND jahr='$AKT_YEAR'");
        $kto = $UVEREIN_DB->sql_line(0);
        $UVEREIN_DB->konto_eintragen ($kto->kto_nr,
                                      $kto->kto_name,
                                      $kto->kto_klasse,
                                      $kto->kto_ziel,
                                      $jahr);
        // Zielkonto nicht vergessen
        $UVEREIN_DB->sql_befehl("SELECT * FROM bu_konten".
                                " WHERE verein='$VEREIN_NAME'".
                                "   AND kto_nr='$data->kto_ziel'".
                                "   AND jahr='$AKT_YEAR'");
        $kto = $UVEREIN_DB->sql_line(0);
        $UVEREIN_DB->konto_eintragen ($kto->kto_nr,
                                      $kto->kto_name,
                                      $kto->kto_klasse,
                                      $kto->kto_ziel,
                                      $jahr);
      }
    }
    // -------------------------------------------------------------------------
    // --> Update
    // -------------------------------------------------------------------------
    $datum = ($datum == "") ? date ("Y-m-d") : $datum;
    $UVEREIN_DB->sql_befehl
     ("UPDATE bilanz SET waehrung='$waehrung'".
                       ",schlusstxt='$schluss'".
                       ",prueftxt='$pruef'".
                       ",datum='$datum'".
   	" WHERE verein='$VEREIN_NAME' AND jahr='$jahr'");
    // -------------------------------------------------------------------------
    // Welche Jahre existieren in der Buchfuehrung ?
    // Array mit den vorhandenen Jahren anlegen !
    // -------------------------------------------------------------------------
    $qu = $UVEREIN_DB->sql_befehl
          ("SELECT b_jahr FROM bu_belege WHERE b_verein='$VEREIN_NAME' GROUP BY b_jahr");
    $i = 0;
    while ($i < $UVEREIN_DB->sql_lines ($qu))
    {
      $FETCH_DATA = $UVEREIN_DB->sql_line($i,$qu);
      $J_ahresArray[$i] = $FETCH_DATA->b_jahr;
      $i++;
    }
    $J_ahresMax = count ($J_ahresArray);
    // -------------------------------------------------------------------------
    // Ist das neue Jahr bereits vorhanden ?
    // Wenn nein, in Array eintragen
    // -------------------------------------------------------------------------
    if (!in_array($jahr,$J_ahresArray))
    {
      $J_ahresArray[$J_ahresMax] = $jahr;
      $J_ahresMax = count($J_ahresArray);
    }
    // -------------------------------------------------------------------------
    // Jahreszahlen sortieren
    // -------------------------------------------------------------------------
    sort ($J_ahresArray,SORT_REGULAR);
    reset ($J_ahresArray);
    // -------------------------------------------------------------------------
    // Finanzkonten ermitteln
    // -------------------------------------------------------------------------
    $qu = $UVEREIN_DB->sql_befehl
          ("SELECT konto FROM virtual_konto".
           " WHERE verein='$VEREIN_NAME' AND art='".$VIRTUALKONTO['FINANZ']."'");
    $FETCH_DATA = $UVEREIN_DB->sql_line(0,$qu); $x = $FETCH_DATA->konto;
    $qu = $UVEREIN_DB->konten_liste ($x);
    $i = 0;
    while ($i < $UVEREIN_DB->sql_lines ($qu))
    {
      $FETCH_DATA = $UVEREIN_DB->sql_line($i,$qu);
      $art                       = $FETCH_DATA->kto_nr;
      $F_inanz_Namen_Array[$art] = $FETCH_DATA->kto_name;
      $F_inanz_InhaltArray[$art] = 0;
      $i++;
    }
    $F_inanz_Konto_Array = array_keys($F_inanz_Namen_Array);
    // -------------------------------------------------------------------------
    // Uebertrag vorbereiten
    // -------------------------------------------------------------------------
    $qu = $UVEREIN_DB->sql_befehl
          ("SELECT * FROM virtual_konto".
           " WHERE verein='$VEREIN_NAME' AND art='".$VIRTUALKONTO['UEBERTRAG']."'");
    $FETCH_DATA = $UVEREIN_DB->sql_line(0,$qu);
    $U_ebertrag_konto = $FETCH_DATA->fkonto;
    $U_ebertrag_kst   = $FETCH_DATA->kst;
    // -------------------------------------------------------------------------
    // Vorsteuer-Konto ermitteln
    // -------------------------------------------------------------------------
    $qu = $UVEREIN_DB->sql_befehl
          ("SELECT * FROM virtual_konto".
           " WHERE verein='$VEREIN_NAME' AND art='".$VIRTUALKONTO['UST']."'");
    $FETCH_DATA = $UVEREIN_DB->sql_line(0,$qu);
    $S_teuer_konto = $FETCH_DATA->fkonto;
    // -------------------------------------------------------------------------
    // Existiert nach dem Jahreswechsel mehr als 1 Jahr oder ist nur ein Jahr
    // vorhanden ?
    // -------------------------------------------------------------------------
    if ($J_ahresMax > 1)
    {
      // -----------------------------------------------------------------------
      // Alten bertrag lschen
      // -----------------------------------------------------------------------
      $i = 1;
      while ($i < $J_ahresMax)
      {
        $UVEREIN_DB->sql_befehl
         ("DELETE FROM bu_belege".
	       " WHERE b_verein='$VEREIN_NAME' AND b_jahr='$J_ahresArray[$i]'".
		    "   AND b_nr='1'");
        $i++;
      }
      // -----------------------------------------------------------------------
      // Neuen Uebertrag berechnen und eintragen
      // -----------------------------------------------------------------------
      $i = 0;
      while ($i < $J_ahresMax)
      {
        // ---------------------------------------------------------------------
	// In Kontostand auf 0 setzen
	// ---------------------------------------------------------------------
        $ii=0; while ($ii < count($F_inanz_Namen_Array))
        {
          $x = $F_inanz_Konto_Array[$ii];
          $F_inanz_InhaltArray[$x] = 0;
          $ii++;
        }
        // ---------------------------------------------------------------------
	// Finanzkonten aus den Buchungen filtern und Wert eintragen
	// ---------------------------------------------------------------------
        $qu = $UVEREIN_DB->sql_befehl
              ("SELECT f_konto, sum(b_betrag) AS summe FROM bu_belege".
	            " WHERE b_verein='$VEREIN_NAME' AND b_jahr='$J_ahresArray[$i]'".
			      " GROUP BY f_konto");
	$ii = 0;
	while ($ii < $UVEREIN_DB->sql_lines($qu))
	{
	  $FETCH_DATA = $UVEREIN_DB->sql_line($ii,$qu); $test = $FETCH_DATA->f_konto;
	  if (in_array($test,$F_inanz_Konto_Array))
	  {
	    $x = $F_inanz_Konto_Array[array_search($test,$F_inanz_Konto_Array)];
	    $F_inanz_InhaltArray[$x] = $FETCH_DATA->summe;
	  }
	  $ii++;
	}
        // ---------------------------------------------------------------------
	// Buchungskonten aus den Buchungen filtern und Wert eintragen
	// ---------------------------------------------------------------------
        $qu = $UVEREIN_DB->sql_befehl
              ("SELECT b_konto, sum(b_betrag) AS summe FROM bu_belege".
	            " WHERE b_verein='$VEREIN_NAME' AND b_jahr='$J_ahresArray[$i]'".
			      " GROUP BY b_konto");
	$ii = 0;
	while ($ii < $UVEREIN_DB->sql_lines($qu))
	{
	  $FETCH_DATA = $UVEREIN_DB->sql_line($ii,$qu); $test = $FETCH_DATA->b_konto;
	  if (in_array($test,$F_inanz_Konto_Array))
	  {
	    $x = $F_inanz_Konto_Array[array_search($test,$F_inanz_Konto_Array)];
	    $F_inanz_InhaltArray[$x] -= $FETCH_DATA->summe;
	  }
	  $ii++;
	}
        // ---------------------------------------------------------------------
	// Vorsteuerbuchungen  aus den Buchungen filtern und Wert eintragen
	// ---------------------------------------------------------------------
        if (in_array($S_teuer_konto,$F_inanz_Konto_Array))
        {
          $qu = $UVEREIN_DB->sql_befehl
                ("SELECT sum(b_steuer) AS summe FROM bu_belege".
                 " WHERE b_verein='$VEREIN_NAME' AND b_jahr='$J_ahresArray[$i]'");
          $FETCH_DATA = $UVEREIN_DB->sql_line(0,$qu);
          $F_inanz_InhaltArray[$S_teuer_konto] = $FETCH_DATA->summe;
          $qu = $UVEREIN_DB->sql_befehl
                ("SELECT sum(b_betrag) + sum(b_steuer) AS summe FROM bu_belege".
	              " WHERE b_verein='$VEREIN_NAME'".
			        "   AND b_jahr='$J_ahresArray[$i]'".
			        "   AND b_konto='$S_teuer_konto'");
          $FETCH_DATA = $UVEREIN_DB->sql_line(0,$qu);
          $F_inanz_InhaltArray[$S_teuer_konto] -= $FETCH_DATA->summe;
          $qu = $UVEREIN_DB->sql_befehl
                ("SELECT sum(b_betrag) + sum(b_steuer) AS summe FROM bu_belege".
	              " WHERE b_verein='$VEREIN_NAME'".
                 "   AND b_jahr='$J_ahresArray[$i]'".
                 "   AND f_konto='$S_teuer_konto'");
          $FETCH_DATA = $UVEREIN_DB->sql_line(0,$qu);
          $F_inanz_InhaltArray[$S_teuer_konto] += $FETCH_DATA->summe;
	}
	// ---------------------------------------------------------------------
	// Beitragsbuchungen eintragen
	// ---------------------------------------------------------------------
        $qu = $UVEREIN_DB->sql_befehl
              ("SELECT f_konto, sum(haben) AS summe FROM beitrag".
	            " WHERE v_name='$VEREIN_NAME' AND jahr='$J_ahresArray[$i]'".
               " GROUP BY f_konto");
	$ii = 0;
	while ($ii < $UVEREIN_DB->sql_lines($qu))
	{
	  $FETCH_DATA = $UVEREIN_DB->sql_line($ii,$qu); $test = $FETCH_DATA->f_konto;
	  if (in_array($test,$F_inanz_Konto_Array))
	  {
	    $x = $F_inanz_Konto_Array[array_search($test,$F_inanz_Konto_Array)];
	    $F_inanz_InhaltArray[$x] += $FETCH_DATA->summe;
	  }
	  $ii++;
	}
   // ---------------------------------------------------------------------
	// In Bilanzkonto eintragen
	// ---------------------------------------------------------------------
   $ii=0; $KTO_STAND = 0; while ($ii < count($F_inanz_Namen_Array))
   {
     $x = $F_inanz_Konto_Array[$ii];
  	  $KTO_STAND += $F_inanz_InhaltArray[$x];
	  $ii++;
   }
	$KTO_STAND *= 100;
   $UVEREIN_DB->sql_befehl
               ("UPDATE bilanz SET summe='$KTO_STAND'".
   		       " WHERE verein='$VEREIN_NAME' AND jahr='$J_ahresArray[$i]'");
   $i++;
   // ---------------------------------------------------------------------
	// In Buchhaltung eintragen falls nicht lfd. Jahr
	// ---------------------------------------------------------------------
   $FORM->inhalt("<HR>i = $i / J_ahresMax = $J_ahresMax<BR>");
	if ($i < $J_ahresMax)
	{
     $ii=0; while ($ii < count($F_inanz_Namen_Array))
     {
       $x = $F_inanz_Konto_Array[$ii];
  	    if ($F_inanz_InhaltArray[$x] != 0.00)
	    {
	      $EINTRAG = array ("b_nr" => "1", "b_datum" => "$J_ahresArray[$i]-01-01",
	                        "b_konto" => $U_ebertrag_konto, "f_konto" => $x,
	                        "b_betrag" => $F_inanz_InhaltArray[$x], "b_steuer" => "0",
	                        "b_text" => i4l("txt_uebertrag"), "b_kst" => $U_ebertrag_kst);
	      $UVEREIN_DB->beleg_insert ($EINTRAG,$J_ahresArray[$i]);
	    }
       $ii++;
     }
	}
      }
    }
    $FORM->inhalt("<HR>JAHR = $AKT_YEAR<HR>");
    $FORM->inhalt($SPECIAL_CALL->reload("home.php?AUSWAHL=$AUSWAHL&AKT_YEAR=$jahr"));
    break;

  case 'EDIT' :
    $FORM->hide("AUSWAHL",$AUSWAHL);
    $FORM->hide("INSTALL","YES");
    $FORM->inhalt("<TABLE>");
    $UVEREIN_DB->sql_abfrage ("bilanz","verein='$VEREIN_NAME' AND jahr='$jahr'","","");
    $qu = $UVEREIN_DB->qu;
    $sql_zeilen = $UVEREIN_DB->sql_lines($qu);
    if ($sql_zeilen > 0)
    {
      $data = $UVEREIN_DB->sql_line(0,$qu);
      $FORM->hide("jahr",$data->jahr);
      $FORM->inhalt("<TR><TD>".i4l("bu_jahr")."</TD><TD>$data->jahr</TD></TR>");
    }
    else
    {
      $FORM->inhalt("<TR><TD>".i4l("bu_jahr")."</TD><TD>");
        $FORM->eingabe("jahr",80,date("Y"));
      $FORM->inhalt("</TD></TR>");
      $data->waehrung = "";
      $data->schlusstxt = "";
      $data->prueftxt = "";
      $data->datum = "31.12." . date("Y");
    }
    $FORM->inhalt("<TR><TD>".i4l("txt_waehrung")."</TD><TD>");
      $FORM->eingabe("waehrung",80,$data->waehrung);
    $FORM->inhalt("</TD></TR>");
    $FORM->inhalt("<TR><TD>".i4l("schluss_txt")."</TD><TD>");
      $FORM->feld("schluss",80,10,$data->schlusstxt);
    $FORM->inhalt("</TD></TR>");
    $FORM->inhalt("<TR><TD>".i4l("pruef_txt")."</TD><TD>");
      $FORM->feld("pruef",80,10,$data->prueftxt);
    $FORM->inhalt("</TD></TR>");
    $FORM->inhalt("<TR><TD>".i4l("abschlussdatum")."</TD><TD>");
      $FORM->eingabe("datum",80,$data->datum);
    $FORM->inhalt("</TD></TR>");
    $FORM->inhalt("<TR><TD colspan=\"2\">&nbsp</TD></TR>");
    $FORM->inhalt("</TABLE>");
    $FORM->senden(i4l("msg_erfassen"));
    break;

  default:
    $FORM->inhalt("<TABLE>");
    $FORM->hide("AUSWAHL",$AUSWAHL);
    $FORM->hide("INSTALL","EDIT");
    $FORM->senden(i4l("msg_auswaehlen"));
    $FORM->inhalt("<TR><TD width=\"15%\">");
    $FORM->radio_button ("jahr","NEW",i4l("new_year"),"YES");
    $FORM->inhalt("</TD><TD>&nbsp;</TD><TD>&nbsp;</TD><TD>&nbsp;</TD><TD>&nbsp;</TD></TR>");
    $UVEREIN_DB->sql_abfrage ("bilanz","verein='$VEREIN_NAME'","jahr DESC","");
    $qu = $UVEREIN_DB->qu; $sql_zeilen = $UVEREIN_DB->sql_lines($qu);
    if ($sql_zeilen > 0)
    {
      $sql_zaehler=0; while ($sql_zaehler < $sql_zeilen)
      {
	     $data = $UVEREIN_DB->sql_line($sql_zaehler,$qu);
	     $FORM->inhalt("<TR><TD style=\"font-weight:bold\" width=\"15%\">");
	     $FORM->radio_button ("jahr",$data->jahr,$data->jahr,"");
	     $FORM->inhalt("</TD><TD width=\"10%\">$data->datum</TD>");
	     $FORM->inhalt("<TD width=\"15%\">" .
	       $FORM->numeingabe2anzeige(($data->summe / 100),2)." $data->waehrung</TD>");
	     $FORM->inhalt("<TD width=\"30%\">$data->schlusstxt</TD>");
	     $FORM->inhalt("<TD width=\"30%\">$data->prueftxt</TD></TR>");
	     $FORM->inhalt("<TR><TD colspan=\"5\"><HR></TD></TR>");
	     $sql_zaehler++;
      }
    }
    $FORM->inhalt("<TR><TD width=\"15%\">");
    $FORM->radio_button ("jahr","NEW",i4l("new_year"),"YES");
    $FORM->inhalt("</TD><TD>&nbsp;</TD><TD>&nbsp;</TD><TD>&nbsp;</TD><TD>&nbsp;</TD></TR>");
    $FORM->inhalt("<TR><TD colspan=\"5\"><HR></TD></TR>");
    $FORM->inhalt("</TABLE>");
    $FORM->senden(i4l("msg_auswaehlen"));
    break;
}

?>