<?php

include_once "base.inc";

index_anzeige ();

switch (strtolower(cookie_lesen("LANGUAGE")))
{
  case 'de' : $doc_lang = "-de"; break;
  default   : $doc_lang = "-de"; break;
}

switch (cookie_lesen ("MENU_NAME"))
{
  case 'buchung' : $filename = "buchhaltung$doc_lang.php";	break;
  case 'einstellung' : $filename = "einstellung$doc_lang.php";	break;
  case 'main' : $filename = "hauptmenue$doc_lang.php";	break;
  case 'mitglieder' : $filename = "mitglieder$doc_lang.php";	break;
  case 'mitglieder_listen' : $filename = "mitglieder$doc_lang.php";	break;
  case 'sichern' : $filename = "sichern$doc_lang.php";	break;
  case 'verein' : $filename = "verein$doc_lang.php"; 	break;
  default : $filename = "uverein$doc_lang.php";	break;
}

switch (cookie_lesen ("HELP_POS"))
{
  // ------------------------------------------------------
  // Neuen Verein anlegen
  // ------------------------------------------------------
  case 'BEISPIEL_VEREIN_NEU' :   
    $filename = "beispiele$doc_lang.html#BEISPIEL_UVEREIN_NEU"; 
    break;
  // ------------------------------------------------------
  // Eigenbeleg erstellen
  // ------------------------------------------------------
  case 'BELEG.PHP':
    $filename = "buchhaltung.beleg$doc_lang.php";
    break;
  // ------------------------------------------------------
  // Neue Buchung anlegen
  // ------------------------------------------------------
  case 'BUCHUNG.PHP_BUCHUNG_NEW':
    $filename = "buchhaltung.neu$doc_lang.php";
    break;
  // ------------------------------------------------------
  // Bestehende Buchung bearbeiten 
  // ------------------------------------------------------
  case 'BUCHUNG.PHP_BUCHUNG_ALT':
  case 'BUCHUNG.PHP_BUCHUNG_UPDATE':
    $filename = "buchhaltung.aendern$doc_lang.php";
    break;
  // ------------------------------------------------------
  // Bilanz anzeigen
  // ------------------------------------------------------
  case 'BUCHUNG.PHP_BILANZ':
    $filename = "buchhaltung.bilanz$doc_lang.php";
    break;
  //
  // alle anderen
  //
  default: 
    $HELP_POS = cookie_lesen("HELP_POS");
    $filename = $UVEREIN_HELPSTRING["$HELP_POS"];
    $filename = (empty($filename)) ? "de.user-manuel.html" : $filename;
    break;
}

echo $SPECIAL_CALL->change_site("../doc/html/$filename");
?>
