#!/bin/bash

# -------------------------------------------------------------------
# i4l: Kommandos aus Sprachdatei herausfiltern
# -------------------------------------------------------------------
rm -f modul.listing *~
for U_niq in `cat language-modul.c.lang | cut -f1` ; do
  echo ${U_niq} >> modul.listing
done

# -------------------------------------------------------------------
# Standard-Sprachdatei als Muster fuer alle Sprachdateien bereit
# stellen
# -------------------------------------------------------------------
cp language-modul.c.lang /tmp/muster.lang

# -------------------------------------------------------------------
# Sprachdateien ergaenzen, falls Schluesselwort noch nicht uebersetzt
# ist
# -------------------------------------------------------------------
for U_niq in `cat modul.listing` ; do
  for modul in `ls *.lang* ` ; do
    if [ -z "`grep ${U_niq} ${modul}`" ]; then
      grep ${U_niq} /tmp/muster.lang >> ${modul}
    fi
  done
done

# -------------------------------------------------------------------
# Sprachdateien sortieren
# -------------------------------------------------------------------
for modul in `ls lang* ` ; do
  sort -f ${modul} | uniq > /tmp/uverein.sorting
  sed -f umlaute.sed /tmp/uverein.sorting > ${modul}
done

# -------------------------------------------------------------------
# aufraeumen
# -------------------------------------------------------------------
rm -f /tmp/uverein.sorting /tmp/muster.lang
