<?php
//****h* /special.inc
// KLASSE
//   cl_special
//   Diese Klasse stellt verschiedene Funktionen fuer den Seitenaubau, Seiten-
//   wechsel usw. zur Verfuegung
// HISTORIE
//   29.11.2007 Klasse erstellt
// BUGS
//   keine bekannt
//****

//****c* special.inc/cl_special ()
//****
class cl_special
{
//****c* special.inc/cl_special
// FUNCTION
//   cl_special ()
//   Konstruktor der Klasse. Es sind keine Parameter vorhanden.
// BEISPIEL
//   $SPEZIAL = new cl_special ();
//****
  function cl_special ()
  {
  }
  
//****f* special.inc/change_site (Neue Seite)
// FUNCTION
//   change_site ($site)
//     $site   Seite, die geladen werden soll
//
//   Laedt die gewuenschte Seite in den aktuellen Frame.
// ERGEBNIS
//   Gibt den Befehlscode fuer die Anzeige zurueck.
// BEISPIEL
//   $EXTRA = new cl_special ();
//   echo $EXTRA->change_site ("http://uverein.sourceforge.net");
//****
  function change_site ($site)
  {
    return ("<SCRIPT language=\"JavaScript\">".
            "self.location.href=\"$site\";".
	    "</SCRIPT>");
  }

//****f* special.inc/reload (Neue Seite) 
// FUNCTION
//   reload ($site)
//     $site   Seite, die geladen werden soll
//
//   Laedt die gewuenschte Seite und ersetzt damit die komplette aktuelle Seite
// ERGEBNIS
//   Gibt den Befehlscode fuer die Anzeige zurueck.
// BEISPIEL
//   $EXTRA = new cl_special ();
//   echo $EXTRA->reload ("http://uverein.sourceforge.net");
//****
  function reload ($site)
  {
    return ("<SCRIPT language=\"JavaScript\">".
            "parent.location.href=\"$site\";".
	    "</SCRIPT>");
  }

//****f* special.inc/change_frame (Seite, Frame)
// FUNCTION
//   change_frame ($site, $frame)
//     $site    Seite, die geladen werden soll
//     $frame   Frame, in den die Seite geladen werden soll
//
//   Laedt die gewuenschte Seite in den durch $frame definierten FRAME.
// ERGEBNIS
//   Gibt den Befehlscode fuer die Anzeige zurueck.
// BEISPIEL
//   $EXTRA = new cl_special ();
//   echo $EXTRA->change_frame ("http://uverein.sourceforge.net","Anzeige");
//****
  function change_frame ($site,$frame)
  {
    return ("<SCRIPT language=\"JavaScript\">window.open(\"$site\",\"$frame\");</SCRIPT>");
  }
  
}

?>