<?php
//****h* Beitrag/mahntext.php
// NAME
//   project/php/mahntext.php
// INFO
//   Erfassung des Mahntextes fuer das Beitrags-Inkasso
// BUGS
//   keine bekannt
//****
include_once "base.inc";
include_once "header.inc";
include_once "button.php";
include_once "klassen/uvereinpdf.inc";
index_anzeige ();

// ****************************************************************************
// Superglobals auslesen

$info   = $FORM->returnwert   ("info");
$inhalt = $FORM->returnwert   ("inhalt");
$ART    = $FORM->returnglobal ("ART",0);
$NR     = $FORM->returnglobal ("NR",0);

// ****************************************************************************

function text2html ($zeile)
{
  return str_replace ("\n","<BR>",$zeile);
}

function html2text ($zeile)
{
  return str_replace ("<BR>","\n",$zeile);
}

function eingabe_kopf ()
{
  global $FORM;
  $FORM->inhalt ('<TABLE>'.
       '<TR><TD>%%BEITRAG%% </TD><TD>' . i4l("menu_title_beitrag") . '</TD></TR>'.
       '<TR><TD>%%TERMIN28%%</TD><TD>' . i4l("txt_termin28") . '</TD></TR>'.
       '</TABLE>');
}

function waehlen ($was, $anzeige)
{
  global $VIRTUALKONTO, $VEREIN_NAME, $UVEREIN_DB, $FORM;
  $FORM->inhalt ("<TR><td colspan=\"4\"><hr></td></tr>");
  $UVEREIN_DB->sql_abfrage ("virtual_konto",
                            "     verein='".$VEREIN_NAME."'".
                            " AND art='".$VIRTUALKONTO[$was]."'",
                            "","");
  $qu = $UVEREIN_DB->qu;
  $sql_zeilen = $UVEREIN_DB->sql_lines($qu);
  if ($sql_zeilen > 0) $old = $UVEREIN_DB->sql_line (0,$qu);
  $UVEREIN_DB->sql_abfrage ("briefe","verein='".$VEREIN_NAME."'","info","");
  $qu = $UVEREIN_DB->qu;
  $sql_zeilen = $UVEREIN_DB->sql_lines($qu);
  $OK = 0;
  $sql_zaehler=0;while ($sql_zaehler < $sql_zeilen)
  {
    $data = $UVEREIN_DB->sql_line ($sql_zaehler,$qu);
    $SEL [$data->nr] = $data->info;
    $OK = ($data->nr == $old->konto) ? $data->nr : $OK;
    $sql_zaehler++;
  }
  $FORM->inhalt ("<tr><td>$anzeige</td><td>");
  $FORM->selection ($was."_konto",$SEL,$OK);
  $FORM->inhalt ("</td>");
  $FORM->inhalt ("<td>".i4l("bei_mahngebuehr")."</td><td>");
  $FORM->eingabe ($was."_geb",40,$FORM->numeingabe2anzeige(($old->fkonto/100),2));
  $FORM->inhalt ("</td></tr>");
}

function mahntext_sql ($was)
{
  global $VIRTUALKONTO, $VEREIN_NAME, $UVEREIN_DB, $FORM;
  
  $gebuehr = $FORM->returnzahl($was."_geb");
  $konto   = $FORM->returnzahl($was."_konto");
  $gebuehr =  str_replace (",",".",$gebuehr);
  $gebuehr = ($gebuehr * 100);
  switch (strtoupper($was))
  {
    case 'BEITRAG1'   : $ART = 1; break;
    case 'BEITRAG2'   : $ART = 2; break;
    case 'BEITRAG3'   : $ART = 3; break;
    case 'BEITRAGLEV' : $ART = 99; break;
    default:            $ART = 1; break;
  }
  $UVEREIN_DB->set_vmahnung ($ART,"$konto"  ,"BRIEF");
  $UVEREIN_DB->set_vmahnung ($ART,"$gebuehr","GEBUEHR");
}

$FORM->inhalt(page_head ("u_verein &copy; under GPL by Uwe Schied"));
$FORM->inhalt('<H2>'.i4l("bei_mahntext").'</H2>');
switch ($AUSWAHL)
{
// -----------------------------------------------------------------------------
// Beitrag erinnern
// -----------------------------------------------------------------------------
  case 'ERINNERUNG':
// Brief-Text aus Datenbank auslesen
    $VORLAGE = $UVEREIN_DB->get_mahnbrief($ART);
// Termin setzen, wenn dies vorgesehen ist
    $TERMIN = date("d.m.Y",mktime (0,0,0,date("m"),date("d")+28,date("Y")));
    $VORLAGE = str_replace ("%%TERMIN28%%",$TERMIN,$VORLAGE);
// PDF-Dokument erstellen
    $PDF = new cl_uvereinpdf ("","");
// Vereinsangaben eintragen
    $PDF->textzeile ($UVEREIN_DB->get_vereinsname(),"Times",30);
    $PDF->SetXY (130,30);
    $PDF->textzeile (i4l("txt_bankverbindung").":","Times",14);
    $PDF->SetXY (130,36);
    $PDF->textzeile (i4l("sepa_bic")." ".
                     $UVEREIN_DB->sql_1_value("vereine","bic","kurzname='".
                     $UVEREIN_DB->get_verein()."'"),"Times",9);
    $PDF->SetXY (130,41);
    $PDF->textzeile (i4l("sepa_iban")." ".
                     $UVEREIN_DB->sql_1_value("vereine","iban","kurzname='".
                     $UVEREIN_DB->get_verein()."'"),"Times",9);
    $PDF->SetXY (130,46);
    $PDF->textzeile (i4l("sepa_identnr")." ".
                     $UVEREIN_DB->sql_1_value("vereine","identnr","kurzname='".
                     $UVEREIN_DB->get_verein()."'"),"Times",9);
    $PDF->SetXY (20,41);
    $ADRESSE = $UVEREIN_DB->get_vereinsname() .
               ", ".
               $UVEREIN_DB->sql_1_value("vereine","strasse","kurzname='".
                                        $UVEREIN_DB->get_verein()."'").
               ", ".
               $UVEREIN_DB->sql_1_value("vereine","ort","kurzname='".
                                        $UVEREIN_DB->get_verein()."'");               
    $PDF->textzeile ($ADRESSE,"Times",6);
// Empfaenger eintragen
    $PDF->SetLineWidth (0.1);
    $PDF->Line (20,45,100,45);
    $PDF->SetXY(20,47);
    $UVEREIN_DB->sql_abfrage("personen","nr='$NR'");
    $data = $UVEREIN_DB->sql_line(0);
    $PDF->textzeile ($UVEREIN_DB->sql_1_value("key_anrede",
                                              "brief",
                                              "schluessel='$data->anrede'"),
                     "Times",10);
    $PDF->textzeile ($data->titel . (($data->titel != "") ? " " : "").
                     $data->vorname . " " . $data->name,"Times",10);
    $PDF->textzeile ($data->strasse . " " . $data->hausnr,"Times",10); 
    $PDF->textzeile (""); 
    $PDF->textzeile ($data->plz . " " . $data->ort,"Times",10); 
    $PDF->textzeile ($data->land,"Times",10);
// Bezugszeile
    $PDF->SetXY (0,100);
    $PDF->table_init (3, "Times", 9, 0, array (2,2,1));
    $PDF->table_head (array("","",""));
    $PDF->table_line (array(i4l("BRIEF_IhrZeichen"),
                            i4l("BRIEF_UnserZeichen"),
                            i4l("DATA_Datum")));
    $PDF->table_line (array("","",date("d.m.Y")));
    $PDF->textzeile ("");
// Betreffzeile    
    $PDF->textzeile (i4l("BRIEF_Beitrag"),"Times",11);
    $PDF->textzeile ("");
    $PDF->textzeile ("");
// Anrede
    $ADRESSE = $UVEREIN_DB->sql_1_value("key_anrede","inhalt","schluessel='$data->anrede'");
    $ADRESSE .= ($data->anrede <= 2) ? " ".$data->name : "";
    $ADRESSE .= ",";
    $PDF->textzeile ($ADRESSE,"Times",10);
    $PDF->textzeile ("");
// Brieftext
    $VORLAGE = explode ("<BR>",$VORLAGE);
    foreach ($VORLAGE as $i => $inhalt)
    {
      $ABSATZ = explode (" ",$inhalt);
      $S = "";
      foreach ($ABSATZ as $e => $wort)
      {
        switch (trim($wort))
        {
// Inhalt des Beitragskontos ausgeben
          case '%%BEITRAG%%' : 
            $PDF->textzeile ($S,"Times",10);
            $PDF->table_init (3,"Times",10,1,array(1,5,2),array("L","L","R"));
            $PDF->table_head (array(i4l("data_datum"),i4l("data_buchungstext"),""));
// Ermitteln ab wann der Beitragsrueckstand besteht
            $BIS = $UVEREIN_DB->sql_1_value("beitrag","max(jahr)",
                   "v_name='$VEREIN_NAME' AND m_nr='$NR'");
            $VON = $UVEREIN_DB->sql_1_value("beitrag","min(jahr)",
                   "v_name='$VEREIN_NAME' AND m_nr='$NR'");
            $OK = false; while ($OK === false) {
              $TEST = $UVEREIN_DB->sql_1_value ("beitrag",
                "sum(soll) - sum(haben)",
                "v_name='$VEREIN_NAME' AND m_nr='$NR' AND jahr<='$BIS'");
              $OK = ($TEST == 0) ? true : false;
              $BIS -= ($OK === false) ? 1 : -1;
              $OK = ($BIS > $VON) ? $OK : true;
            }
// Beitragsbuchungen holen und ausgeben
            $UVEREIN_DB->sql_abfrage("beitrag",
              "v_name='$VEREIN_NAME' AND m_nr='$NR' AND jahr>='$BIS'",
              "jahr,datum");
            $SUMME = 0;
            $i = 0; while ($i < $UVEREIN_DB->sql_lines())
            {
              $data = $UVEREIN_DB->sql_line($i); $i++;
              $BETRAG = $data->haben - $data->soll;
              $PDF->table_line (array($data->datum,$data->bu_text,
                $FORM->numeingabe2anzeige($BETRAG,2)));
              $SUMME += $BETRAG;
            }
// Summe ausgeben
            $PDF->table_line ();
            $PDF->table_line (array("",i4l("msg_aktuellerbeitrag"),
              $FORM->numeingabe2anzeige($SUMME,2)));
            $S = "";
            break;
          default:
// Brieftext
            $S .= $wort ." ";
            break;
        }
      }
      $PDF->textzeile ($S,"Times",10,"J");
    }
// Dokument aufrufen    
    $PDF->anzeige (); 
    break;

// -----------------------------------------------------------------------------
// Texte zuordnen
// -----------------------------------------------------------------------------
// +++ Erfassen
// ++++++++++++
  case 'WAHL_SQL':
    mahntext_sql ("BEITRAG1");
    mahntext_sql ("BEITRAG2");
    mahntext_sql ("BEITRAG3");
    mahntext_sql ("BEITRAGLEV");
    $FORM->inhalt ($SPECIAL_CALL->change_site ("mahntext.php?AUSWAHL=WAHL"));
    break;

// +++ Auswaehlen
// ++++++++++++++
  case 'WAHL':
    $FORM->hide ("AUSWAHL","WAHL_SQL");
    $FORM->inhalt ("<TABLE>");
    waehlen ("BEITRAG1",i4l("bei_erinnerung1"));
    waehlen ("BEITRAG2",i4l("bei_erinnerung2"));
    waehlen ("BEITRAG3",i4l("bei_erinnerung3"));
    waehlen ("BEITRAGLEV",i4l("bei_lev_retoure"));
    $FORM->inhalt ("<TR><td colspan=\"4\"><hr></td></tr>");
    $FORM->inhalt ("</TABLE>");
    $FORM->grafikbutton ("OK","../icons/ok.png",false);
    break;

// -----------------------------------------------------------------------------
// Mahntext erfassen und bearbeiten
// -----------------------------------------------------------------------------
// +++ Neueintrag in die Brief-Tabelle
// +++++++++++++++++++++++++++++++++++
  case 'NEW_SQL':
    $inhalt = text2html ($inhalt);
    $qu = $UVEREIN_DB->sql_befehl ("SELECT max(nr) AS nr FROM briefe WHERE verein='".$VEREIN_NAME."'");
    if ($UVEREIN_DB->sql_lines ($qu) > 0) 
    {
      $data = $UVEREIN_DB->sql_line (0,$qu);
      $NR = $data->nr + 1;
    }
    else
    {
      $NR = 0;
    }
    $UVEREIN_DB->sql_insert ("briefe", "verein,nr,info,inhalt","VALUES (".
                "  '" . $VEREIN_NAME . "'".
		",  " . $NR . 
		", '" . $info . "'".
		", '" . $inhalt . "'".
		")");
    $FORM->inhalt ($SPECIAL_CALL->change_site ("mahntext.php"));
    break;
// +++ Geaenderten Brief in Brief-Tabelle eintragen
// ++++++++++++++++++++++++++++++++++++++++++++++++    
  case 'EDIT_SQL':
    $inhalt = text2html ($inhalt);
    $UVEREIN_DB->sql_update ("briefe",
                "  info='".$info."'".
		", inhalt='".$inhalt."'",
                "verein='".$VEREIN_NAME."' AND nr=".$NR);
    $FORM->inhalt ($SPECIAL_CALL->change_site ("mahntext.php"));
    break;
// +++ Aenderung des Briefes
// +++++++++++++++++++++++++
  case 'EDIT':
    $UVEREIN_DB->sql_abfrage ("briefe","verein='".$VEREIN_NAME."' AND nr='".$NR."'","","");
    $qu = $UVEREIN_DB->qu;
    $sql_zeilen = $UVEREIN_DB->sql_lines($qu);
    if ($sql_zeilen > 0) $data = $UVEREIN_DB->sql_line (0,$qu);
    $FORM->hide ("NR",$NR);
// +++ Neuer Brief
// +++++++++++++++
  case 'NEW':
    eingabe_kopf ();
    if ($AUSWAHL == "EDIT") $BEF = "EDIT_SQL"; else $BEF = "NEW_SQL";
    $FORM->hide ("AUSWAHL",$BEF);
    if (empty($data))
    {
      $data->info = "";
      $data->inhalt = "";
    }
    $FORM->inhalt("<TABLE>");
    $FORM->inhalt("<TR><TD>".i4l("beschreibung")."</td><td>");
    $FORM->eingabe("info",80,$data->info);
    $FORM->inhalt("</td></tr>");
    $FORM->inhalt ("<TR><td colspan=\"2\"><hr></td></tr>");
    $FORM->inhalt("<TR><TD colspan=\"2\">");
    $FORM->feld ("inhalt","80",25,html2text($data->inhalt));
    $FORM->inhalt("</td></tr>");
    $FORM->inhalt("<TR><TD colspan=\"2\">");
    $FORM->grafikbutton ("OK","../icons/ok.png",false);
    break;

// +++ Brief aus Tabelle loeschen
// ++++++++++++++++++++++++++++++
  case 'DELETE':
    $UVEREIN_DB->sql_befehl ("DELETE FROM briefe WHERE verein='".$VEREIN_NAME."' AND nr=".$NR);
    $FORM->inhalt ($SPECIAL_CALL->change_site ("mahntext.php"));
    break;

// -----------------------------------------------------------------------------
// Brief zur Bearbeitung auswaehlen oder Neuerfassung beginnen
// -----------------------------------------------------------------------------
  default:
    $FORM->inhalt("<TABLE border=\"1\"><TR><TD width=\"100\" align=\"center\">");
    $FORM->sub_mixbutton ($BUTTON["NEW"],i4l("call_new"),array ("AUSWAHL" => "NEW"));
    $FORM->inhalt("</TD><TD width=\"100\" align=\"center\">");
    $FORM->sub_mixbutton ($BUTTON["MAHNUNG"],i4l("bei_mahntext"),
                          array("AUSWAHL" => "WAHL"));
    $FORM->inhalt ("</TD></TR></TABLE>");
    $UVEREIN_DB->sql_abfrage ("briefe","verein='".$VEREIN_NAME."'","info, nr","");
    $qu = $UVEREIN_DB->qu;
    $sql_zeilen = $UVEREIN_DB->sql_lines($qu);
    if ($sql_zeilen > 0)
    {
      $FORM->inhalt("<TABLE width=\"100%\">");
      $FARBE = "lightgray";
      $sql_zaehler=0; while ($sql_zaehler < $sql_zeilen)
      {
        $FARBE = ($FARBE == "white") ? "lightgray" : "white";
        $data = $UVEREIN_DB->sql_line ($sql_zaehler,$qu);
	     $FORM->inhalt ("<TR bgcolor=\"$FARBE\"><TD width=\"35\">");
	     $FORM->sub_mixbutton ($BUTTON["EDIT"],i4l("call_update"),
	                           array ("AUSWAHL" => "EDIT", "NR" => $data->nr));
	     $FORM->inhalt ("</TD><TD width=\"35\">");
	     $FORM->sub_mixbutton ($BUTTON["DELETE"],i4l("call_delete"),
	                           array ("AUSWAHL" => "DELETE", "NR" => $data->nr));
	     $FORM->inhalt ("</TD><TD>$data->info</TD></TR>");
	     $sql_zaehler++;
      }
      $FORM->inhalt ("</TABLE>");
    }
    break;
}

$FORM->inhalt (page_ende ()); 

echo $FORM->schliessen();
?>
