<?php
// --------------------------------------------------------
// Modul: Mail an Projekt senden
// Datei: mail-base.php
// ........................................................
// Basis-Daten fuer alle Mails an das Projekt definieren
// --------------------------------------------------------

include_once "base.inc";
include_once "header.inc";
include_once "button.php";

// Empfaenger der Projekt-Email
$MAIL_PROJEKTEMPFAENGER = $PROJEKT_MAILADRESS;

// Sender der Mail aus Datenbank auslesen
$MAIL_PROJEKTSENDER = $UVEREIN_DB->sql_1_value("vereine","email","kurzname='$VEREIN_NAME'");

$MAIL_PROJEKTSENDER = ($MAIL_PROJEKTSENDER == "")   // in Datenbank eingetragen ? 
                    ? $_SERVER["SERVER_ADMIN"]      // Nein
                    : $MAIL_PROJEKTSENDER;          // Ja

// --------------------------------------------------------
// Initialiserung der Eingabemaske
// --------------------------------------------------------
function mail_initial ($Subject)
{
  global $FORM;
  $FORM->hide("SUBJECT",$Subject);
}

// -------------------------------------------------------
// Mail senden
// -------------------------------------------------------
function mail_senden ($ANLAGE = array())
{
  global $FORM,
         $MAIL_PROJEKTEMPFAENGER, 
         $PROJEKT,
         $PROGRAM_VERSION;
  
  $BOUNDARY = "UMAILADAE16786kklsaert123";
  $SUBJECT = $PROJEKT . ": " . $FORM->returnwert("SUBJECT");
  $INHALT  = $FORM->returnwert("MAIL_INHALT");
  $SENDER  = $FORM->returnwert("MAIL_PROJEKTSENDER");
  $BASIS["HTTP_USER_AGENT"]      = $_SERVER["HTTP_USER_AGENT"];
  $BASIS["HTTP_SERVER_SOFTWARE"] = $_SERVER["SERVER_SOFTWARE"];
  $BASIS["HTTP_ACCEPT"]          = $_SERVER["HTTP_ACCEPT"];
  $BASIS["HTTP_ACCEPT_CHARSET"]  = $_SERVER["HTTP_ACCEPT_CHARSET"];
  $BASIS["PROGRAMM-VERSION"]     = $PROGRAM_VERSION;
  $HEADER  = "MIME-Version: 1.0\n";
  $HEADER .= "Content-type: text/html; charset=iso-8859-15\n";
  $HEADER .= "From: $SENDER\n";
  $HEADER .= "To: $MAIL_PROJEKTEMPFAENGER\n";
  $HEADER .= "Cc: $SENDER\n";
  $HEADER .= "Subject: $SUBJECT\n";
  $NACHRICHT = "<H1>USER-Input</h1>";
  $NACHRICHT .= "<P>$INHALT</p>";
  $NACHRICHT .= "<H1>Server-Input</h1><TABLE>";
  $ARRKEY = array_keys($BASIS);
  reset ($ARRKEY);
  while (list($key,$wert) = each($ARRKEY))
  {
    $NACHRICHT .= "<TR><TD>$wert</td><TD>".$BASIS[$wert]."</td></tr>";
  }
  $NACHRICHT .= "</TABLE>";
  $MAILTEXT = wordwrap ($NACHRICHT,70,"\n");
  $FORM->inhalt($MAILTEXT);
  $NACHRICHT  = $MAILTEXT;
  if (count ($ANLAGE) > 0)
  {
    $ANHANG = "<P><strong>Languages</strong>";
    reset ($ANLAGE);
    while (list($key,$wert) = each($ANLAGE))
    {
      $ANHANG .= "</P><BR><br><P>";
      $ANHANG .= "<B>Language-Name: $wert</B><BR>";
      $F = fopen ("i18n/$wert","r");
      $ANHANG_EINZEL = "";
      while (!feof($F))
      {
        $ANHANG_EINZEL .= fgets($F,1024);
      }
      fclose ($F);
      $ANHANG .= htmlspecialchars ($ANHANG_EINZEL);
    }
    $ANHANG .= "</P>";
    $NACHRICHT .= nl2br ($ANHANG);
  }
  mail ($MAIL_PROJEKTEMPFAENGER,$SUBJECT,$NACHRICHT,$HEADER);
  $FORM->inhalt("<p style=\"background-color: #E5E5E5; \">".
                    i4l("mail_gmx_error").
                    "</p>");
}
?>