<?php

include_once "base.inc";

function maske_data_def ($name, $inhalt)
{
  global $M_DATA, $Maske_Data;
  $Maske_Data [$name] = (empty($inhalt)) 
                      ? ((empty($M_DATA->$name)) ? "" : $M_DATA->$name)
                      : $inhalt;
}

$Personen_Nr = (! empty ($Personen_Nr)) ? $Personen_Nr : -1;
$Personen_Nr = ($Personen_Nr >= 0) ? $Personen_Nr : -1;

// -----------------------------------------------------------------------
// Tabelle personen
// -----------------------------------------------------------------------
if ($Personen_Nr >= 0)
{
  $M_QU = $UVEREIN_DB->sql_befehl ("SELECT * FROM personen WHERE nr='$Personen_Nr'");
  if ($UVEREIN_DB->sql_lines ($M_QU) > 0) $M_DATA = $UVEREIN_DB->sql_line (0,$M_QU);
}
maske_data_def ("anrede", $FORM->returnwert("P_anrede"));
maske_data_def ("titel",  $FORM->returnwert("P_titel"));
maske_data_def ("name",   $FORM->returnwert("P_name"));
maske_data_def ("vorname",$FORM->returnwert("P_vorname"));
maske_data_def ("geboren",$FORM->returnwert("P_geboren"));
maske_data_def ("strasse",$FORM->returnwert("P_strasse"));
maske_data_def ("hausnr" ,$FORM->returnwert("P_hausnr"));
maske_data_def ("land"   ,$FORM->returnwert("P_land"));
maske_data_def ("plz"    ,$FORM->returnwert("P_plz"));
maske_data_def ("ort"    ,$FORM->returnwert("P_ort"));
maske_data_def ("telefon",$FORM->returnwert("P_telefon"));
maske_data_def ("email"  ,$FORM->returnwert("P_email"));

// -----------------------------------------------------------------------
// Tabelle mitglied
// -----------------------------------------------------------------------
if ($Personen_Nr >= 0)
{
  $M_QU = $UVEREIN_DB->sql_befehl ("SELECT * FROM mitglied WHERE nr='$Personen_Nr' AND verein='$VEREIN_NAME'");
  if ($UVEREIN_DB->sql_lines ($M_QU) > 0) $M_DATA = $UVEREIN_DB->sql_line(0,$M_QU);
}
maske_data_def ("eintritt",    $FORM->returnwert("V_eintritt"));
maske_data_def ("ende"    ,    $FORM->returnwert("V_ende"));
maske_data_def ("kommentar",   stripslashes($FORM->returnwert("V_kommentar")));
maske_data_def ("zahlungsart", $FORM->returnwert("M_zahlungsart"));
maske_data_def ("bic",         $FORM->returnwert("M_bic"));
maske_data_def ("iban",        $FORM->returnwert("M_iban"));
maske_data_def ("unterschrift",$FORM->returnwert("M_unterschrift"));

// -----------------------------------------------------------------------
// Beitragskonto
// -----------------------------------------------------------------------
if ($Personen_Nr >= 0)
{
  $M_QU = $UVEREIN_DB->sql_befehl 
          ("SELECT * FROM beitrags_konto WHERE v_name='$VEREIN_NAME' AND m_nr='$Personen_Nr'");
  $i = 0; while ($i < $UVEREIN_DB->sql_lines($M_QU))
  {
    $M_DATA = $UVEREIN_DB->sql_line($i,$M_QU);
    $Maske_Beitragsnr          [] = $M_DATA->nr;
    $Maske_Beitragsart         [] = $M_DATA->art;
    $Maske_Beitragsfaelligkeit [] = $M_DATA->faellig_ab;
    $Maske_Beitragszahlung     [] = $M_DATA->zahlungsweise;
    $i++;
  }
}
$Maske_Beitragsnr          [] = "neu";
$M_QU = $UVEREIN_DB->sql_befehl ("SELECT * FROM beitrags_art WHERE verein='$VEREIN_NAME'");
if ($UVEREIN_DB->sql_lines ($M_QU) > 0) $M_DATA = $UVEREIN_DB->sql_line(0,$M_QU);
$Maske_Beitragsart         [] = $M_DATA->nr;
$Maske_Beitragsfaelligkeit [] = date("d.m.Y");
$M_QU = $UVEREIN_DB->sql_befehl ("SELECT * FROM zahlungsweise");
if ($UVEREIN_DB->sql_lines ($M_QU) > 0) $M_DATA = $UVEREIN_DB->sql_line (0,$M_QU);
$Maske_Beitragszahlung     [] = $M_DATA->nr;

?>
