<?php

include_once "base.inc";
include_once "header.inc";
include_once "button.php";

cookie_setzen ("RETURN",$_SERVER['PHP_SELF']."?AUSWAHL=".$AUSWAHL,"");
index_anzeige ();

//
// Sonderfall - Beitragskonto aufrufen 
//
if ($AUSWAHL == "UPDATE_BUCHUNG")
{
  $NR = $FORM->sende_ergebnis() + 0;
  echo $SPECIAL_CALL->change_site("beitrag.php?AUSWAHL=UPDATE_BUCHUNG&nr=$NR");
}

function liste_sql ($from, $where, $order)
{
  global $qu, $zeilen, $UVEREIN_DB;
  $qu = $UVEREIN_DB->sql_befehl(
    "select * from $from WHERE $where ORDER BY $order");
  $zeilen = $UVEREIN_DB->sql_lines();
}

$MITGLIED_LISTEN_PRINTFILE = fopen (cookie_lesen("PRINT"),"w");
function A_usgeben ($inhalt)
{
  global $MITGLIED_LISTEN_PRINTFILE, $FORM;
  $FORM->inhalt($inhalt);
  fwrite ($MITGLIED_LISTEN_PRINTFILE,$inhalt . "\n");
}
fwrite ($MITGLIED_LISTEN_PRINTFILE,
        "<HTML><HEAD><TITLE>$VEREIN_NAME</TITLE></HEAD><BODY>\n");


function s__ausgeben ($art,$satz)
{
  $tag_start = ($art == "KOPF") ? "<TH>" : "<TD>";
  $tag_ende  = ($art == "KOPF") ? "</TH>" : "</TD>";
  A_usgeben ("$tag_start &nbsp; $satz &nbsp; $tag_ende");
}

function zeile4_ausgeben ($art, $satz1, $satz2, $satz3, $satz4)
{
  global $FARBE;
  if ($art == 'KOPF') A_usgeben ('<TR>');
  else A_usgeben ('<TR bgcolor="'.$FARBE.'">');
  s__ausgeben ($art,$satz1);
  s__ausgeben ($art,$satz2);
  s__ausgeben ($art,$satz3);
  s__ausgeben ($art,$satz4);
  A_usgeben ('</TR>');
  if ($art != 'KOPF') $FARBE = ($FARBE=="white") ? "#EAEAEA" : "white";
}

function zeile6_ausgeben ($art, $satz1, $satz2, $satz3, $satz4,$satz5,$satz6)
{
  global $FARBE;
  if ($art == 'KOPF') A_usgeben ('<TR>');
  else A_usgeben ('<TR bgcolor="'.$FARBE.'">');
  s__ausgeben ($art,$satz1);
  s__ausgeben ($art,$satz2);
  s__ausgeben ($art,$satz3);
  s__ausgeben ($art,$satz4);
  s__ausgeben ($art,$satz5);
  s__ausgeben ($art,$satz6);
  A_usgeben ('</TR>');
  if ($art != 'KOPF') $FARBE = ($FARBE=="white") ? "#EAEAEA" : "white";
}

function sonderzeile4_ausgeben ($art, $satz0, $satz1, $satz2, $satz3, $satz4)
{
  global $FARBE;
  if ($art == 'KOPF') A_usgeben ('<TR>');
  else A_usgeben ('<TR bgcolor="'.$FARBE.'">');
  s__ausgeben ($art,$satz1);
  s__ausgeben ($art,$satz2);
  s__ausgeben ($art,$satz3);
  s__ausgeben ($art,$satz4);
  A_usgeben ('</TR>');
  if ($art != 'KOPF') $FARBE = ($FARBE=="white") ? "#EAEAEA" : "white";
}

function mitglied_ende_test ($data)
{
  $T_est = ($data < " ") ? 1 : 0;
  return ($T_est); 
}

function mitglieder_anzahl ($zeilen, $qu)
{
  global $UVEREIN_DB;
  $anzahl = 0; $row = 0;
  while ($row < $zeilen):
    $data = $UVEREIN_DB->sql_line ($row,$qu);
    $anzahl+= mitglied_ende_test($data->ende);
    $row++;
  endwhile;
  return ($anzahl);
}

$verein = $VEREIN_NAME;
$FORM->inhalt(page_head ("u_verein (c) GPL"));

$FARBE="white";

$row = 0;  // Zaehler initialisieren
switch ($AUSWAHL)
{
  case 'ADRESS' :
    liste_sql ("mitglied, personen, key_anrede",
               "mitglied.nr=personen.nr AND key_anrede.schluessel=personen.anrede AND verein='$VEREIN_NAME'",
	       "name, vorname");
    $anzahl = mitglieder_anzahl ($zeilen, $qu);
    $row = 0;
    A_usgeben ('<h2>' . i4l("menu_list_adress") . ' (' . $anzahl . ')</h2>');
    A_usgeben ('<TABLE border="1">');
    zeile4_ausgeben ("KOPF",
	i4l("data_anrede"),
	i4l("data_name"),
	i4l("data_strasse"),
	i4l("data_ort"));
    while ($row < $zeilen):
      $data = $UVEREIN_DB->sql_line($row,$qu);
      if (mitglied_ende_test($data->ende) > 0)
      {
        zeile4_ausgeben ("DATA",
  	  $data->brief,
	  $data->name.', '.$data->vorname,
	  $data->strasse.' '.$data->hausnr,
	  $data->plz.' '.$data->ort);
      }
      $row++;
    endwhile;
    A_usgeben ('</TABLE>');
    break;

  case 'EINTRITT' :
    $T_ESTDATUM = date ("d.m.Y");
    $UVEREIN_DB->sql_befehl("SET DATESTYLE='Default'");
    liste_sql ("mitglied, personen",
               "mitglied.nr=personen.nr AND verein='$VEREIN_NAME'",
	       "date_part ('year', eintritt), name, vorname");
    $anzahl = mitglieder_anzahl ($zeilen, $qu);
    A_usgeben ('<h2>' . i4l("menu_list_eintritt") . ' (' . $anzahl . ')</h2>');
    A_usgeben ('<TABLE border="1">');
    sonderzeile4_ausgeben ("KOPF",
      i4l("data_eintritt"),
      i4l("data_name"),
      i4l("data_strasse"),
      i4l("data_ort"),
      i4l("data_ende"));

    $jahr = '1800';
    while ($row < $zeilen):
      $data = $UVEREIN_DB->sql_line($row,$qu);
      if (mitglied_ende_test($data->ende) > 0)
      {
        if ($jahr != substr ($data->eintritt,0,4))
        {
          $jahr = substr ($data->eintritt,0,4);
	  $alter = date ("Y") - $jahr;
	  A_usgeben ('<TR bgcolor="#C5FDE6">'.
               '<TD colspan="4"><B>'.$jahr.'</B> = '.i4l("msg_mitgliedsdauer").': '.$alter.' '.
	       i4l("msg_jahre").'</TD><TR>');
        }
        sonderzeile4_ausgeben ("DATA",
          $jahr,
          $data->name.', '.$data->vorname,
	  $data->strasse.' '.$data->hausnr,
	  $data->plz.' '.$data->ort,
	  $data->ende);
      }
      $row++;
    endwhile;
    A_usgeben ('</TABLE>');
    $UVEREIN_DB->sql_befehl("set DATESTYLE='".i4l("language_datestyle")."'");
    break;

  case 'ENDE' :
    $UVEREIN_DB->sql_befehl("set DATESTYLE='Default'");
    liste_sql ("mitglied, personen",
               "mitglied.nr=personen.nr AND mitglied.ende<current_date AND verein='$VEREIN_NAME'",
	       "date_part ('year', ende) DESC, name, vorname");

    A_usgeben ('<h2>' . i4l("menu_list_austritt") . ' (' . $zeilen . ')</h2>');
    A_usgeben ('<TABLE border="1">');
    sonderzeile4_ausgeben ("KOPF",
      i4l("data_ende"),
      i4l("data_name"),
      i4l("data_strasse"),
      i4l("data_ort"),
      i4l("data_kommentar"));

    $jahr = '1800';
    while ($row < $zeilen):
      $data = $UVEREIN_DB->sql_line ($row,$qu);
      if ($jahr != substr ($data->ende,0,4))
      {
        $jahr = substr ($data->ende,0,4);
	A_usgeben ('<TR bgcolor="#C5FDE6">');
        A_usgeben ('<TD colspan="4"><B>'.$jahr.'</B></TD><TR>');
      }
      sonderzeile4_ausgeben ("DATA",
        $jahr,
        $data->name.', '.$data->vorname,
	$data->strasse.' '.$data->hausnr,
	$data->plz.' '.$data->ort,
	$data->kommentar);
      $row++;
    endwhile;
    A_usgeben ('</TABLE>');
    $UVEREIN_DB->sql_befehl("set DATESTYLE='".i4l("language_datestyle")."'");
    break;

  case 'GEBURT' :
    $UVEREIN_DB->sql_befehl("set DATESTYLE='Default'");
    liste_sql ("mitglied, personen",
               "mitglied.nr=personen.nr AND personen.geboren>'1800-01-01' AND verein='$VEREIN_NAME'",
	       "date_part ('month', geboren), date_part ('day', geboren), date_part ('year', geboren), name, vorname");
    $anzahl = mitglieder_anzahl ($zeilen, $qu);
    $row = 0;
    A_usgeben ('<h2>'.i4l("menu_list_born").' ['.date ("Y").'] - (' . $anzahl . ')</h2>');
    A_usgeben ('<TABLE border="1">');
    zeile6_ausgeben ("KOPF",
      i4l("data_geboren"),
      i4l("msg_jahre"),
      i4l("data_name"),
      i4l("data_telefon"),
      i4l("data_strasse"),
      i4l("data_ort"));

    while ($row < $zeilen):
      $data = $UVEREIN_DB->sql_line($row,$qu);
      if (mitglied_ende_test($data->ende) > 0)
      {
        $jahr = substr ($data->geboren,0,4);
        $alter = ($jahr == 1800) ? "?" : date ("Y") - $jahr;
        zeile6_ausgeben ("DATA",
          $data->geboren,
          $alter,
	  $data->name.", ".$data->vorname,
	  $data->telefon,
	  $data->strasse." ".$data->hausnr,
	  $data->plz." ".$data->ort);
      }
      $row++;
    endwhile;
    A_usgeben ('</TABLE>');
    $UVEREIN_DB->sql_befehl ("set DATESTYLE='".i4l("language_datestyle")."'");
    break;

  case 'GEBURT_JAHR' :
    $UVEREIN_DB->sql_befehl("set DATESTYLE='Default'");
    liste_sql ("mitglied, personen",
               "mitglied.nr=personen.nr AND personen.geboren>'1800-01-01' AND verein='$VEREIN_NAME'",
	       "date_part ('year', geboren), date_part ('month', geboren), date_part ('day', geboren), name, vorname");
    $anzahl = mitglieder_anzahl ($zeilen, $qu);
    $row = 0;
    A_usgeben ('<h2>'.i4l("menu_list_born").' ['.date ("Y").'] - (' . $anzahl . ')</h2>');
    A_usgeben ('<TABLE border="1">');
    zeile6_ausgeben ("KOPF",
      i4l("msg_jahre"),
      i4l("data_geboren"),
      i4l("data_name"),
      i4l("data_telefon"),
      i4l("data_strasse"),
      i4l("data_ort"));
    $ALTERSWERT = -1;
    while ($row < $zeilen):
      $data = $UVEREIN_DB->sql_line($row,$qu);
      if (mitglied_ende_test($data->ende) > 0)
      {
        $jahr = substr ($data->geboren,0,4);
        $alter = ($jahr == 1800) ? "?" : date ("Y") - $jahr;
        if ($ALTERSWERT <> $alter)
        {
        	  $ALTERSWERT = $alter;
           $FORM->inhalt ("<TR id=\"gelb\"><TD colspan=\"6\"><BR>");
           $FORM->inhalt ("<strong id=\"schrift5links\">$alter. ".i4l("GEBURTSTAG")."</strong>");
           $FORM->inhalt ("<BR> &nbsp;</TD></TR>");        	  
        }
        zeile6_ausgeben ("DATA",
          $alter,
          $data->geboren,
          $data->name.", ".$data->vorname,
          $data->telefon,
          $data->strasse." ".$data->hausnr,
          $data->plz." ".$data->ort);
      }
      $row++;
    endwhile;
    A_usgeben ('</TABLE>');
    $UVEREIN_DB->sql_befehl ("set DATESTYLE='".i4l("language_datestyle")."'");
    break;

  case 'EINZUG' :
    liste_sql ("mitglied, personen",
               "mitglied.nr=personen.nr AND ".
	             "mitglied.zahlungsart=1  AND ".
	             "mitglied.iban != '' AND verein='$VEREIN_NAME'",
	             "personen.name, personen.vorname");
    $anzahl = 0;
    $pqu = $qu;
    while ($row < $zeilen):
      $data = $UVEREIN_DB->sql_line($row,$pqu);
      $checkit = $data->ende; if ($checkit < " ") $anzahl++;
      $row++;
    endwhile;
    A_usgeben ('<H2>'.i4l("menu_list_einzug").' (' . $anzahl . ')</h2>');
    $row = 0;
    A_usgeben ('<TABLE border="1">');
    zeile6_ausgeben ("KOPF",
	i4l("data_name"),
	i4l("data_datum"),
	i4l("data_bic"),
	i4l("data_iban"),
	i4l("data_beitraghaben")," ");
    while ($row < $zeilen):
      $data = $UVEREIN_DB->sql_line ($row,$pqu);
      $checkit = $data->ende;
      $mitgliedschaft = ($checkit < " ") 
        ? $data->eintritt . ' - ...' 
	: $data->eintritt . ' - ' . $data->ende;
      $qu = $UVEREIN_DB->sql_befehl 
            ("SELECT (sum(haben) - sum(soll)) AS summe FROM beitrag".
             " WHERE m_nr=$data->nr AND v_name='$VEREIN_NAME'".
             " GROUP BY m_nr");
      $anzahl = $UVEREIN_DB->sql_lines($qu);
      if ($anzahl > 0) 
      {
        $xdata = $UVEREIN_DB->sql_line (0,$qu);
	$summe = $xdata->summe;
      }
      else
      {
        $summe = 0;
      }
      zeile6_ausgeben ("DATA",
  	$data->name.', '.$data->vorname,
	$mitgliedschaft,
	$data->bic,
	$data->iban,
	number_format($summe,2)," ");
      $row++;
    endwhile;
    A_usgeben ('</TABLE>');
    break;
    
  case 'BEITRAG_OFFEN':
    $FORM->hide("AUSWAHL","UPDATE_BUCHUNG");
    liste_sql ("mitglied, personen ",
               "mitglied.nr=personen.nr AND verein='$VEREIN_NAME'",
	       "personen.name, personen.vorname");
    $anzahl = 0;
    $pqu = $qu;
// Ueberschrift
    $FORM->inhalt("<TABLE><TR><TD>");
    A_usgeben ('<H2>'.i4l("txt_beitragoffen").'</H2>');
// PDF anbieten
    $FORM->inhalt("</TD><TD>");
    $FORM->sub_grafikbutton("../icons/pdf.png","","print.beitrag-offen.php");
    $FORM->inhalt("</TD></TR></TABLE>");
    $row = 0;
    A_usgeben ('<TABLE border="1">');
    zeile4_ausgeben ("KOPF",i4l("AKTION"),
	i4l("data_name"),
	i4l("data_datum"),
	i4l("data_beitraghaben"));
    while ($row < $zeilen):
      $data = $UVEREIN_DB->sql_line($row,$pqu);
      $checkit = $data->ende;
      $mitgliedschaft = ($checkit < " ") 
        ? $data->eintritt . ' - ...' 
	: $data->eintritt . ' - ' . $data->ende;
      $qu = $UVEREIN_DB->sql_befehl 
            ("SELECT (sum(haben) - sum(soll)) AS summe FROM beitrag".
             " WHERE m_nr=$data->nr AND v_name='$VEREIN_NAME'".
             " GROUP BY m_nr");
      $anzahl = $UVEREIN_DB->sql_lines($qu);
      if ($anzahl > 0) 
      {
        $xdata = $UVEREIN_DB->sql_line(0,$qu);
	$summe = $xdata->summe;
      }
      else
      {
        $summe = 0;
      }
      if ($summe < 0)
      {
        A_usgeben ('<TR bgcolor="'.$FARBE.'">');
        $FORM->inhalt ("<TD>&nbsp;");
        $FORM->sub_grafikbutton("../icons/edit.png",
          array("senden" => $data->nr,
                "AUSWAHL" => "UPDATE_BUCHUNG"));
        $FORM->inhalt ("</TD>");     
        s__ausgeben ("DATA",$data->name . ", ". $data->vorname);
        s__ausgeben ("DATA",$mitgliedschaft);
        s__ausgeben ("DATA",number_format(-$summe,2));
        A_usgeben ('</TR>');
        $FARBE = ($FARBE=="white") ? "#EAEAEA" : "white";
      }
      $row++;
    endwhile;
    A_usgeben ('</TABLE>');
    break;

  case 'BEITRAG_ZAHLUNGEN':
    A_usgeben ("<TABLE border=\"0\"><TR><TD width=\"50\">");
    $FORM->sub_grafikbutton ($BUTTON["PDF"],"","print.beitrag.php");
    A_usgeben ("</TD><TD>");
    A_usgeben ("</td></tr></table>");    
    liste_sql ("mitglied, personen ",
               "mitglied.nr=personen.nr AND verein='$VEREIN_NAME'",
               "personen.name, personen.vorname");
    $anzahl = 0; $BEITRAG_SUMME = 0;
    $pqu = $qu;
    A_usgeben ("<H2>".i4l("menu_title_beitrag")." $AKT_YEAR</H2>");
    $row = 0;
    A_usgeben ('<TABLE border="1">');
    zeile4_ausgeben ("KOPF",
        i4l("data_nr"),
	i4l("data_name"),
	i4l("data_datum"),
	i4l("data_beitraghaben"));
    while ($row < $zeilen):
      $data = $UVEREIN_DB->sql_line($row,$pqu);
      $checkit = $data->ende;
      $mitgliedschaft = ($checkit < " ") 
        ? $data->eintritt . ' - ...' 
	: $data->eintritt . ' - ' . $data->ende;
      $qu = $UVEREIN_DB->sql_befehl 
            ("SELECT sum(haben) AS summe FROM beitrag".
             " WHERE m_nr='$data->nr' AND v_name='$VEREIN_NAME' AND jahr='$AKT_YEAR'".
			    " GROUP BY m_nr");
      $anzahl = $UVEREIN_DB->sql_lines($qu);
      if ($anzahl > 0) 
      {
        $xdata = $UVEREIN_DB->sql_line(0,$qu);
	$summe = $xdata->summe;
      }
      else
      {
        $summe = 0;
      }
      if ($summe <> 0)
      {
        zeile4_ausgeben ("DATA",
	    $data->nr,
  	    $data->name . ", ". $data->vorname,
	    $mitgliedschaft,
	    number_format($summe,2));
        $BEITRAG_SUMME += $summe;
      }
      $row++;
    endwhile;
    zeile4_ausgeben ("DATA"," ",
                     i4l("data_beitraghaben")," ",
                     number_format($BEITRAG_SUMME,2));
    A_usgeben ('</TABLE>');
    break;
  }
  A_usgeben ('<DIV align="right">' . i4l("data_datum") . 
       ': ' . date ("d.m.Y") . '</DIV>');

  fwrite ($MITGLIED_LISTEN_PRINTFILE,
          "</BODY></HTML>\n");
  fclose ($MITGLIED_LISTEN_PRINTFILE);

  $FORM->inhalt(page_ende ());
  
echo $FORM->schliessen();
?>
