<?php
//****h* Mitgliederverwaltung/mitglieder.php
// BESCHREIBUNG
//   Verwaltung der Mitglieder
// AUTOR
//   Uwe Schied
// COPYRIGHT
//   GPL
// TODO
//   Umstellung auf Klassendefinitionen
// BUGS
//   keine bekannt
//****
  include_once "base.inc";
  include_once "header.inc";
  include_once "button.php";

  index_anzeige ();

// ****************************************************************************
// Superglobals auslesen
// ****************************************************************************
  $NR = $FORM->returnglobal("NR",0);

  $FORM->inhalt(page_head ("u_verein &copy under GPL by Uwe Schied"));

// ****************************************************************************
// Button: naechstes Mitglied
// ****************************************************************************
  function next_button ($NR)
  {
    global $VEREIN_NAME, $BUTTON, $FORM,$UVEREIN_DB;
    $xq = $UVEREIN_DB->sql_befehl 
          ("SELECT mitglied.nr AS n FROM mitglied, personen".
           " WHERE mitglied.nr=personen.nr AND mitglied.verein='$VEREIN_NAME' ORDER BY name, vorname");
    $anz = $UVEREIN_DB->sql_lines ($xq); $i = 0;
    $next = $NR;
    while ($i < $anz)
    {
      $d = $UVEREIN_DB->sql_line($i,$xq);
      $i++;
      if ($d->n == $NR)
      {
        if ($i < $anz)
        {
          $d = $UVEREIN_DB->sql_line($i,$xq);
        }
        else
        {
          $d = $UVEREIN_DB->sql_line(0,$xq);
        }
        $next = $d->n;
      }
    }
    $FORM->inhalt("<BR>");
    $FORM->sub_grafikbutton($BUTTON["NEXT"],
                            array("AUSWAHL" => "UPDATE",
                                  "NR" => $next));
  }


function change_liste ()
  {
    global $VEREIN_NAME, $FORM,$UVEREIN_DB;

    $UVEREIN_DB->sql_abfrage ("mitglied,personen","mitglied.nr=personen.nr AND mitglied.verein='$VEREIN_NAME'","name, vorname","");
    $qu = $UVEREIN_DB->qu; $sql_zeilen = $UVEREIN_DB->sql_lines($qu);    
    $FORM->inhalt('<TABLE><TR><TH colspan="2"> </TH>');
    $FORM->inhalt('<TH>'.i4l("data_name").'</TH>');
    $FORM->inhalt('<TH>'.i4l("data_strasse").'</TH>');
    $FORM->inhalt('<TH>'.i4l("data_ort").'</TH></TR>');
    $FARBE = "#EAEAEA";
    $sql_zaehler=0; while ($sql_zaehler < $sql_zeilen)
    {
      $data = $UVEREIN_DB->sql_line ($sql_zaehler,$qu);
      $FORM->inhalt('<TR bgcolor="'.$FARBE.'"><TD>');
      $FORM->sub_textbutton (i4l("call_update"),
                             array ("AUSWAHL" => "UPDATE", "NR" => $data->nr));
      $FORM->inhalt("</TD><TD>");
      $FORM->sub_textbutton (i4l("txt_loeschen"),
                             array ("AUSWAHL" => "DELETE", "NR" => $data->nr));
      $FORM->inhalt('</TD><TD>'.$data->name.', '.$data->vorname.'</TD>' .
                    '<TD>'.$data->strasse.' '.$data->hausnr.'</TD>' .
                    '<TD>'.$data->plz.' '.$data->ort.'</TD>');
      $FORM->inhalt('</TR>');
      $FARBE = ($FARBE == "white") ? "#EAEAEA" : "white";
      $sql_zaehler++;
    }
    $FORM->inhalt('</TABLE>');
  }
//
// ****************************************************************************
//

// ****************************************************************************
// Zeile ausgeben fr die Datenansicht
// ****************************************************************************
   function daten_ueberschrift ($txt)
   {
     global $FORM;
     $FORM->inhalt("<TABLE width='100%' border='1' rules='rows'>" .
                  "<TR bgcolor='#EAEAEA'><TD colspan='2'><B>" .
                  $txt . "</B></TD></TR>");
   }

   function daten_zeile ($bez, $inhalt)
   {
      global $FORM;
      $FORM->inhalt("<TR><TD width='100'>$bez</TD><TD><B>$inhalt</B></TD><TR>");
   }
//
// ****************************************************************************
//
// ****************************************************************************
// Hauptprogramm
// ****************************************************************************
  switch ($AUSWAHL)
  {
    case 'CHANGE' :
      $FORM->inhalt("<H3>".i4l("menu_mitglied_update")."</H3>");
      change_liste ();
      break;

    case 'UPDATE' :
      $FORM->inhalt("<H3>".i4l("menu_mitglied_update")."<BR>");
      $FORM->inhalt("<table align=\"center\" width=\"100%\"><tr><td width=\"50%\">"); 
      next_button ($NR);
      $FORM->inhalt("</td><td><div align=\"center\">");
      $FORM->sub_grafikbutton ("../icons/pdf.png",array("NR" => $NR),"mitglied.print.php","_blank");
      $FORM->inhalt("</div>"); 
      $FORM->inhalt("</td><td><div align=\"right\">");
      $SUB_DATA = array ("AUSWAHL" => "UPDATE_BUCHUNG", "nr" => $NR);
      $FORM->sub_textbutton (i4l("MENU_TITLE_BEITRAG"),$SUB_DATA,"beitrag.php");
      $FORM->inhalt("</div></td></tr></table>"); 
      $FORM->inhalt("</H3>");
      $Personen_Nr = $NR;
      $FORM->hide ("AUSWAHL","NEU");
      include_once "maske.data.inc";
      include_once "mitglieder.maske";
      $FORM->senden(i4l("msg_erfassen"));
      break;

    case 'DELETE' :
      $FORM->inhalt("<H3>".i4l("menu_mitglied_delete")."</H3>");
      $UVEREIN_DB->sql_abfrage ("personen", "nr=" . $NR, "","");
      $qu = $UVEREIN_DB->qu;
      $data = $UVEREIN_DB->sql_line (0,$qu);
      $FORM->inhalt("<TABLE width='100%' border='1' rules='rows'>");
      daten_ueberschrift (i4l("txt_personendaten"));
      $UVEREIN_DB->sql_abfrage ("personen", "nr=" . $NR, "","");
      $qu = $UVEREIN_DB->qu;
      $data = $UVEREIN_DB->sql_line(0,$qu);
      daten_zeile (i4l("data_titel"),	$data->titel);
      daten_zeile (i4l("data_name"),	$data->name . ", " . $data->vorname);
      daten_zeile (i4l("data_strasse"),	$data->strasse . " " . $data->hausnr);
      daten_zeile (i4l("data_ort"),	$data->plz . " " . $data->ort . "<BR>" . $data->land);
      daten_ueberschrift (i4l("txt_beitragsart"));
      $UVEREIN_DB->sql_abfrage ("beitrags_konto, beitrags_art",
                   "     beitrags_konto.m_nr=" . $NR .
                   " AND beitrags_art.nr=beitrags_konto.art",
                   "beitrags_konto.nr", "");
      $qu = $UVEREIN_DB->qu;
      $sql_zeilen = $UVEREIN_DB->sql_lines($qu);
      $zaehler=0; $zeilen=$sql_zeilen; $xqu=$qu;
      $sql_zaehler=0; while ($zaehler < $zeilen)
      {
        $xdata = $UVEREIN_DB->sql_line ($zaehler,$xqu);
        $UVEREIN_DB->sql_abfrage ("zahlungsweise", "nr=" . $xdata->zahlungsweise, "", "");
        $qu = $UVEREIN_DB->qu;
        $data = $UVEREIN_DB->sql_line ($sql_zaehler,$qu);
        daten_zeile (($zaehler + 1), $xdata->art . " " .
                                     $xdata->jahresbeitrag . " " .
                                     $data->art . " " .
                                     i4l("txt_faellig_ab") . " " .
                                     $xdata->faellig_ab);
        $zaehler++;
      }
      $qu = $UVEREIN_DB->sql_befehl 
            ("SELECT sum(haben) AS haben,sum(soll) AS soll,(sum(haben) - sum(soll)) AS summe".
             "  FROM beitrag WHERE m_nr=" . $NR);
      $data = $UVEREIN_DB->sql_line (0,$qu);
      $haben    = number_format ($data->haben, 2);
      $soll     = number_format ($data->soll, 2);
      $ergebnis = number_format ($data->summe, 2);
      $zeile = "<TABLE><TR>" .
               "<TD width='100'>" . i4l("data_beitragsoll") . "</TD>" .
               "<TD><B>" . $soll . "</B></TD></TR>" .
               "<TR><TD width='100'>" . i4l("data_beitraghaben") . "</TD>" .
               "<TD><B>" . $haben . "</B></TD></TR>" .
               "<TR><TD width='100'>" . "=" . "</TD>" .
               "<TD><B>" . $ergebnis . "</B></TD></TR></TABLE>";
      daten_zeile (i4l("menu_title_beitrag"), $zeile);
      daten_ueberschrift (i4l("txt_vereinsdaten"));
      $UVEREIN_DB->sql_abfrage ("mitglied","nr=$NR AND verein='$VEREIN_NAME","","");
      $qu = $UVEREIN_DB->qu;
      $data = $UVEREIN_DB->sql_line(0,$qu);
      daten_zeile (i4l("data_eintritt"), $data->eintritt);
      daten_zeile (i4l("data_ende"), $data->ende);
      daten_zeile (i4l("data_kommentar"), $data->kommentar);

      daten_ueberschrift (i4l("delete_art"));
      $FORM->inhalt("<TR><TD colspan='2'>");
      $FORM->sub_textbutton (i4l("delete_intern"),
                             array ("AUSWAHL" => "DEL_MITGLIED",
                                    "ALLES"   => "NO",
                                    "NR"      => $NR));
      $FORM->sub_textbutton (i4l("delete_all"),
                             array ("AUSWAHL" => "DEL_MITGLIED",
                                    "ALLES"   => "YES",
                                    "NR"      => $NR));
      $FORM->sub_textbutton (i4l("call_update"),
                             array ("AUSWAHL" => "UPDATE",
                                    "NR"      => $NR));
      $FORM->inhalt("</TABLE>");;
      break;

    case 'DEL_MITGLIED' :
      $DEL_WERTSELECT  = " WHERE m_nr=$NR";
      $DEL_WERTSELECT .= ($ALLES == "YES")
                      ? ""
                      : " AND v_name='$VEREIN_NAME'";
      $qu = $UVEREIN_DB->sql_befehl ("SELECT sum(haben) FROM beitrag $DEL_WERTSELECT");
      $data = $UVEREIN_DB->sql_line(0,$qu);
      $wert = ($data->sum == "") ? 0 : $data->sum;
      if ($wert == 0)
      {
        $UVEREIN_DB->sql_befehl ("DELETE FROM beitrags_konto $DEL_WERTSELECT");
        $UVEREIN_DB->sql_befehl ("DELETE FROM mitglied WHERE nr=$NR AND verein='$VEREIN_NAME'");
        if ($ALLES == "YES")
        {
          $UVEREIN_DB->sql_befehl ("DELETE FROM beitrag WHERE m_nr=" . $NR);
          $UVEREIN_DB->sql_befehl ("DELETE FROM personen WHERE nr=" . $NR);
        }
        $FORM->inhalt("<H3>" . i4l("menu_mitglied_update") . "</H3>");
        change_liste ();
      }
      else
      {
        $FORM->inhalt("<H3>" . i4l("txt_notdeleted") . "</H3>");
        $FORM->sub_textbutton (i4l("menu_mitglied_update"),
                               array ("AUSWAHL" => "CHANGE"));
      }
      break;

    case 'NEUANLAGE' :
      $FORM->inhalt("<H3>" . i4l("menu_mitglied_new") . "</H3>");
      $FORM->hide ("AUSWAHL","NEU");
      include_once "maske.data.inc";
      include_once "mitglieder.maske";
      $FORM->senden (i4l("msg_erfassen"));
      break;

    case 'NEU' :
      include_once "mitglieder.verify";
      $SEITE = $_SERVER['PHP_SELF']."?AUSWAHL=UPDATE&NR=$Personen_Nr";
      $FORM->inhalt($SPECIAL_CALL->change_site($SEITE));
      break;

    default :
      $FORM->inhalt ("<B>Falscher Aufruf</B>");
      $FORM->inhalt ("<BR>AUSWAHL = " . $AUSWAHL);
      break;
  }

  $FORM->inhalt(page_ende ());

echo $FORM->schliessen();
//echo $FORM->test();  
?>
