<?php
//****h* Finanzbuchhaltung/sonder-menue.php
// NAME
//   sonder-menue.php
// BESCHREIBUNG
//   Menü für Sonderbuchungen. Hierzu gehören z.B.
//   
//   * Spendenverwaltung
//   * Vereinsausflüge
// HISTORIE
//   18.02.2012 Datei angelegt
//****

include_once "base.inc";
include_once "header.inc";

$feld_nr = 0;

function _unten ()
{
  global $feld_nr, $FORM;
  $w = ($feld_nr == 0) ? "" : "</TR></TABLE>";
  $feld_nr = 0;
  $FORM->inhalt($w);
}

function _oben ($name = "")
{
  global $feld_nr, $FORM;
  _unten();
  $w  = "<table align=\"center\"  id=\"normal\">";
  $w .= "<CAPTION><B id=\"schrift3zentriert\"><HR>$name<HR></B></CAPTION>";
  $w .= "<TR>";
  $feld_nr = 1;
  $FORM->inhalt($w);
}

function _auswahl ($datei,$ziel,$auswahl,$bild,$anzeige)
{
  global $feld_nr, $FORM;
  $w = "";
  $datei = "version_later.php?SITE_NAME=$datei";
  if ($feld_nr > 2)
  {
    $feld_nr = 1;
    $w .= "</TR><TR>";
  }
  $auswahl = ($auswahl == "") ? ""
                              : "?AUSWAHL=$auswahl&START=0";
  $w .= "<TD colspan=\"50%\"><A href=\"$datei$auswahl\" target=\"$ziel\">";
  $w .= "<TABLE id=\"ohne\"><TR><TD align=\"center\"";
  $w .= " style=\"background-image:url(../icons/papier2.png)\">";
  $w .= "<A href=\"$datei$auswahl\" target=\"$ziel\">";
  $w .= "<IMG src=\"../icons/$bild\" alt=\"$anzeige\" width=\"30\" border=\"0\">";
  $w .= "<BR>$anzeige</A></TD></TR></TABLE></A></TD>";
  $feld_nr++;
  $FORM->inhalt($w);
}

function _textauswahl ($datei,$ziel,$anzeige)
{
  global $FORM;
  $FORM->inhalt("<TR><TD colspan=\"2\">");
  $FORM->inhalt("<A id=\"TEXTLINK\"".
                "   href=\"$datei\"".
                "   target=\"$ziel\">".
                "<BR>&nbsp;<B>$anzeige</B>&nbsp;<BR><BR></A>");
  $FORM->inhalt("</TD></TR>");
}

$FORM->inhalt(page_head ("u_verein &copy under GPL by Uwe Schied - Sondermenue","uvmenue"));

register_help_pos ("sonder-menu.php");

_oben (i4l("menu_sonder"));
_auswahl("sonder.php","Anzeige","NEU","new.png",i4l("call_new"));
_auswahl("sonder-menue.php","Menue","CHANGE","edit.png",i4l("call_update"));
_unten ();
_auswahl("menue.php","Menue","","last.png","");


$FORM->inhalt(page_ende ()); echo $FORM->schliessen();

?>