<?php
include_once "base.inc";
include_once "header.inc";
include_once "klassen/tabdatei.inc";

function fehler ($fehler)
{
  global $FORM;
  $FORM->inhalt("<SPAN style=\"color:red\"><HR>$fehler<HR></SPAN>");
}

// *** User-Daten einlesen
$USER_DB = new cl_tabdatei ("../include/uverein.paswd");

// *** HTML-Header senden
$FORM->inhalt(page_head ("u_verein &copy under GPL by Uwe Schied - USER-RIGHTS"));
$FORM->inhalt("<H1>" . i4l("user_verwaltung") . "</H1>");
// *** Formular definieren

switch ($AUSWAHL)
{
  case 'USER_NEW' : // Neuen Benutzer anlegen
    $FORM->inhalt("<H2>" . i4l("USER_NEW") . "</H2>");
    $FORM->hide("AUSWAHL","USER_CREATE");
// Login-Name
    $FORM->inhalt("<Table><tr><td>".i4l("username")."</td><td>");
    $FORM->eingabe("NAME");
    $FORM->inhalt("</td></tr>");
// 1. Passwort
    $FORM->inhalt("<tr><td>".i4l("password")."</td><td>");
    $FORM->eingabe("PASSWORD");
    $FORM->inhalt("</td></tr>");
// Vereine zur Auswahl anbieten
    $qu = $UVEREIN_DB->sql_befehl ("SELECT * FROM vereine ORDER BY name");
    $FORM->inhalt("<TR><TD>".i4l("MENU_EINTRAG_VEREIN")."</td><TD>");
    $FORM->hide("VEREIN_ANZAHL",$UVEREIN_DB->sql_lines($qu));
    $i = 0; while ($i < $UVEREIN_DB->sql_lines($qu))
    {
      $data = $UVEREIN_DB->sql_line($i,$qu);
      $FORM->inhalt("<BR>");
      $FORM->checkbox("vereine[$i]",$data->kurzname,$data->name . " (" . $data->ort . ")");
      $i++;
    }
    $FORM->inhalt("</td></tr></table>");
// Formular absenden
    $FORM->grafikbutton("OK","../icons/ok.png",false);
    break;

  case 'USER_CREATE' : // Neuen Benutzer in Tabelle eintragen
    $FORM->inhalt("<H2>" . i4l("USER_NEW") . "</H2>");
// Daten aus gesendetem Formular entnehmen
    $NAME     = $FORM->returnwert("NAME");    
    $PASSWORD = $FORM->returnwert("PASSWORD");
    $anz      = $FORM->returnzahl("VEREIN_ANZAHL");
    $i = 0; $VEREINE = $FORM->returnwert("vereine");
// Zugriffsrechte setzen
    $RECHTE = "";
    while ($i < $anz)
    {
      if (! empty ($VEREINE[$i]))
      {
        $RECHTE .= (! empty($RECHTE)) ? "," : "";
        $RECHTE .= $VEREINE[$i];
      }
      $i++;
    }
// Ist der User bereits vorhanden
    if ($USER_DB->tab_get(0,$NAME,0) == $NAME) // nicht neu
    {
      fehler (i4l("USER_NOT_NEW"));            // dann Fehlermeldung
      $FORM->hide("AUSWAHL","USER_NEW");
      $FORM->grafikbutton("OK","../icons/ok.png",false);
    }
    else                                       // neu
    {
      $nr = $USER_DB->A_nzahl;                 // dann eintragen
      $USER_DB->tab_set ($nr,0,$NAME);
      $USER_DB->tab_set ($nr,1,$PASSWORD);
      $USER_DB->tab_set ($nr,2,$RECHTE);
      $USER_DB->tab_sort ();
      $USER_DB->tab_save ();
      $FORM->inhalt("<TABLE>");
      $FORM->inhalt("<TR><TD>".i4l("username")."</TD><TD>$NAME</TD></TR>");
      $FORM->inhalt("<TR><TD>".i4l("password")."</TD><TD>$PASSWORD</TD></TR>");
      $FORM->inhalt("<TR><TD>".i4l("MENU_EINTRAG_VEREIN")."</TD><TD>");
      $i = 0; while ($i < $anz)
      {
        if (! empty ($VEREINE[$i]))
        {
          $FORM->inhalt($VEREINE[$i] . "<BR>");
        }
        $i++;
      }
      $FORM->inhalt("</TD></TR>");
      $FORM->inhalt("</TABLE>");
      $FORM->inhalt("<BR><B>".i4l("MSG_erfasst")." . . .</B>");
    }
    break;

  case 'USER_CHANGE' :  // Benutzer aendern - Name auswaehlen
    $FORM->inhalt("<H2>" . i4l("USER_CHANGE") . "</H2>");
    $FORM->hide("AUSWAHL","USER_CHANGENR");
    $i = 0; while ($i < $USER_DB->A_nzahl)
    {
      $FORM->inhalt("<BR>")          ;            // Namen anzeigen
      $FORM->radio_button ("NAME",
                           $USER_DB->tab_by_nr($i,0),
		                     $USER_DB->tab_by_nr($i,0),
		                     (($i == 0) ? "YES" : ""));
		$FORM->inhalt("</td></tr>");
      $i++;
    }
    $FORM->inhalt("<BR><HR>");
    $FORM->grafikbutton("OK","../icons/ok.png",false);           // Formular absenden
    break;
  
  case 'USER_CHANGENR' : // Benutzer aendern - neue Daten festlegen
    $FORM->inhalt("<H2>" . i4l("USER_CHANGE") . "</H2><TABLE>");
    $FORM->hide ("AUSWAHL","USER_CHANGED");
    // ausgewaehlten Namen einlesen
    $NAME = $FORM->returnwert("NAME");
    $FORM->hide ("NAME",$NAME);
    $FORM->inhalt("<TR><TD colspan=\"2\">".i4l("username").": <B>$NAME</B> </TD><TR>");
    // Neues Passwort vergeben, wenn angekreuzt
    $FORM->inhalt("<TR><TD>");
    $FORM->checkbox("NEW_PASSWORD","YES",i4l("password_new"));
    $FORM->inhalt ("</td><TD>");
    $FORM->eingabe("PASSWORD"); // neues Passwort
    $FORM->inhalt("</TD></TR>");
    // Vereine berechtigen
    $RECHTE = $USER_DB->tab_get(0,$NAME,2);    // bisherige Berechtigungen
    $RECHTEARR = explode (",", $RECHTE);       // in Array umwandeln
    $i = 0; while ($i < count ($RECHTEARR))
    {
      $RECHTEARR[$i] = trim($RECHTEARR[$i]);   // Leerzeichen entfernen
      $i++;
    }
    // Vereine zur Auswahl anbieten und vorhanden ankreuzen
    $qu = $UVEREIN_DB->sql_befehl ("SELECT * FROM vereine ORDER BY name");
    $FORM->inhalt("<TR><tD>".i4l("MENU_EINTRAG_VEREIN")."</TD><TD>");
    $FORM->hide ("VEREIN_ANZAHL",$UVEREIN_DB->sql_lines($qu));
    $i = 0; while ($i < $UVEREIN_DB->sql_lines($qu))
    {
      $data = $UVEREIN_DB->sql_line ($i,$qu);
      $VORHANDEN = (in_array($data->kurzname, $RECHTEARR)) ? "X" : "";
      $VORHANDEN = ($RECHTE == "*") ? "X" : $VORHANDEN;
      $FORM->inhalt("<BR>");
      $FORM->checkbox("vereine[$i]",
                      $data->kurzname,
			             $data->name . " (" . $data->ort . ")",
			             $VORHANDEN);
      $i++;
    }
    $FORM->inhalt("</TD></TR></TABLE>");
    $FORM->grafikbutton ("OK","../icons/ok.png",false); // Formular absenden
    break;
    
  case 'USER_CHANGED' : // geaenderte Benutzerdaten in Tabelle eintragen
    $FORM->inhalt("<H2>" . i4l("USER_CHANGE") . "</H2>");
    // Daten aus gesendetem Formular entnehmen
    $NAME         = $FORM->returnwert("NAME");
    $NEW_PASSWORD = $FORM->returnwert("NEW_PASSWORD");
    $PASSWORD =     $FORM->returnwert("PASSWORD");
    $anz       =    $FORM->returnzahl("VEREIN_ANZAHL");
    $i = 0; $VEREINE = $FORM->returnwert("vereine");
    // Zugriffsrechte setzen
    $RECHTE = ""; while ($i < $anz)
    {
      if (! empty ($VEREINE[$i]))
      {
        $RECHTE .= (! empty($RECHTE)) ? "," : "";
        $RECHTE .= $VEREINE[$i];
      }
      $i++;
    }
    if ( $NEW_PASSWORD == "YES" )
    {
      $USER_DB->tab_set_by_search (0, $NAME, 1, $PASSWORD);
    }
    $USER_DB->tab_set_by_search (0,$NAME,2,$RECHTE);
    $USER_DB->tab_save ();
    $FORM->inhalt("<BR><B>".i4l("MSG_erfasst")." . . .</B>");
    break;

  case 'USER_PASSWORD' : // eigenes Passwort aendern
    $FORM->inhalt("<H2>" . i4l("USER_PASSWORD") . "</H2>");
    $FORM->hide ("AUSWAHL","USER_PASSWORDCHANGE");
    $FORM->inhalt ("<TABLE><tr><td>".i4l("password")."</td><td>");
    $FORM->password("PASSWORD");                // neues Passwort
    $FORM->inhalt ("</TD></TR><TR><TD>".i4l("password_repeat")."</TD><TD>");
    $FORM->password("PASSWORD_2");              // Passwort wiederholen
    $FORM->inhalt ("</td></tr></table>");
    $FORM->grafikbutton("OK","../icons/ok.png",false);// Formular absenden
    break;

  case 'USER_PASSWORDCHANGE' : // geaendertes Passwort in Tabelle eintragen
    $FORM->inhalt("<H2>" . i4l("USER_PASSWORD") . "</H2>");
    // Daten aus gesendetem Formular entnehmen
    $NAME         = $_SESSION['UVEREIN_LOGIN_NAME'];
    $NEW_PASSWORD = $FORM->returnwert("PASSWORD");
    $REP_PASSWORD = $FORM->returnwert("PASSWORD_2");
    if ( $NEW_PASSWORD == $REP_PASSWORD )     // Tippfehler im Passwort ?
    {                                         // nein -> erfassen   
      $USER_DB->tab_set_by_search (0,$NAME,1,$NEW_PASSWORD);
      $USER_DB->tab_save ();
      $FORM->inhalt("<BR><B>".i4l("MSG_erfasst")." . . .</B>");
    }
    else                                      // ja -> zurueck zur Eingabe
    {
      fehler (i4l("PASSWORD_NICHT_GLEICH"));
      $FORM->hide ("AUSWAHL","USER_PASSWORD");
      $FORM->grafikbutton("OK","../icons/ok.png",false);// Formular absenden
    }
    break;
  
  case 'USER_DELETE' :  // Benutzer aendern - Name auswaehlen
    $FORM->inhalt("<H2>" . i4l("USER_DELETE") . "</H2>");
    $FORM->hide ("AUSWAHL","USER_DELETENR");
    $i = 0; while ($i < $USER_DB->A_nzahl)
    {
      if ( $USER_DB->tab_by_nr($i,0) != "admin" )        // admin kann nicht
      {                                                  // geloescht werden
        $FORM->inhalt("<BR>");                           // alle anderen Namen
        $FORM->radio_button ("NAME",                     // anzeigen
                             $USER_DB->tab_by_nr($i,0),  
                             $USER_DB->tab_by_nr($i,0),
                             (($i == 0) ? "YES" : ""));
      }
      $i++;
    }
    $FORM->inhalt("<BR>");
    $FORM->grafikbutton("OK","../icons/ok.png",false);         // Formular absenden
    break;
  
  case 'USER_DELETENR' : // Daten aus Tabelle loeschen
    $FORM->inhalt("<H2>" . i4l("USER_DELETE") . "</H2>");
    // Daten aus gesendetem Formular entnehmen
    $NAME     = $FORM->returnwert("NAME");
    $USER_DB->tab_set_by_search (0,$NAME,1,"");
    $USER_DB->tab_set_by_search (0,$NAME,2,"");
    $USER_DB->tab_set_by_search (0,$NAME,0,"");
    $USER_DB->tab_sort();
    $USER_DB->tab_save ();
    $FORM->inhalt("<BR><B>".i4l("MSG_erfasst")." . . .</B>");
    break;
}

// *** HTML-Ende senden
$FORM->inhalt(page_ende ());
echo $FORM->schliessen();

?>