--
-- Feature-Request 1293970
-- Weitere optionale Felder einfuegen
-- 

-- Tabelle mit den Feldbeschreibungen
CREATE TABLE opt_tabledef (
  nr            SERIAL UNIQUE,
  verein	VARCHAR(20) NOT NULL REFERENCES vereine(kurzname),
  bezeichnung	VARCHAR(50) NOT NULL,
  beschreibung	TEXT
);
CREATE UNIQUE INDEX opt_tabledef_idx ON opt_tabledef (verein,bezeichnung);

-- Tabelle mit den Inhalten
CREATE TABLE opt_tabledata (
  opt_table	BIGINT NOT NULL REFERENCES opt_tabledef (nr),
  person	BIGINT NOT NULL REFERENCES personen (nr),
  inhalt	TEXT
);
CREATE UNIQUE INDEX opt_tabledata_idx ON opt_tabledata (opt_table,person);
